SystemOrganization addCategory: #'IRDA2013-Searching'!
SystemOrganization addCategory: #'IRDA2013-Searching-Tests'!

CircleMorph subclass: #I2SVisualNode
	instanceVariableNames: 'node parentEdge childEdges visualization valueMorph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2SVisualNode subclass: #I2SVisualBlankNode
	instanceVariableNames: 'parent parentChildNumber'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SVisualBlankNode class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 12:09:48.098'!
newOn: aVisualization
	| a |
	a := self new.
	a visualization: aVisualization.
	a draw.
	^a.! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 11:39:27.357'!
draw
	self color: Color transparent.
	self borderColor: self class defaultNodeColor.
	self borderWidth: 2.! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 11:33:18.555'!
drawChildrenWithDepth: depth! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 12:21:13.017'!
initialize
	super initialize.
	
	self on: #click send: #onClick to: self. ! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:43:03.98'!
isBlank
	^true! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 16:26:58.247'!
onClick
	self visualization choseLeaf: self.! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:45:15.113'!
parent
	^parent! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:45:13.941'!
parent: aVisualNode
	parent := aVisualNode.! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:45:36.845'!
parentChildNumber
	^parentChildNumber! !

!I2SVisualBlankNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:45:58.199'!
parentChildNumber: aNumber
	parentChildNumber := aNumber.! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/15/2013 15:25:40.439'!
blankNodeWidth
	^40! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 15:45:39.541'!
defaultActiveNodeColor

	^Color green! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 15:26:38.883'!
defaultAnimationDuration

	^ 400! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 16:10:59.158'!
defaultNodeColor

	^Color orange ! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/15/2013 12:19:35.238'!
levelHeight
	^20! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 11:49:19.524'!
newWithNode: aNode on: aVisualization
	^self newWithNode: aNode renderDepth: Float infinity on: aVisualization.! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:36:20.82'!
newWithNode: aNode renderDepth: aNumber on: aVisualization
	| a |
	
	aNode ifNil:[
		a := I2SVisualBlankNode newOn: aVisualization.
	] ifNotNil: [
		a := self new.
		a node: aNode.
		a visualization: aVisualization.
		a visualization setVisualNode: a for: aNode.
	
		a draw.
		((aNumber > 1) and: (aNode hasChildren or: (aVisualization drawNil))) ifTrue: [
			a drawChildrenWithDepth: aNumber. 
		].
		a setupBalloon.
	].
	^a! !

!I2SVisualNode class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 15:26:55.253'!
nodeSpace

	^20! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 13:05:24.766'!
addChildEdge: anEdge

	childEdges add: anEdge.! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 15:59:41.022'!
arrangeChildren: children withOffset: offset
	| o |

	o := offset.

	children do: [:child |
		child isNil ifTrue: [
			o := o + self class blankNodeWidth + self class nodeSpace.
			childEdges add: nil.
		] 
		ifFalse: [
			|x y edge|
			"x := (offset + (child fullBounds width / 2))."
			x := (o + (0 - (child fullBounds topLeft x))).
			y := self class levelHeight + self bounds height.
			child position: x@y.
			o := o + child fullBounds width + self class nodeSpace.
			self addMorph: child.
			"the line"
			edge := (LineMorph 
					from: self bounds bottomCenter 
					to: child bounds topCenter
					color: Color black 
					width: 5).
			child parentEdge: edge.	
			self childEdges add: edge.
			self addMorph: edge.
		]
	].! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 17:20:13.994'!
calculateOffset: children
	| totalWidth l r b |

	"documented on https://rialgar.de/IRDA2013Doku/page.xhtml"

	totalWidth := self calculateTotalWidth: children.
	
	l := 0. r := 0. b := 0.
	
	(children first) ifNotNil: [
		l := 0 - ((children first) fullBounds left).
	].
	(children last)  ifNotNil:[
		r := ((children last fullBounds right) - (children last bounds right)).
	].
	b := self bounds width.
	
	^ 0 - ((totalWidth+l-r-b)/2).! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 17:04:50.051'!
calculateTotalWidth: children
	| totalWidth |
	totalWidth := 0.
	
	children do:[ :child |
			child isNil ifTrue: [
				totalWidth := totalWidth + self class blankNodeWidth.
			] ifFalse: [
				totalWidth := totalWidth + (child fullBounds width).
			].
		].
	
	"between childs there should be some space, so we add this to the total width"
	totalWidth := totalWidth + (((children size) - 1) * self class nodeSpace).
	
	^totalWidth! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 13:34:44.775'!
childEdges
	
	^ childEdges! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:43:34.404'!
draw
	self updateColor.
	self drawValue.! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:02:51.694'!
drawChildren 
	self drawChildrenWithDepth: Float infinity.! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 17:27:17.271'!
drawChildrenWithDepth: aNumber 
	| children offset |
	children := self gatherChildrenWithDepth: aNumber.
	
	offset := self calculateOffset: children.
	
	self arrangeChildren: children withOffset: offset.
! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:23:55.808'!
drawValue
	| textMorph |
	self valueMorph ifNotNil: [
		self valueMorph delete.
	].
	textMorph := TextMorph new.
	textMorph contents: (((self node getValueAt: 1) asString) truncateTo: 4).
	textMorph lock: true.
	self valueMorph: textMorph.
	self addMorph: textMorph.
	textMorph position: 10@10.! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 13:26:22.498'!
edges

	| allEdges |
	allEdges := OrderedCollection new.
	allEdges addAll: childEdges.
	parentEdge ifNotNil: [allEdges add: parentEdge].
	
	^ allEdges ! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:47:09.177'!
gatherChildrenWithDepth: aNumber
	| children |
	children := OrderedCollection new.
	
	(node children) 
		do: [ :child || a |
			child isNil 
			ifTrue: [
				self visualization drawNil ifTrue: [
					a := I2SVisualBlankNode newOn: self visualization.
					a parent: self.
					a parentChildNumber: children size + 1.
					children add: a.
				] ifFalse: [
					children add: nil.
				].
			] 
			ifFalse: [
				a := I2SVisualListNode newWithNode: child renderDepth: (aNumber - 1) on: self visualization.
				children add: a.
			].
		].
	
	^children.
! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:32:18.255'!
hideContent
	self valueMorph ifNotNil: [
		self valueMorph delete.
		self valueMorph: nil.
		self balloonText: nil.
	].! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:32:28.093'!
initialize 
	
	super initialize.
	childEdges := OrderedCollection new.
	self on: #click send: #onClick to: self.
	! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 10:43:25.508'!
isBlank
	^false! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/2/2013 15:44:50.635'!
node
 ^node! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/2/2013 15:44:54.969'!
node: aNode
 node := aNode! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:33:11.592'!
onClick
	self visualization clickedOn: self.! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dg 5/30/2013 14:16:07.64'!
parentEdge

	^ parentEdge! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dg 5/30/2013 14:15:49.976'!
parentEdge: anEdge

	parentEdge := anEdge! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 16:04:25.825'!
position: aPoint

	super position: aPoint.
	parentEdge ifNotNil:[
		parentEdge setVertices: 
			{(parentEdge vertices at: 1 ). (self bounds topCenter) }.		
	].
	childEdges do: [ :edge |
		
		edge ifNotNil: [
		edge setVertices:
			{(self bounds bottomCenter). (edge vertices at: 2) }
			].
	].
	
	^self! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:35:49.175'!
setupBalloon
	self balloonText: (self node getValueAt: 1) asString.! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:42:52.57'!
updateColor
	(node color) ifNotNil:
		[self color: node color]
	ifNil: [
		(self visualization activeNode = self node) ifTrue: [
			self color:
				self class defaultActiveNodeColor.
		] ifFalse: [
			self color: 
				self class defaultNodeColor.
		]
	].! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:23:02.153'!
valueMorph
	^valueMorph! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:23:15.021'!
valueMorph: aMorph
	valueMorph := aMorph! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 18:24:24.415'!
visualization 
	
	^visualization
	! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 18:24:45.659'!
visualization: aVisualization
	
	visualization := aVisualization.
	! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 15:25:33.661'!
walkToPosition: aPoint

	self walkToPosition: aPoint then: []! !

!I2SVisualNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 15:26:42.588'!
walkToPosition: aPoint then: aBlock

		(AnimPropertyAnimation
		on: self
		property: #position
		start: self position
		end: aPoint
		duration: self class defaultAnimationDuration)
		finishBlock: aBlock;
		register;
		start: #deleteWhenFinished.! !

Object subclass: #I2SChapter
	instanceVariableNames: 'name tasks currentTaskNumber title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SChapter class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:39:58.632'!
newWithTasks: aCollection andName: aName
	^ self new
		tasks: aCollection;
		name: aName! !

!I2SChapter class methodsFor: 'auto-generated' stamp: 'benjamin.siegmund 6/28/2013 11:05:07.263'!
titleOne
^(Form
	extent: 674@50
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 285212672 738197504 1291845632 1577058304 2164260864 2365587456 4127195136 4278190080 4278190080 4278190080 2164260864 2164260864 1728053248 1392508928 1358954496 838860800 721420288 402653184 352321536 150994944 83886080 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 167772160 486539264 1124073472 1828716544 2181038080 3506438144 4278190080 4278190080 4278190080 4278190080 3087007744 2147483648 1610612736 956301312 318767104 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 503316480 1291845632 1962934272 2936012800 4278190080 4278190080 4278190080 4278190080 2986344448 2130706432 1929379840 1224736768 671088640 134217728 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 989855744 2063597568 2650800128 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3539992576 3388997632 3858759680 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2936012800 2533359616 2432696320 1996488704 1862270976 704643072 301989888 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 1073741824 2181038080 3103784960 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3841982464 2600468480 1593835520 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1862270976 2852126720 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2986344448 1509949440 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 1795162112 3439329280 3959422976 4278190080 4278190080 4278190080 4278190080 3288334336 2130706432 1660944384 1241513984 1090519040 1040187392 486539264 402653184 587202560 1124073472 1308622848 1677721600 2415919104 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3758096384 3154116608 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 1811939328 3456106496 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 2566914048 2634022912 4177526784 4060086272 2399141888 2701131776 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 3640655872 1778384896 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 3036676096 4278190080 4278190080 4278190080 3154116608 1929379840 1493172224 1207959552 1090519040 1157627904 1644167168 2617245696 4278190080 4278190080 4261412864 4261412864 4278190080 3003121664 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 3707764736 4278190080 4278190080 4261412864 4278190080 4278190080 1677721600 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 1258291200 4244635648 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 3707764736 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1325400064 3741319168 4278190080 4278190080 4278190080 4261412864 4278190080 4043309056 1778384896 2181038080 4211081216 16777216 1040187392 4110417920 3892314112 402653184 0 4278190080 2147483648 3204448256 4278190080 4278190080 4261412864 4278190080 4244635648 3774873600 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 3623878656 4278190080 4261412864 3774873600 788529152 33554432 0 0 0 0 0 0 0 671088640 3607101440 4278190080 4261412864 4278190080 2600468480 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2701131776 4278190080 4278190080 4278190080 4278190080 3707764736 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4127195136 4278190080 4261412864 4278190080 4278190080 4261412864 3707764736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 2734686208 4278190080 4278190080 4261412864 4278190080 4194304000 3724541952 1476395008 100663296 0 1358954496 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1207959552 0 335544320 2080374784 3808428032 4261412864 4278190080 4278190080 4278190080 2197815296 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 4278190080 4278190080 3607101440 16777216 0 0 0 0 0 0 0 0 0 0 251658240 3204448256 4261412864 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4076863488 4278190080 4261412864 4278190080 3959422976 2197815296 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1140850688 3472883712 4278190080 4261412864 4278190080 4278190080 2600468480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4127195136 4278190080 4261412864 4261412864 4278190080 3657433088 1711276032 184549376 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 436207616 2164260864 4278190080 4278190080 4244635648 4278190080 3036676096 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 3556769792 4278190080 4278190080 3858759680 251658240 0 0 0 0 0 0 0 0 0 0 0 0 620756992 4278190080 4110417920 1509949440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4261412864 4278190080 4261412864 4278190080 3657433088 738197504 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3422552064 4278190080 4278190080 4278190080 1526726656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2030043136 4244635648 4278190080 4261412864 4261412864 4278190080 3019898880 268435456 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 16777216 989855744 3707764736 4278190080 4261412864 4278190080 3607101440 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2550136832 4278190080 4261412864 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1728053248 4043309056 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4261412864 4261412864 4278190080 3607101440 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 4278190080 4278190080 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4261412864 4278190080 4261412864 4278190080 2667577344 50331648 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 452984832 3254779904 4278190080 4261412864 4278190080 3724541952 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3439329280 4278190080 4278190080 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 3925868544 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4261412864 4261412864 4261412864 4278190080 3724541952 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1476395008 4143972352 4278190080 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4278190080 4261412864 4278190080 4261412864 4278190080 2785017856 134217728 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 452984832 3271557120 4278190080 4261412864 4278190080 3724541952 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 4278190080 4261412864 4278190080 4278190080 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3556769792 4278190080 4278190080 4278190080 3992977408 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3305111552 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4127195136 4278190080 4278190080 4261412864 4278190080 3036676096 67108864 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 570425344 3690987520 4278190080 4261412864 4278190080 3556769792 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2449473536 4278190080 4278190080 4261412864 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3405774848 4278190080 4261412864 4278190080 4278190080 3607101440 369098752 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 973078528 4278190080 4261412864 4261412864 4278190080 2986344448 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2013265920 4278190080 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4278190080 4261412864 4278190080 4278190080 3036676096 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1879048192 4278190080 4261412864 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 16777216 2298478592 4278190080 4278190080 4261412864 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 4278190080 3221225472 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3472883712 4278190080 4278190080 4278190080 4127195136 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 0 16777216 687865856 2365587456 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2348810240 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 704643072 2382364672 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2348810240 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 1006632960 889192448 805306368 805306368 805306368 805306368 805306368 1006632960 2214592512 2130706432 2130706432 2164260864 1543503872 855638016 301989888 0 0 0 0 0 0 0 301989888 369098752 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 469762048 234881024 234881024 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 452984832 117440512 184549376 1006632960 889192448 805306368 805306368 805306368 805306368 805306368 1040187392 2214592512 2130706432 2130706432 2164260864 1509949440 838860800 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4278190080 4261412864 4278190080 4278190080 4278190080 3405774848 285212672 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 520093696 3724541952 4278190080 4278190080 4278190080 4043309056 721420288 0 0 0 0 0 0 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 1107296256 2382364672 2113929216 2130706432 2130706432 2130706432 2130706432 2130706432 2030043136 335544320 184549376 234881024 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 452984832 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4261412864 4278190080 4261412864 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 201326592 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 872415232 956301312 805306368 805306368 805306368 805306368 805306368 738197504 2181038080 2130706432 2130706432 2130706432 1962934272 939524096 436207616 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 654311424 838860800 1593835520 2164260864 2130706432 1912602624 905969664 822083584 520093696 352321536 100663296 16777216 0 0 0 0 0 0 100663296 1224736768 2332033024 2130706432 2130706432 2130706432 2130706432 2130706432 2181038080 1795162112 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 1241513984 2332033024 2130706432 2130706432 2130706432 2130706432 2130706432 2181038080 1778384896 268435456 150994944 1375731712 2281701376 2130706432 2130706432 2130706432 2130706432 2130706432 2214592512 1627389952 218103808 0 0 0 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1040187392 2382364672 2113929216 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 721420288 939524096 1996488704 2130706432 2181038080 1476395008 822083584 771751936 436207616 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4261412864 4278190080 4261412864 4177526784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 184549376 1610612736 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1509949440 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 1627389952 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1493172224 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 570425344 3103784960 3976200192 3909091328 3909091328 3909091328 3892314112 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 3724541952 3724541952 1828716544 419430400 0 0 0 0 402653184 3087007744 3640655872 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3724541952 2113929216 67108864 738197504 2617245696 3791650816 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3674210304 2533359616 50331648 67108864 603979776 3187671040 3959422976 3909091328 3909091328 3909091328 3892314112 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 3724541952 3724541952 1744830464 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2868903936 4278190080 4278190080 4278190080 4278190080 4177526784 1761607680 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 2281701376 4244635648 4278190080 4261412864 4278190080 3724541952 0 0 0 0 0 0 1744830464 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 2533359616 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1006632960 67108864 16777216 754974720 2667577344 3774873600 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3674210304 2449473536 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4060086272 4278190080 4278190080 4278190080 4278190080 3959422976 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 1258291200 3707764736 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3942645760 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 218103808 2181038080 4160749568 3892314112 3909091328 3909091328 3892314112 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4043309056 3774873600 3657433088 2835349504 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 2030043136 3707764736 3758096384 3992977408 4127195136 4278190080 4278190080 4278190080 4278190080 4194304000 4143972352 3992977408 3825205248 3657433088 3623878656 3607101440 2734686208 1526726656 822083584 402653184 0 33554432 469762048 3087007744 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 788529152 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 486539264 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4177526784 788529152 67108864 50331648 553648128 3439329280 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 687865856 67108864 0 0 0 1711276032 771751936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1124073472 83886080 0 0 0 0 0 0 0 0 0 0 0 184549376 1140850688 2667577344 3674210304 3825205248 4060086272 4177526784 4278190080 4278190080 4278190080 4278190080 4160749568 4127195136 3959422976 3774873600 3623878656 3623878656 3657433088 2097152000 1325400064 704643072 251658240 0 0 0 0 0 16777216 3372220416 4278190080 4278190080 4261412864 4278190080 1157627904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1979711488 4278190080 4261412864 4261412864 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2013265920 4278190080 4261412864 4261412864 4278190080 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1946157056 2818572288 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 3858759680 4261412864 4278190080 4278190080 4278190080 1442840576 285212672 369098752 369098752 436207616 889192448 3892314112 4211081216 4278190080 4278190080 4278190080 2080374784 184549376 0 0 100663296 3305111552 4278190080 4278190080 4227858432 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4278190080 4278190080 4278190080 4278190080 4194304000 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4261412864 4278190080 4278190080 1929379840 0 0 33554432 3070230528 4278190080 4278190080 4278190080 4278190080 4211081216 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4244635648 4278190080 4278190080 2499805184 0 0 0 654311424 3942645760 4261412864 4278190080 4278190080 4278190080 1392508928 285212672 369098752 369098752 436207616 922746880 3959422976 4211081216 4278190080 4278190080 4278190080 2013265920 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3523215360 4278190080 4278190080 4278190080 4261412864 3992977408 285212672 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 469762048 4160749568 4261412864 4278190080 4278190080 4194304000 1258291200 0 0 0 0 0 1962934272 3858759680 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3137339392 4278190080 4278190080 4278190080 4278190080 822083584 0 0 0 0 33554432 3170893824 4278190080 4278190080 4278190080 4278190080 4211081216 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4244635648 4278190080 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3204448256 4278190080 4278190080 4278190080 4278190080 4261412864 3506438144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4278190080 4278190080 4278190080 4278190080 4261412864 4177526784 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4194304000 4278190080 4278190080 4278190080 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 4043309056 570425344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2768240640 4278190080 4261412864 4278190080 4278190080 2197815296 318767104 369098752 369098752 369098752 738197504 2801795072 4227858432 4278190080 4278190080 4278190080 2835349504 436207616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1342177280 3573547008 4278190080 4278190080 4194304000 3405774848 1895825408 889192448 520093696 369098752 369098752 369098752 352321536 603979776 1241513984 2919235584 4227858432 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 1879048192 16777216 0 251658240 3690987520 4261412864 4278190080 4261412864 4278190080 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3724541952 4261412864 4278190080 4261412864 4278190080 637534208 0 0 0 0 352321536 3976200192 4261412864 4278190080 4261412864 4278190080 520093696 0 0 0 0 0 1811939328 4043309056 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2868903936 4278190080 4278190080 4278190080 4278190080 989855744 0 0 0 0 0 0 0 0 0 0 16777216 301989888 1929379840 4211081216 4278190080 4227858432 4227858432 2868903936 1358954496 704643072 385875968 352321536 0 117440512 369098752 603979776 1509949440 3774873600 4177526784 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 754974720 0 0 0 0 838860800 3858759680 4278190080 4278190080 4278190080 4194304000 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 4177526784 4278190080 4278190080 4160749568 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 4177526784 4278190080 4278190080 4160749568 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3254779904 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3019898880 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1677721600 4009754624 4278190080 4261412864 4278190080 3238002688 352321536 0 0 3204448256 4278190080 3590324224 2080374784 587202560 520093696 520093696 520093696 520093696 520093696 520093696 268435456 4278190080 4278190080 4278190080 4278190080 1895825408 419430400 520093696 520093696 520093696 520093696 520093696 536870912 855638016 2667577344 4278190080 3875536896 838860800 0 0 0 0 4110417920 4278190080 4278190080 4278190080 2113929216 402653184 520093696 520093696 520093696 520093696 520093696 536870912 805306368 2432696320 4278190080 4043309056 922746880 0 0 0 0 3137339392 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1744830464 4026531840 4278190080 4278190080 4278190080 3137339392 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4026531840 4278190080 4278190080 4278190080 4278190080 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 3439329280 4278190080 4278190080 4278190080 4278190080 3388997632 100663296 0 0 0 0 1962934272 4278190080 3422552064 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2231369728 4261412864 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 4177526784 4278190080 4278190080 4278190080 2063597568 402653184 520093696 520093696 520093696 520093696 520093696 536870912 805306368 2499805184 4278190080 3992977408 872415232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4278190080 4261412864 4278190080 4278190080 4278190080 4110417920 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4278190080 4278190080 4278190080 3825205248 1124073472 503316480 520093696 520093696 520093696 520093696 520093696 553648128 1140850688 3372220416 4278190080 2751463424 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2483027968 4278190080 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1476395008 4227858432 4278190080 4278190080 4278190080 587202560 0 0 0 0 0 0 973078528 3573547008 4278190080 4261412864 4278190080 4227858432 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1342177280 3472883712 4278190080 4278190080 3556769792 1929379840 520093696 0 0 0 0 0 0 0 0 0 0 0 352321536 2013265920 3892314112 4278190080 4261412864 4261412864 4278190080 1627389952 0 0 0 2852126720 4278190080 4278190080 4278190080 3758096384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2885681152 4278190080 4278190080 4278190080 3741319168 0 0 0 0 0 0 3187671040 4278190080 4278190080 4278190080 3590324224 0 0 0 0 0 0 1811939328 4278190080 3590324224 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4261412864 4278190080 4278190080 3053453312 16777216 0 0 0 0 0 0 0 0 0 251658240 1912602624 3942645760 4278190080 4076863488 3204448256 1459617792 167772160 0 0 0 0 0 0 0 0 0 0 0 738197504 2583691264 4160749568 4278190080 4278190080 4261412864 4278190080 285212672 0 0 0 0 1996488704 4278190080 4261412864 4278190080 4278190080 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3439329280 4278190080 4278190080 3321888768 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3288334336 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1241513984 4026531840 4278190080 4261412864 4278190080 3456106496 67108864 0 1946157056 3607101440 486539264 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1526726656 0 0 0 0 0 0 0 0 0 2113929216 3909091328 318767104 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1778384896 0 0 0 0 0 0 0 0 0 1862270976 4211081216 436207616 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1308622848 4076863488 4261412864 4261412864 4278190080 3405774848 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2281701376 4278190080 4278190080 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 4278190080 4278190080 4278190080 4278190080 4143972352 1241513984 0 0 0 0 1962934272 4278190080 4278190080 3405774848 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4093640704 4278190080 4278190080 2600468480 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1711276032 0 0 0 0 0 0 0 0 0 1912602624 4143972352 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3271557120 4278190080 4278190080 4278190080 4278190080 4278190080 4143972352 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4278190080 4278190080 4278190080 3758096384 637534208 0 0 0 0 0 0 0 0 218103808 3204448256 2348810240 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4278190080 4278190080 3137339392 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 3724541952 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 486539264 3305111552 4278190080 4261412864 4278190080 4009754624 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 2483027968 4211081216 4278190080 4278190080 2013265920 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3590324224 4278190080 4278190080 4160749568 1056964608 0 0 0 1325400064 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 1845493760 0 0 0 0 0 0 1811939328 4278190080 4278190080 3523215360 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 3976200192 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 0 0 738197504 3120562176 4278190080 4278190080 3690987520 1375731712 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1509949440 4278190080 4261412864 4278190080 3925868544 0 0 0 0 100663296 2650800128 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 1962934272 4261412864 4278190080 4261412864 4278190080 1476395008 0 822083584 1275068416 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 2466250752 117440512 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 2634022912 167772160 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 2063597568 4278190080 4278190080 4261412864 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 2835349504 4278190080 4278190080 4278190080 4278190080 4278190080 184549376 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4278190080 4261412864 4278190080 4261412864 4278190080 2113929216 33554432 0 0 0 1962934272 4278190080 4261412864 4278190080 3690987520 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 2600468480 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 1023410176 1375731712 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 4244635648 4278190080 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 838860800 3841982464 4278190080 4261412864 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2919235584 4278190080 4261412864 4278190080 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3942645760 4278190080 3590324224 536870912 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4261412864 4278190080 3892314112 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 0 0 536870912 3556769792 4278190080 4278190080 3707764736 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4278190080 4278190080 2634022912 0 0 0 0 218103808 3388997632 4278190080 4278190080 4261412864 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 4278190080 4261412864 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 184549376 4060086272 4278190080 4278190080 4261412864 4110417920 0 402653184 167772160 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 603979776 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 822083584 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 201326592 4110417920 4278190080 4278190080 4261412864 4009754624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 3892314112 4278190080 4278190080 4278190080 4278190080 4227858432 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 2801795072 4278190080 4278190080 4278190080 4278190080 3154116608 117440512 0 0 0 1962934272 4278190080 4278190080 4278190080 4278190080 3271557120 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 805306368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 318767104 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3372220416 4278190080 4278190080 4278190080 2717908992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 33554432 2868903936 4278190080 4278190080 4261412864 4278190080 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 2835349504 4278190080 4278190080 4244635648 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4194304000 3305111552 268435456 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 4278190080 3523215360 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 0 469762048 3590324224 4278190080 4278190080 3825205248 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 2130706432 0 0 0 0 620756992 4278190080 4261412864 4278190080 4278190080 4093640704 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4261412864 3942645760 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 4060086272 738197504 33554432 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 3992977408 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4261412864 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 1979711488 4278190080 4278190080 4278190080 4261412864 4278190080 469762048 0 0 0 1962934272 4278190080 4278190080 4278190080 4261412864 4278190080 3120562176 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4110417920 1711276032 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3741319168 4278190080 4278190080 4261412864 4278190080 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 922746880 4127195136 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2080374784 4261412864 4278190080 4076863488 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1811939328 3405774848 117440512 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 4261412864 4278190080 3288334336 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 167772160 3204448256 4278190080 4278190080 3590324224 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3154116608 1711276032 0 0 0 0 939524096 4278190080 4278190080 4278190080 4278190080 3154116608 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3405774848 4278190080 4278190080 4278190080 4261412864 4076863488 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 452984832 4278190080 4278190080 4278190080 4110417920 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 536870912 4278190080 4278190080 4278190080 4060086272 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4278190080 4278190080 4278190080 4278190080 1191182336 0 0 0 1962934272 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4194304000 2432696320 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 4261412864 4278190080 2332033024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 33554432 4060086272 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 4261412864 4278190080 4211081216 2030043136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 2365587456 16777216 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 2432696320 4278190080 4278190080 3875536896 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 1073741824 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 3858759680 4227858432 2097152000 2986344448 4278190080 4278190080 2751463424 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 2684354560 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 50331648 4278190080 4278190080 4278190080 4278190080 2516582400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 4278190080 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 4278190080 4278190080 4278190080 1929379840 0 0 0 1962934272 4278190080 4278190080 4278190080 3019898880 4278190080 4278190080 4278190080 2365587456 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2130706432 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3707764736 268435456 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2835349504 4278190080 3003121664 1442840576 4278190080 4261412864 4076863488 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4261412864 4211081216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3070230528 4278190080 4278190080 4093640704 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 654311424 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 2969567232 4278190080 4278190080 4278190080 2566914048 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 0 671088640 3758096384 4278190080 4278190080 2768240640 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 201326592 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2550136832 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2348810240 4278190080 4211081216 369098752 2231369728 4244635648 4278190080 3774873600 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4261412864 2365587456 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 16777216 2734686208 4278190080 4278190080 4261412864 2231369728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4278190080 4278190080 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 4278190080 4278190080 4278190080 4278190080 4278190080 2751463424 0 0 0 1962934272 4278190080 4278190080 4278190080 1577058304 1778384896 4261412864 4278190080 4244635648 2147483648 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2097152000 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3506438144 704643072 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4278190080 4278190080 1191182336 587202560 4194304000 4278190080 4194304000 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 2986344448 184549376 0 0 0 0 0 0 0 0 0 0 1761607680 4278190080 4278190080 4278190080 3774873600 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4261412864 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1711276032 1526726656 4227858432 4278190080 4278190080 2348810240 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 0 2164260864 4278190080 4261412864 4060086272 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2583691264 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3154116608 4278190080 3170893824 0 436207616 4160749568 4261412864 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 4278190080 4110417920 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 16777216 2684354560 4278190080 4278190080 4043309056 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4278190080 4278190080 4278190080 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 0 0 0 1962934272 4278190080 4278190080 4278190080 1593835520 0 2013265920 4278190080 4278190080 4227858432 2214592512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 3741319168 1023410176 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2113929216 4278190080 3808428032 184549376 117440512 2919235584 4278190080 4278190080 3238002688 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 3405774848 4278190080 4278190080 3909091328 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 1828716544 4278190080 4278190080 4244635648 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 234881024 3976200192 4278190080 4278190080 3137339392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2583691264 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 4278190080 4278190080 1308622848 0 0 2936012800 4278190080 4278190080 3288334336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 4278190080 4026531840 402653184 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 16777216 2684354560 4278190080 4278190080 3942645760 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3657433088 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 1778384896 4278190080 4278190080 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 4026531840 1744830464 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4278190080 4278190080 2298478592 0 0 1677721600 4160749568 4278190080 3875536896 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 1728053248 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4211081216 4261412864 4278190080 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 1627389952 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 1241513984 4278190080 4261412864 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 4278190080 4278190080 2617245696 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2214592512 4278190080 4278190080 50331648 0 0 1107296256 4278190080 4261412864 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 2684354560 4278190080 4278190080 3741319168 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 16777216 2768240640 4278190080 4278190080 3640655872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3187671040 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 1879048192 4278190080 4278190080 4261412864 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4093640704 1493172224 33554432 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4278190080 1224736768 0 0 503316480 3892314112 4261412864 4278190080 2197815296 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 4227858432 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 1660944384 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 2852126720 4278190080 4278190080 4278190080 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 4278190080 4278190080 4278190080 4278190080 3003121664 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3942645760 4278190080 2097152000 0 0 0 167772160 3925868544 4278190080 4278190080 3288334336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 50331648 3992977408 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 117440512 4009754624 4278190080 4278190080 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 2063597568 4261412864 4278190080 4093640704 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 4110417920 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4076863488 1543503872 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3221225472 4278190080 3271557120 301989888 0 0 0 3137339392 4278190080 4278190080 3858759680 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 3338665984 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 3254779904 4278190080 4261412864 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 1845493760 4211081216 4278190080 4160749568 1694498816 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 4278190080 4261412864 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 4278190080 4278190080 4278190080 3539992576 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3305111552 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3456106496 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 905969664 0 0 0 0 2080374784 4278190080 4261412864 4278190080 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 2969567232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 704643072 4278190080 4278190080 2919235584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4194304000 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 2466250752 4278190080 4278190080 4127195136 1577058304 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4278190080 4244635648 4278190080 4278190080 4278190080 4261412864 4278190080 4127195136 1073741824 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4009754624 4278190080 2801795072 0 0 0 0 1224736768 4278190080 4261412864 4278190080 1358954496 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 150994944 4110417920 4278190080 3674210304 570425344 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3355443200 4278190080 4278190080 3808428032 436207616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 2264924160 4278190080 4278190080 4177526784 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 536870912 4278190080 4278190080 4278190080 3254779904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 4261412864 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4261412864 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 2986344448 201326592 0 0 0 0 922746880 4278190080 4261412864 4278190080 3204448256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 2483027968 4278190080 4278190080 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 1073741824 335544320 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 2550136832 4278190080 4278190080 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 2466250752 4278190080 4278190080 4278190080 1174405120 0 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 1073741824 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 3825205248 452984832 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 671088640 0 0 0 0 0 0 0 0 0 335544320 855638016 16777216 0 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 4026531840 721420288 0 0 0 0 83886080 4278190080 4261412864 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 1509949440 4177526784 4278190080 2516582400 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3405774848 4278190080 4278190080 3170893824 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4244635648 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4244635648 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 2315255808 4278190080 4278190080 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 671088640 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 4160749568 4278190080 2248146944 0 0 0 0 0 218103808 3238002688 4278190080 4278190080 3573547008 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 2868903936 1778384896 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1828716544 2130706432 4278190080 4110417920 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 1895825408 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4278190080 4278190080 4278190080 4278190080 4278190080 2516582400 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 2499805184 4278190080 4261412864 4093640704 1056964608 0 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 2835349504 1778384896 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1828716544 2147483648 4278190080 4009754624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 50331648 0 0 0 0 469762048 4278190080 4278190080 4278190080 3992977408 2248146944 1845493760 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1811939328 2684354560 4278190080 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3103784960 4278190080 3707764736 0 0 0 0 0 0 2332033024 4278190080 4278190080 4278190080 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 654311424 3674210304 4278190080 3338665984 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3405774848 4278190080 4278190080 3170893824 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 2315255808 4261412864 4261412864 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 671088640 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2852126720 4278190080 4278190080 4278190080 4278190080 2315255808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3841982464 2415919104 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2449473536 3909091328 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 2466250752 4244635648 3925868544 855638016 0 0 0 0 0 16777216 2348810240 4278190080 4278190080 4194304000 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 100663296 1711276032 4127195136 4278190080 2617245696 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3976200192 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 0 117440512 1778384896 4177526784 4278190080 2533359616 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 4278190080 4278190080 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4278190080 4278190080 4278190080 4278190080 4278190080 1711276032 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 100663296 2516582400 4278190080 4278190080 3909091328 1040187392 0 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3892314112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4211081216 4261412864 4278190080 4278190080 4278190080 4278190080 3992977408 788529152 0 0 0 0 469762048 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4160749568 4278190080 1744830464 0 0 0 0 0 0 822083584 4278190080 4261412864 4278190080 2986344448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3070230528 83886080 0 0 0 0 0 0 0 1006632960 3539992576 4278190080 3439329280 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3405774848 4278190080 4278190080 3170893824 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 3254779904 2181038080 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2164260864 2919235584 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 50331648 2315255808 4278190080 4278190080 4009754624 1224736768 0 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 671088640 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2399141888 4278190080 4278190080 4278190080 4278190080 4278190080 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3405774848 4278190080 3741319168 0 0 0 0 0 0 0 1056964608 3959422976 4261412864 4278190080 2801795072 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2885681152 1442840576 1526726656 1526726656 1526726656 1526726656 1459617792 2365587456 3858759680 4127195136 4278190080 2600468480 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 2399141888 922746880 1023410176 1023410176 1023410176 1023410176 1023410176 1023410176 1912602624 3909091328 4278190080 2449473536 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2835349504 1442840576 1526726656 1526726656 1526726656 1526726656 1442840576 2399141888 3875536896 4143972352 4278190080 2533359616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 4278190080 4261412864 4278190080 4278190080 4278190080 4227858432 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 2483027968 4278190080 4278190080 4160749568 973078528 0 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 2348810240 922746880 1023410176 1023410176 1023410176 1023410176 1023410176 1040187392 1946157056 3942645760 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 3841982464 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3724541952 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023410176 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 2046820352 0 0 0 0 469762048 4278190080 4278190080 4278190080 3892314112 1543503872 1006632960 1023410176 1023410176 1023410176 1023410176 1006632960 1241513984 2617245696 4278190080 3892314112 838860800 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4278190080 4278190080 251658240 0 0 0 0 0 0 150994944 3321888768 4278190080 4261412864 3875536896 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3523215360 1660944384 1526726656 1526726656 1526726656 1526726656 1509949440 1946157056 3573547008 4009754624 4278190080 3372220416 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3405774848 4278190080 4278190080 3170893824 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4278190080 4211081216 1107296256 0 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 671088640 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 1006632960 855638016 754974720 754974720 754974720 754974720 754974720 754974720 922746880 956301312 285212672 0 1879048192 4278190080 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4043309056 4278190080 1543503872 0 16777216 0 0 0 0 0 150994944 3556769792 4278190080 4261412864 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 4177526784 2617245696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 503316480 3976200192 1577058304 0 0 0 0 0 1526726656 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3103784960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3355443200 4278190080 4278190080 4278190080 4278190080 4278190080 184549376 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 2533359616 4278190080 4261412864 4261412864 704643072 0 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 536870912 4009754624 1526726656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1358954496 4160749568 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 4009754624 2583691264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1644167168 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 671088640 0 0 0 0 0 0 0 0 1459617792 3674210304 503316480 0 0 0 0 0 0 0 0 0 0 0 50331648 3623878656 4278190080 2382364672 0 16777216 0 0 0 0 0 0 2063597568 4278190080 4278190080 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3841982464 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3405774848 4278190080 4278190080 3204448256 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 2348810240 4278190080 4261412864 4278190080 822083584 0 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 671088640 4278190080 4278190080 4278190080 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 2466250752 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 1560281088 117440512 0 0 687865856 3774873600 4278190080 4278190080 4278190080 4261412864 4227858432 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 33554432 2348810240 4278190080 4278190080 2181038080 1828716544 1879048192 1493172224 1493172224 1493172224 1493172224 1493172224 1308622848 3674210304 4278190080 4278190080 4278190080 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3741319168 3170893824 3204448256 3204448256 3204448256 2952790016 2936012800 2835349504 1358954496 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 1040187392 1224736768 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 3707764736 3170893824 3355443200 3690987520 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2566914048 4278190080 4278190080 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 3238002688 4278190080 4278190080 4278190080 4278190080 2684354560 83886080 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 402653184 3070230528 4278190080 4278190080 3825205248 687865856 0 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 1056964608 1191182336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3019898880 4278190080 4261412864 4278190080 4278190080 4278190080 754974720 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 1375731712 436207616 0 0 0 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 2617245696 1828716544 1879048192 1593835520 1493172224 1493172224 1493172224 1493172224 1476395008 2399141888 4278190080 4278190080 4278190080 3288334336 268435456 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3976200192 3254779904 3221225472 3607101440 4261412864 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 3003121664 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3338665984 4278190080 4278190080 4093640704 587202560 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 285212672 2919235584 4278190080 4261412864 4009754624 822083584 0 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 486539264 4278190080 4278190080 4278190080 3724541952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2332033024 4244635648 4278190080 4278190080 4278190080 704643072 0 0 0 0 134217728 3506438144 4278190080 4278190080 4278190080 4278190080 4227858432 2214592512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 318767104 4093640704 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4143972352 184549376 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2231369728 100663296 201326592 201326592 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 570425344 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2164260864 83886080 335544320 620756992 1325400064 2147483648 3992977408 4278190080 4261412864 4278190080 4261412864 4278190080 1509949440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 4177526784 4278190080 4278190080 4278190080 4278190080 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4278190080 4261412864 4278190080 4261412864 4278190080 1895825408 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 436207616 3137339392 4278190080 4278190080 3858759680 452984832 0 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 4043309056 4278190080 4278190080 4278190080 4278190080 1258291200 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 234881024 218103808 0 0 0 0 0 0 0 0 0 0 0 3623878656 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3154116608 419430400 218103808 553648128 1073741824 1862270976 3154116608 4278190080 4278190080 4278190080 4261412864 4278190080 2449473536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 4278190080 4261412864 4278190080 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 352321536 2952790016 4278190080 4278190080 3942645760 637534208 0 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 67108864 4278190080 4278190080 4261412864 4278190080 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 1845493760 4261412864 4278190080 4278190080 4278190080 4278190080 3590324224 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4278190080 2717908992 2013265920 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2130706432 4278190080 4261412864 4261412864 4278190080 2080374784 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 16777216 150994944 1862270976 4278190080 4278190080 4261412864 4278190080 3825205248 805306368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3623878656 4278190080 4278190080 4278190080 4261412864 3992977408 285212672 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4278190080 4278190080 4278190080 3523215360 436207616 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3221225472 4278190080 4278190080 4278190080 335544320 0 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3170893824 4278190080 4278190080 4278190080 4278190080 1845493760 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4278190080 4278190080 3355443200 2097152000 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2063597568 3707764736 4278190080 4261412864 4278190080 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 201326592 0 0 0 16777216 83886080 1107296256 4026531840 4278190080 4261412864 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3103784960 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3087007744 4278190080 4278190080 4278190080 436207616 0 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 4278190080 4261412864 4278190080 4278190080 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 134217728 4060086272 4278190080 4278190080 4278190080 4261412864 4278190080 2650800128 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 3120562176 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4278190080 4261412864 4026531840 117440512 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 587202560 3254779904 4278190080 4261412864 4278190080 3238002688 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2919235584 4278190080 4261412864 4278190080 4278190080 4177526784 1761607680 0 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 3154116608 4278190080 4278190080 4278190080 4261412864 2768240640 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3137339392 4278190080 4261412864 4043309056 335544320 0 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2533359616 4261412864 4278190080 4278190080 4278190080 1308622848 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 1325400064 4194304000 4278190080 4261412864 4278190080 520093696 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 67108864 2566914048 4177526784 4278190080 4261412864 4127195136 1124073472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4211081216 4278190080 4278190080 3657433088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3003121664 4278190080 4261412864 4244635648 402653184 0 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 2013265920 4278190080 4278190080 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1811939328 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 587202560 4278190080 4278190080 3003121664 33554432 0 0 0 0 0 0 0 0 0 0 754974720 4278190080 4261412864 4278190080 4160749568 1677721600 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 318767104 2801795072 4278190080 4261412864 4278190080 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 3758096384 4278190080 4278190080 4278190080 4278190080 3405774848 285212672 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 872415232 4261412864 4261412864 4278190080 4261412864 4278190080 285212672 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3070230528 4244635648 4227858432 2835349504 285212672 0 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 4127195136 4278190080 4278190080 4278190080 956301312 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 3623878656 4261412864 3825205248 771751936 0 0 0 0 0 0 0 0 0 0 201326592 4278190080 4261412864 4278190080 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 50331648 1744830464 4110417920 4278190080 4278190080 3405774848 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 4278190080 4261412864 4261412864 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 2902458368 4227858432 4244635648 3003121664 385875968 0 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 889192448 4278190080 4261412864 4261412864 4043309056 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 67108864 3204448256 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4278190080 1946157056 16777216 0 0 0 0 0 0 0 0 0 0 50331648 3070230528 4278190080 4278190080 4278190080 2952790016 100663296 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 318767104 3372220416 4278190080 4278190080 4227858432 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1325400064 4278190080 4261412864 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 16777216 2936012800 4261412864 4278190080 4261412864 4278190080 1593835520 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4278190080 4261412864 4278190080 2936012800 83886080 0 1006632960 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4110417920 4278190080 4261412864 4278190080 402653184 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023410176 3976200192 4278190080 3506438144 134217728 0 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4278190080 4261412864 4211081216 318767104 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 67108864 2382364672 4227858432 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2818572288 4278190080 4278190080 4278190080 3841982464 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4143972352 4261412864 4278190080 3070230528 167772160 0 855638016 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 117440512 3523215360 4278190080 4278190080 4278190080 2634022912 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4026531840 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2281701376 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 218103808 3841982464 4278190080 3925868544 822083584 0 0 0 0 0 0 0 0 0 0 0 0 1694498816 4278190080 4278190080 4278190080 3942645760 754974720 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 1073741824 4278190080 4278190080 4261412864 4026531840 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2499805184 4278190080 4278190080 4278190080 4278190080 3607101440 369098752 0 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 872415232 3858759680 4278190080 4278190080 4278190080 2583691264 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 4278190080 4278190080 4278190080 3036676096 83886080 989855744 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4110417920 4278190080 4278190080 3372220416 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2415919104 4278190080 4261412864 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 587202560 4278190080 4278190080 4278190080 4227858432 2063597568 0 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 419430400 4026531840 4278190080 4261412864 4278190080 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 4278190080 4278190080 4278190080 4227858432 2097152000 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4278190080 4278190080 4278190080 3170893824 150994944 838860800 3942645760 4278190080 4278190080 2818572288 67108864 0 0 0 16777216 2013265920 4278190080 4278190080 4278190080 3909091328 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3825205248 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 301989888 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 1392508928 4093640704 4278190080 3254779904 218103808 0 0 0 0 0 0 0 0 0 0 0 0 536870912 3690987520 4278190080 4261412864 4278190080 1996488704 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4261412864 4278190080 3120562176 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3556769792 4278190080 4278190080 4261412864 4278190080 3036676096 67108864 0 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 218103808 3187671040 4278190080 4261412864 4244635648 3137339392 352321536 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 3976200192 4278190080 4278190080 2734686208 1207959552 4076863488 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3674210304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1207959552 4160749568 4261412864 4278190080 1728053248 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 3573547008 4278190080 4278190080 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 2936012800 4278190080 4278190080 4278190080 3422552064 218103808 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4261412864 4261412864 4278190080 436207616 0 0 0 0 0 0 0 0 0 0 0 0 0 2902458368 4278190080 4261412864 4278190080 4026531840 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 3892314112 4278190080 4278190080 2969567232 1107296256 3925868544 4278190080 4278190080 2818572288 67108864 0 0 0 0 536870912 3724541952 4278190080 4261412864 4278190080 3472883712 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 50331648 2667577344 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4076863488 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4160749568 4278190080 889192448 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 50331648 2751463424 4278190080 4244635648 2332033024 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3003121664 4278190080 4278190080 4278190080 3942645760 167772160 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 603979776 3707764736 4278190080 4278190080 4211081216 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023410176 4278190080 4261412864 4278190080 4261412864 4278190080 2785017856 134217728 0 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4261412864 4261412864 4060086272 603979776 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4093640704 4261412864 4143972352 3489660928 4211081216 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3841982464 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2717908992 4261412864 4278190080 3674210304 486539264 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4278190080 4278190080 3523215360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4261412864 4278190080 4160749568 1308622848 0 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 2734686208 4278190080 4261412864 4261412864 2969567232 134217728 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3992977408 4278190080 4261412864 4278190080 3875536896 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 50331648 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 3925868544 4278190080 4194304000 3489660928 4160749568 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 2130706432 4211081216 4278190080 4261412864 4278190080 3338665984 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 3288334336 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 1375731712 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 419430400 3539992576 4278190080 4110417920 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 4110417920 4278190080 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4177526784 4261412864 4278190080 4278190080 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 4278190080 4261412864 4261412864 4278190080 2667577344 67108864 0 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 0 0 2332033024 4261412864 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 3892314112 4278190080 4160749568 1644167168 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2734686208 4278190080 4278190080 1577058304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 3456106496 4278190080 4261412864 4278190080 2432696320 67108864 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 352321536 3439329280 4278190080 4278190080 4278190080 2332033024 33554432 0 0 0 0 0 0 0 0 0 0 0 0 2583691264 4278190080 4278190080 4261412864 4278190080 4211081216 872415232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1811939328 234881024 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 33554432 4127195136 4261412864 4278190080 4261412864 4278190080 3422552064 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3875536896 1308622848 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1912602624 4278190080 4261412864 4278190080 4261412864 3758096384 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 1560281088 4278190080 4278190080 3892314112 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3976200192 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 67108864 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4261412864 4261412864 4278190080 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 3254779904 4278190080 4278190080 4261412864 4278190080 2583691264 218103808 0 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 0 201326592 2181038080 4244635648 4261412864 4278190080 3187671040 419430400 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 4261412864 4278190080 4261412864 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4278190080 3875536896 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3321888768 4278190080 4278190080 3288334336 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3774873600 687865856 0 0 0 0 0 0 0 0 0 0 0 0 83886080 0 0 0 0 0 520093696 4278190080 4278190080 4278190080 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2550136832 4278190080 4278190080 4261412864 4278190080 402653184 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 0 1140850688 4026531840 4261412864 4261412864 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 3338665984 4278190080 4261412864 4278190080 4261412864 4127195136 1140850688 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2801795072 3556769792 301989888 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4227858432 4278190080 4261412864 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 0 268435456 4160749568 4278190080 4261412864 4261412864 4278190080 3221225472 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2046820352 3791650816 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 2919235584 1526726656 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 3070230528 4278190080 4261412864 4278190080 4278190080 4278190080 3690987520 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 3305111552 4278190080 4278190080 2030043136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2717908992 4278190080 4278190080 4278190080 4278190080 1140850688 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 117440512 687865856 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3070230528 4278190080 4261412864 4261412864 3925868544 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 2466250752 4278190080 4278190080 4244635648 4278190080 3388997632 1577058304 0 0 0 0 1409286144 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 0 0 687865856 3053453312 4278190080 4278190080 4278190080 2583691264 335544320 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 4043309056 4278190080 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 1694498816 0 0 0 0 0 0 0 0 0 0 0 117440512 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 3456106496 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 1778384896 3556769792 4278190080 4278190080 2919235584 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3758096384 637534208 0 0 0 0 0 0 0 0 0 0 0 369098752 603979776 0 0 0 0 0 2516582400 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4127195136 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 2097152000 4278190080 4261412864 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3053453312 4278190080 4278190080 4261412864 4278190080 4076863488 2499805184 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 2868903936 4278190080 3976200192 889192448 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 3959422976 4278190080 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 0 0 905969664 3741319168 4278190080 4261412864 4261412864 4278190080 3657433088 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 3036676096 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4127195136 3640655872 1811939328 234881024 0 0 0 0 0 0 0 0 0 0 0 469762048 3338665984 3892314112 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3959422976 318767104 0 0 452984832 3472883712 4278190080 4278190080 3372220416 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 452984832 4278190080 4261412864 4278190080 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4278190080 4261412864 4278190080 4278190080 3154116608 16777216 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 2533359616 0 0 0 0 0 0 0 0 0 0 0 1879048192 1476395008 0 0 0 1526726656 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3271557120 4278190080 4261412864 4244635648 3909091328 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1291845632 3489660928 4278190080 4278190080 4278190080 4160749568 3657433088 1090519040 0 0 1375731712 4211081216 0 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 0 0 0 201326592 2768240640 3808428032 4278190080 4278190080 3690987520 1560281088 100663296 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4261412864 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 1979711488 1375731712 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4278190080 4261412864 4278190080 4009754624 2550136832 234881024 0 0 0 0 0 0 0 0 637534208 2818572288 4278190080 4278190080 4211081216 2281701376 150994944 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 3959422976 1107296256 0 0 0 0 0 0 0 0 0 0 0 3607101440 234881024 0 0 0 0 50331648 4060086272 4261412864 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 3758096384 4261412864 4278190080 4278190080 4093640704 218103808 0 0 0 0 0 0 0 654311424 3724541952 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2248146944 4278190080 4261412864 4278190080 4009754624 2147483648 0 0 0 0 0 0 0 0 0 0 0 0 218103808 2248146944 4194304000 4278190080 4261412864 4278190080 4278190080 3573547008 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3221225472 4278190080 4261412864 4278190080 1509949440 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4160749568 4261412864 4278190080 2818572288 67108864 0 0 0 0 0 0 0 0 687865856 2986344448 4278190080 4261412864 4261412864 4278190080 4278190080 2952790016 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4110417920 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1392508928 3976200192 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3338665984 1442840576 771751936 318767104 16777216 16777216 16777216 0 218103808 922746880 2919235584 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1476395008 16777216 0 0 452984832 3489660928 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 3523215360 4278190080 4278190080 3355443200 369098752 0 0 0 0 0 0 0 2164260864 4278190080 4278190080 3305111552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2801795072 4278190080 4278190080 4278190080 3959422976 1040187392 0 0 0 0 0 0 0 1476395008 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4261412864 4244635648 2164260864 33554432 0 0 0 0 0 0 0 0 1207959552 4278190080 1090519040 0 0 0 1543503872 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3590324224 4278190080 4261412864 4261412864 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2030043136 4076863488 4261412864 4278190080 4261412864 4278190080 3992977408 1409286144 1811939328 4211081216 16777216 1023410176 4110417920 3892314112 402653184 0 4278190080 1275068416 33554432 704643072 2231369728 4278190080 4278190080 4278190080 4278190080 3053453312 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1996488704 4278190080 4278190080 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 4160749568 4278190080 4278190080 4261412864 4227858432 2080374784 33554432 0 0 0 0 0 0 0 0 1275068416 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 2248146944 922746880 536870912 100663296 67108864 654311424 1207959552 2952790016 4278190080 4278190080 4261412864 4127195136 1174405120 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 4278190080 3741319168 704643072 0 0 0 0 0 0 0 0 134217728 3221225472 4278190080 0 0 0 0 0 1258291200 4127195136 4278190080 3858759680 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 654311424 3741319168 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4261412864 4278190080 1996488704 16777216 0 0 0 0 0 0 0 0 0 0 0 33554432 1207959552 4127195136 4261412864 4278190080 4278190080 4278190080 4278190080 3338665984 1124073472 0 0 0 0 0 0 0 0 0 285212672 1895825408 4278190080 4278190080 4261412864 4278190080 4278190080 1728053248 0 0 0 1426063360 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 1644167168 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023410176 4278190080 4278190080 2818572288 67108864 0 0 0 0 0 0 0 0 0 134217728 1895825408 4278190080 4261412864 4278190080 4261412864 4278190080 4278190080 2617245696 671088640 0 0 0 0 0 0 0 0 0 0 184549376 3154116608 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1358954496 3472883712 3758096384 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2684354560 2650800128 3087007744 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3992977408 3539992576 2147483648 385875968 0 0 0 0 1392508928 4278190080 4261412864 4261412864 4278190080 1191182336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4278190080 4261412864 4261412864 4278190080 1140850688 0 0 0 0 0 0 452984832 4278190080 4261412864 4278190080 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 4278190080 4278190080 4278190080 2885681152 150994944 0 0 0 0 0 0 3774873600 4261412864 4278190080 4278190080 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 4278190080 4278190080 4278190080 4278190080 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 3019898880 822083584 167772160 0 0 0 0 301989888 1728053248 4278190080 4227858432 939524096 0 0 0 3892314112 4261412864 4278190080 4278190080 3137339392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3422552064 4278190080 4278190080 4261412864 4278190080 2315255808 654311424 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 2231369728 3640655872 4227858432 4278190080 4278190080 4278190080 4278190080 4211081216 2097152000 2281701376 4160749568 4026531840 1761607680 1291845632 4278190080 3154116608 3858759680 4278190080 4278190080 4278190080 3925868544 3372220416 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4278190080 4261412864 4026531840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 4227858432 2667577344 0 0 0 0 0 0 100663296 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 2936012800 788529152 167772160 0 0 0 0 301989888 1778384896 4278190080 4227858432 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 3875536896 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 2432696320 369098752 0 0 0 0 0 0 0 0 0 0 1006632960 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 1778384896 452984832 67108864 0 0 0 33554432 671088640 2952790016 4278190080 3892314112 0 0 0 0 100663296 3221225472 4278190080 4278190080 3003121664 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4278190080 4278190080 4278190080 4261412864 4043309056 620756992 0 0 0 0 0 0 1912602624 4278190080 4261412864 4278190080 3774873600 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2432696320 4278190080 4278190080 4261412864 4278190080 2902458368 1157627904 117440512 0 0 0 0 0 0 0 0 0 0 0 251658240 2080374784 3657433088 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2281701376 1627389952 1090519040 1006632960 503316480 654311424 1375731712 2214592512 4127195136 4278190080 4261412864 4278190080 4278190080 3858759680 2868903936 687865856 0 0 0 3690987520 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3724541952 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 4060086272 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 4278190080 4261412864 4278190080 4261412864 4261412864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4143972352 2885681152 67108864 0 0 0 0 0 0 0 0 0 0 0 654311424 2751463424 3841982464 4278190080 4278190080 4278190080 4278190080 4278190080 3590324224 2097152000 1459617792 1073741824 855638016 419430400 402653184 738197504 1241513984 1795162112 3674210304 4278190080 4278190080 4278190080 3841982464 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 671088640 1879048192 2415919104 3221225472 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 2248146944 1056964608 251658240 0 0 0 0 0 285212672 3607101440 4278190080 4278190080 4278190080 4278190080 3539992576 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 3623878656 4278190080 4278190080 4278190080 4278190080 3523215360 201326592 0 0 0 0 402653184 3070230528 4261412864 4278190080 4278190080 3405774848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 788529152 2969567232 4278190080 4278190080 4278190080 4278190080 4177526784 2214592512 16777216 0 0 0 0 1610612736 4127195136 4278190080 4278190080 4261412864 4278190080 2499805184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2768240640 4278190080 4278190080 4278190080 4261412864 4110417920 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2449473536 4244635648 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3976200192 3053453312 2650800128 2550136832 2550136832 2717908992 3338665984 4278190080 4278190080 3439329280 419430400 0 0 1728053248 4143972352 4278190080 4278190080 4261412864 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 2449473536 4110417920 4278190080 4278190080 4278190080 3774873600 3019898880 2801795072 2113929216 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 1560281088 2298478592 3288334336 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3036676096 2147483648 1006632960 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2382364672 4278190080 4278190080 4278190080 4278190080 4177526784 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 2399141888 0 0 0 0 0 33554432 2516582400 4244635648 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3959422976 3036676096 2650800128 2550136832 2566914048 2717908992 3372220416 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 2264924160 3858759680 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3053453312 1996488704 637534208 0 0 0 0 0 0 0 0 0 0 0 486539264 3556769792 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3590324224 2868903936 2566914048 2550136832 2600468480 2835349504 3774873600 4278190080 4278190080 2113929216 0 0 0 0 2130706432 4160749568 4278190080 4278190080 3909091328 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 2332033024 4278190080 4278190080 4278190080 4278190080 4244635648 3036676096 452984832 0 0 0 0 503316480 3741319168 4278190080 4278190080 4261412864 4278190080 3321888768 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1811939328 3590324224 4278190080 4278190080 4278190080 4244635648 3154116608 2785017856 2717908992 687865856 0 0 0 0 0 0 0 0 0 0 369098752 1694498816 2600468480 3623878656 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3556769792 3808428032 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 2197815296 838860800 0 0 0 0 1543503872 4110417920 4278190080 4278190080 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1577058304 4110417920 4278190080 4278190080 4278190080 4278190080 2600468480 0 0 0 0 1862270976 4177526784 4278190080 4278190080 4278190080 4278190080 2348810240 0 0 0 0 2147483648 4244635648 4278190080 4278190080 4278190080 4227858432 2080374784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 2499805184 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2046820352 2785017856 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 3439329280 3422552064 4093640704 4278190080 4278190080 4278190080 4060086272 2919235584 2063597568 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 184549376 553648128 872415232 1476395008 1929379840 2130706432 2885681152 4278190080 4278190080 4278190080 4278190080 4278190080 2634022912 2130706432 1728053248 1308622848 872415232 335544320 134217728 33554432 0 0 0 0 0 16777216 1107296256 3992977408 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3942645760 1040187392 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1124073472 4009754624 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3925868544 1023410176 0 469762048 1593835520 4160749568 4244635648 4278190080 4278190080 4261412864 4278190080 3741319168 805306368 50331648 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2600468480 4060086272 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4194304000 3758096384 1174405120 100663296 184549376 2046820352 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2768240640 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 2885681152 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4194304000 1845493760 218103808 0 0 0 0 0 0 0 0 0 0 536870912 2600468480 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3238002688 285212672 201326592 2130706432 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2667577344 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 671088640 1912602624 4278190080 4278190080 3204448256 2197815296 1426063360 436207616 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 201326592 620756992 1174405120 1593835520 2113929216 3489660928 4278190080 4278190080 4278190080 4278190080 2130706432 1979711488 1157627904 469762048 167772160 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 2684354560 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2214592512 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 0 0 0 0 553648128 2667577344 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3170893824 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 369098752 1409286144 1912602624 4261412864 4278190080 4278190080 2919235584 2080374784 1342177280 570425344 167772160 16777216 0 0 0 0 0 0 0 0 0 0 67108864 1107296256 3825205248 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1677721600 0 218103808 1023410176 3959422976 4194304000 4278190080 4261412864 4261412864 4278190080 4177526784 1308622848 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4177526784 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4244635648 4127195136 1694498816 318767104 0 1275068416 4093640704 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3758096384 754974720 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 1493172224 3791650816 4278190080 3925868544 2365587456 1711276032 687865856 83886080 0 0 0 0 0 0 0 0 0 0 0 0 100663296 234881024 654311424 1342177280 1811939328 2063597568 3774873600 4261412864 4278190080 4278190080 4278190080 2566914048 2046820352 1577058304 989855744 520093696 150994944 16777216 0 0 0 167772160 1996488704 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2919235584 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 2013265920 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2885681152 436207616 234881024 2248146944 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2650800128 352321536 301989888 2483027968 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2415919104 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 318767104 838860800 1509949440 1979711488 2030043136 4278190080 4261412864 4278190080 4278190080 4110417920 2566914048 2181038080 1375731712 1006632960 436207616 150994944 16777216 0 0 0 0 0 0)
	offset: 0@0)! !

!I2SChapter class methodsFor: 'auto-generated' stamp: 'benjamin.siegmund 6/28/2013 11:05:29.902'!
titleThree
^(Form
	extent: 727@50
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 285212672 738197504 1291845632 1577058304 2164260864 2365587456 4143972352 4278190080 4278190080 4278190080 2164260864 2164260864 1728053248 1392508928 1358954496 838860800 704643072 402653184 352321536 150994944 83886080 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 671088640 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 520093696 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 3405774848 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 2684354560 2130706432 1962934272 1358954496 1073741824 486539264 184549376 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 989855744 2063597568 2650800128 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3523215360 3388997632 3858759680 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2936012800 2533359616 2432696320 1996488704 1862270976 704643072 301989888 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 4244635648 3053453312 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 4211081216 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2936012800 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3120562176 2382364672 1308622848 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 1795162112 3439329280 3959422976 4278190080 4278190080 4278190080 4278190080 3288334336 2130706432 1660944384 1241513984 1090519040 1040187392 486539264 402653184 587202560 1124073472 1308622848 1677721600 2415919104 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3758096384 3137339392 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 2617245696 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 3992977408 1526726656 1073741824 1090519040 1090519040 1090519040 1090519040 1140850688 1560281088 2852126720 4278190080 4278190080 4110417920 3506438144 1157627904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 3707764736 4278190080 4278190080 4261412864 4278190080 4278190080 1660944384 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 1258291200 4261412864 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 3690987520 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3808428032 4278190080 4278190080 4278190080 3573547008 2030043136 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1912602624 2634022912 4261412864 4278190080 4278190080 4278190080 4278190080 3456106496 1879048192 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 2030043136 3405774848 4278190080 4261412864 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 3690987520 4278190080 4278190080 4278190080 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 0 1073741824 3556769792 4278190080 4278190080 4110417920 1744830464 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 788529152 2701131776 4278190080 4278190080 4278190080 4278190080 3707764736 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4127195136 4278190080 4261412864 4278190080 4278190080 4261412864 3674210304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3036676096 4278190080 3808428032 989855744 0 0 0 0 0 0 0 0 0 0 0 1140850688 4244635648 4278190080 4278190080 4278190080 4278190080 2717908992 0 0 0 0 0 0 0 0 0 0 0 704643072 3741319168 4278190080 4244635648 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3053453312 4278190080 4278190080 4278190080 4278190080 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 721420288 3523215360 4261412864 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4093640704 4278190080 4261412864 4278190080 3959422976 2197815296 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 3489660928 4278190080 4261412864 4278190080 4278190080 2566914048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2583691264 4076863488 771751936 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 536870912 3674210304 2734686208 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 1023410176 4244635648 4261412864 4278190080 4160749568 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4261412864 4278190080 4261412864 4278190080 3657433088 721420288 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3439329280 4278190080 4278190080 4278190080 1509949440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2348810240 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 2399141888 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4261412864 4278190080 2634022912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4261412864 4261412864 4278190080 3607101440 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4278190080 4278190080 4278190080 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4261412864 4261412864 4278190080 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4261412864 4261412864 4278190080 3724541952 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4143972352 4278190080 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 3892314112 4278190080 4278190080 4227858432 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3556769792 4278190080 4278190080 4278190080 3992977408 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3338665984 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 1979711488 4278190080 4278190080 4244635648 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2449473536 4278190080 4278190080 4261412864 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4261412864 2097152000 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4278190080 4261412864 4278190080 4278190080 3019898880 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4278190080 4278190080 4244635648 1124073472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3472883712 4278190080 4278190080 4278190080 4127195136 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 0 16777216 704643072 2365587456 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2348810240 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 721420288 2382364672 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2332033024 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 1006632960 889192448 805306368 805306368 805306368 805306368 805306368 1023410176 2214592512 2130706432 2130706432 2164260864 1526726656 838860800 285212672 0 0 0 0 0 0 0 318767104 352321536 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 469762048 234881024 234881024 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 452984832 83886080 201326592 1006632960 872415232 805306368 805306368 805306368 805306368 805306368 1090519040 2197815296 2130706432 2130706432 2181038080 1459617792 822083584 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 1593835520 2231369728 2130706432 2130706432 2130706432 2130706432 2130706432 2281701376 1409286144 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 1610612736 2214592512 2130706432 2130706432 2130706432 2130706432 2130706432 2281701376 1392508928 150994944 352321536 1006632960 838860800 805306368 805306368 805306368 805306368 788529152 1459617792 2164260864 2130706432 2130706432 2197815296 1224736768 738197504 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 218103808 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 503316480 0 218103808 201326592 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4278190080 4227858432 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 285212672 1241513984 2348810240 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2315255808 1073741824 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 2298478592 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2399141888 637534208 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 671088640 855638016 1677721600 2147483648 2130706432 1828716544 872415232 822083584 503316480 352321536 67108864 0 0 0 0 0 0 0 134217728 1358954496 2298478592 2130706432 2130706432 2130706432 2130706432 2130706432 2214592512 1660944384 234881024 0 0 0 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1023410176 2382364672 2113929216 2130706432 2130706432 2130706432 2130706432 2130706432 2147483648 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 721420288 939524096 1996488704 2130706432 2181038080 1476395008 822083584 771751936 436207616 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4261412864 4278190080 4261412864 4177526784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 184549376 1627389952 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1493172224 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 1660944384 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1459617792 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 603979776 3170893824 3959422976 3909091328 3909091328 3909091328 3892314112 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 3724541952 3724541952 1761607680 402653184 0 0 0 0 436207616 3154116608 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3741319168 1979711488 67108864 771751936 2684354560 3758096384 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3690987520 2399141888 50331648 67108864 671088640 3288334336 3942645760 3909091328 3909091328 3909091328 3909091328 4194304000 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 3724541952 3741319168 1660944384 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 671088640 3858759680 4278190080 4278190080 4278190080 4278190080 4278190080 3506438144 570425344 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 687865856 3909091328 4278190080 4278190080 4278190080 4278190080 4278190080 3456106496 553648128 50331648 83886080 1023410176 3791650816 3892314112 3909091328 3909091328 3909091328 3925868544 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 3858759680 3707764736 3724541952 1191182336 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 989855744 3238002688 3657433088 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3825205248 1543503872 0 150994944 1174405120 3590324224 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3925868544 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4261412864 4278190080 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2499805184 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 352321536 2013265920 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1543503872 301989888 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 1711276032 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 1526726656 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1744830464 167772160 0 0 0 0 0 0 0 0 0 0 0 16777216 889192448 2130706432 3724541952 3774873600 4009754624 4143972352 4278190080 4278190080 4278190080 4278190080 4177526784 4143972352 3992977408 3808428032 3640655872 3623878656 3623878656 2583691264 1493172224 788529152 369098752 0 33554432 536870912 3372220416 4278190080 4278190080 4278190080 4278190080 4278190080 3976200192 704643072 67108864 0 0 0 1694498816 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 2281701376 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1140850688 83886080 0 0 0 0 0 0 0 0 0 0 0 184549376 1124073472 2650800128 3674210304 3825205248 4060086272 4177526784 4278190080 4278190080 4278190080 4278190080 4160749568 4127195136 3959422976 3774873600 3623878656 3623878656 3657433088 2097152000 1325400064 704643072 251658240 0 0 0 0 0 16777216 3372220416 4278190080 4278190080 4261412864 4278190080 1157627904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2013265920 4278190080 4261412864 4261412864 4278190080 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2063597568 4278190080 4261412864 4261412864 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2030043136 2751463424 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 3925868544 4261412864 4278190080 4278190080 4278190080 1392508928 285212672 369098752 369098752 436207616 905969664 3942645760 4211081216 4278190080 4278190080 4278190080 2030043136 167772160 0 0 117440512 3405774848 4278190080 4278190080 4227858432 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4278190080 4278190080 4278190080 4278190080 4194304000 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4261412864 4261412864 4278190080 1761607680 0 0 50331648 3204448256 4261412864 4278190080 4278190080 4278190080 4211081216 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4244635648 4278190080 4278190080 2315255808 0 0 0 721420288 4026531840 4261412864 4278190080 4278190080 4278190080 1325400064 301989888 369098752 369098752 452984832 939524096 4043309056 4211081216 4278190080 4278190080 4278190080 1912602624 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 4261412864 4261412864 4278190080 4261412864 4043309056 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4278190080 4261412864 4278190080 4261412864 3992977408 352321536 0 0 0 0 1174405120 4278190080 4261412864 4278190080 4278190080 3892314112 939524096 352321536 369098752 369098752 503316480 1191182336 4278190080 4244635648 4261412864 4278190080 3992977408 1392508928 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3959422976 4278190080 4278190080 4278190080 4261412864 4194304000 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4261412864 4278190080 4278190080 1140850688 0 0 0 335544320 4278190080 4278190080 4278190080 4278190080 4261412864 4177526784 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4194304000 4278190080 4278190080 4278190080 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 4211081216 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4278190080 4278190080 4278190080 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 3372220416 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1778384896 4278190080 4261412864 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 83886080 1459617792 3707764736 4278190080 4261412864 4211081216 3288334336 1828716544 872415232 486539264 369098752 369098752 369098752 352321536 637534208 1291845632 3103784960 4194304000 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 1543503872 0 0 335544320 3942645760 4261412864 4278190080 4261412864 4278190080 536870912 0 0 0 0 0 1778384896 4076863488 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 2835349504 4278190080 4278190080 4278190080 4278190080 1023410176 0 0 0 0 0 0 0 0 0 0 16777216 285212672 1929379840 4194304000 4278190080 4227858432 4227858432 2885681152 1358954496 704643072 385875968 352321536 0 117440512 369098752 603979776 1509949440 3774873600 4177526784 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 754974720 0 0 0 0 838860800 3858759680 4278190080 4278190080 4278190080 4194304000 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 4177526784 4278190080 4278190080 4160749568 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4177526784 4278190080 4278190080 4160749568 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3288334336 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3103784960 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1728053248 4026531840 4278190080 4278190080 4278190080 3154116608 318767104 0 0 3321888768 4278190080 3590324224 2013265920 587202560 520093696 520093696 520093696 520093696 520093696 520093696 285212672 4278190080 4278190080 4278190080 4278190080 1828716544 419430400 520093696 520093696 520093696 520093696 520093696 536870912 872415232 2734686208 4278190080 3808428032 754974720 0 0 0 0 4194304000 4278190080 4278190080 4278190080 2046820352 402653184 520093696 520093696 520093696 520093696 520093696 536870912 822083584 2516582400 4278190080 3976200192 855638016 0 0 0 0 3271557120 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1828716544 4076863488 4278190080 4278190080 4278190080 3019898880 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4244635648 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3539992576 4278190080 4278190080 4278190080 3254779904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3573547008 4278190080 4278190080 4278190080 3204448256 0 0 0 0 0 0 3825205248 4278190080 4278190080 4278190080 3573547008 0 0 0 0 0 0 33554432 2365587456 4244635648 4261412864 4278190080 4278190080 2348810240 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4278190080 4278190080 4278190080 4227858432 1593835520 452984832 520093696 520093696 520093696 520093696 520093696 536870912 956301312 2969567232 4278190080 3422552064 419430400 0 0 0 0 503316480 4278190080 4278190080 4278190080 3959422976 1258291200 486539264 520093696 520093696 520093696 520093696 520093696 553648128 1090519040 3254779904 4278190080 2952790016 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4177526784 3892314112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 3137339392 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2952790016 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4160749568 4211081216 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 4261412864 4278190080 4278190080 3724541952 620756992 0 0 0 0 0 0 0 0 0 50331648 1442840576 3590324224 4278190080 4244635648 3489660928 1828716544 469762048 0 0 0 0 0 0 0 0 0 0 0 419430400 2130706432 3959422976 4278190080 4261412864 4261412864 4278190080 1258291200 0 0 0 3137339392 4278190080 4278190080 4278190080 3607101440 0 0 0 0 0 0 1778384896 4278190080 3607101440 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 4261412864 4278190080 4278190080 3070230528 33554432 0 0 0 0 0 0 0 0 0 234881024 1895825408 3942645760 4278190080 4076863488 3204448256 1476395008 167772160 0 0 0 0 0 0 0 0 0 0 0 721420288 2566914048 4160749568 4278190080 4278190080 4261412864 4278190080 285212672 0 0 0 0 1996488704 4278190080 4261412864 4278190080 4278190080 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3288334336 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3506438144 4278190080 4278190080 3254779904 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1291845632 4076863488 4261412864 4261412864 4278190080 3405774848 33554432 0 2030043136 3590324224 452984832 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 2181038080 3808428032 285212672 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1694498816 0 0 0 0 0 0 0 0 0 1946157056 4127195136 402653184 0 0 0 0 1610612736 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1409286144 4143972352 4261412864 4261412864 4278190080 3321888768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4244635648 4278190080 4278190080 4278190080 4278190080 2835349504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1795162112 4278190080 4278190080 4278190080 1577058304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4278190080 4278190080 4278190080 1543503872 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 0 0 1979711488 4278190080 4261412864 4261412864 4278190080 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1174405120 0 0 0 0 0 0 0 0 0 2483027968 3372220416 184549376 0 0 0 0 184549376 4278190080 4278190080 4278190080 3925868544 788529152 0 0 0 0 0 0 0 0 134217728 2986344448 2634022912 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 2785017856 4278190080 3925868544 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3137339392 4278190080 3942645760 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4278190080 4278190080 2533359616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 3976200192 771751936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 3305111552 4278190080 4278190080 3607101440 536870912 0 0 0 0 0 0 0 0 218103808 2617245696 4261412864 4278190080 4194304000 1879048192 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023410176 3791650816 4278190080 4278190080 4127195136 754974720 0 0 0 1493172224 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 1778384896 4278190080 4278190080 3556769792 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 3959422976 4278190080 4278190080 2818572288 83886080 0 0 0 0 0 0 0 0 721420288 3120562176 4278190080 4278190080 3690987520 1392508928 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1509949440 4278190080 4261412864 4278190080 3925868544 0 0 0 0 100663296 2650800128 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2197815296 4278190080 4278190080 4278190080 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4278190080 4261412864 4278190080 1426063360 0 855638016 1258291200 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 33554432 2399141888 100663296 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 2583691264 150994944 0 0 0 0 1610612736 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4278190080 4261412864 4278190080 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4244635648 4278190080 4278190080 4278190080 4211081216 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4278190080 4261412864 4043309056 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 268435456 2097152000 67108864 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 771751936 1593835520 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 4278190080 2281701376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 3607101440 4278190080 4278190080 2466250752 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4278190080 4278190080 4278190080 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4261412864 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 0 0 83886080 3053453312 4278190080 4261412864 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4160749568 4278190080 3405774848 385875968 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4261412864 4278190080 3925868544 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 0 0 520093696 3539992576 4278190080 4278190080 3724541952 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4278190080 4278190080 2634022912 0 0 0 0 218103808 3388997632 4278190080 4278190080 4261412864 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4278190080 4261412864 4278190080 4278190080 1828716544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 201326592 4093640704 4278190080 4278190080 4261412864 4026531840 0 419430400 167772160 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 587202560 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 805306368 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 251658240 4177526784 4278190080 4278190080 4261412864 3875536896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4227858432 4278190080 4278190080 4278190080 4127195136 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 0 0 0 620756992 4278190080 4278190080 4278190080 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 67108864 587202560 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 234881024 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 369098752 4244635648 4261412864 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1795162112 4278190080 4261412864 4278190080 3472883712 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4194304000 4261412864 4278190080 4278190080 2231369728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 4261412864 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 0 201326592 3036676096 4278190080 4278190080 4194304000 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 3036676096 184549376 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 4278190080 3573547008 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 0 469762048 3573547008 4278190080 4278190080 3841982464 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 4278190080 2130706432 0 0 0 0 620756992 4278190080 4261412864 4278190080 4278190080 4093640704 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1577058304 4278190080 4278190080 4278190080 4261412864 3875536896 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 4009754624 687865856 33554432 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1879048192 4278190080 4278190080 4278190080 3892314112 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 0 0 0 0 2516582400 4278190080 4278190080 4278190080 3221225472 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 805306368 3238002688 4244635648 4227858432 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2902458368 4278190080 4278190080 4261412864 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4160749568 4278190080 4278190080 4261412864 4278190080 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 4278190080 4278190080 3992977408 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 33554432 2315255808 4278190080 4278190080 3992977408 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2063597568 3070230528 83886080 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 4261412864 4278190080 3321888768 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 150994944 3187671040 4278190080 4278190080 3590324224 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3154116608 1711276032 0 0 0 0 939524096 4278190080 4278190080 4278190080 4278190080 3154116608 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3472883712 4278190080 4278190080 4278190080 4261412864 4043309056 1191182336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 520093696 4278190080 4278190080 4278190080 4060086272 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 4278190080 3976200192 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 0 0 0 0 1493172224 4278190080 4278190080 4278190080 3456106496 436207616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1459617792 3992977408 4278190080 4261412864 4043309056 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4278190080 4278190080 4278190080 4261412864 4278190080 3070230528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2818572288 4261412864 4278190080 4278190080 4261412864 4244635648 1694498816 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4261412864 4278190080 4261412864 4278190080 3254779904 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 1191182336 4278190080 4278190080 4160749568 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 2097152000 16777216 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 2583691264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 2415919104 4278190080 4278190080 3892314112 872415232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 1073741824 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 3087007744 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 3909091328 4211081216 2046820352 3070230528 4278190080 4278190080 2667577344 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 33554432 4278190080 4278190080 4278190080 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 150994944 4278190080 4278190080 4278190080 4278190080 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3539992576 0 0 0 0 0 0 0 0 0 0 1090519040 4278190080 4278190080 4261412864 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 2030043136 1946157056 1962934272 1962934272 1962934272 1962934272 1962934272 1946157056 2164260864 4026531840 4278190080 4261412864 4278190080 4278190080 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 3539992576 872415232 4278190080 4261412864 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3489660928 4278190080 2516582400 2332033024 4278190080 4278190080 3355443200 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 3103784960 4261412864 4278190080 4278190080 3221225472 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 33554432 3204448256 4278190080 4278190080 3892314112 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 570425344 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 2969567232 4278190080 4278190080 4278190080 2600468480 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 0 654311424 3758096384 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 218103808 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2550136832 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2432696320 4278190080 4177526784 335544320 2315255808 4244635648 4278190080 3758096384 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 1895825408 0 0 0 0 0 0 0 0 0 0 16777216 2717908992 4278190080 4278190080 4261412864 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 67108864 2835349504 4278190080 4278190080 4261412864 2030043136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 4278190080 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3892314112 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 2281701376 0 3959422976 4278190080 4278190080 2734686208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4278190080 687865856 1543503872 4227858432 4278190080 3976200192 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2365587456 788529152 4026531840 4278190080 4278190080 3154116608 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 1207959552 4278190080 4261412864 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1744830464 1493172224 4227858432 4278190080 4278190080 2382364672 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 0 2130706432 4278190080 4261412864 4060086272 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2583691264 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3204448256 4278190080 3120562176 0 469762048 4211081216 4261412864 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 16777216 2667577344 4278190080 4278190080 4060086272 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 67108864 2785017856 4278190080 4278190080 3976200192 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 419430400 3422552064 4278190080 4278190080 3456106496 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3539992576 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1358954496 4278190080 4093640704 1157627904 0 1627389952 4278190080 4261412864 4278190080 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2734686208 4278190080 3472883712 0 285212672 3741319168 4261412864 4278190080 2315255808 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 1073741824 3942645760 4278190080 4278190080 3070230528 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 3573547008 4278190080 4278190080 3808428032 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 1795162112 4278190080 4278190080 4261412864 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 218103808 3976200192 4278190080 4278190080 3154116608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2583691264 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4278190080 4278190080 1275068416 0 0 2986344448 4278190080 4278190080 3254779904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 16777216 2667577344 4278190080 4278190080 3959422976 385875968 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 67108864 2801795072 4278190080 4278190080 3825205248 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 419430400 3439329280 4278190080 4278190080 3019898880 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 2298478592 2231369728 2248146944 2248146944 2248146944 2248146944 2248146944 2248146944 2214592512 2617245696 4278190080 4278190080 4278190080 4093640704 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3506438144 4278190080 3422552064 352321536 0 520093696 3892314112 4278190080 4244635648 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4278190080 4278190080 1644167168 0 0 2483027968 4278190080 4278190080 3539992576 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 1006632960 4244635648 4261412864 4278190080 2533359616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 671088640 4278190080 4261412864 4278190080 2147483648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 1610612736 4278190080 4278190080 4278190080 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 1224736768 4278190080 4261412864 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 4278190080 4278190080 2617245696 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4278190080 33554432 0 0 1140850688 4278190080 4261412864 4278190080 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 16777216 2751463424 4278190080 4278190080 3657433088 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 67108864 2868903936 4278190080 4278190080 3489660928 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 436207616 3472883712 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 33554432 0 0 0 0 0 0 0 0 0 50331648 2080374784 4127195136 4261412864 4009754624 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 3892314112 4278190080 2801795072 0 0 150994944 2801795072 4278190080 4278190080 3472883712 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4278190080 4278190080 385875968 0 0 838860800 4278190080 4261412864 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 973078528 4211081216 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 2097152000 4278190080 4278190080 4278190080 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 1627389952 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 2835349504 4278190080 4278190080 4278190080 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 4278190080 4278190080 4278190080 4278190080 3003121664 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3959422976 4278190080 2046820352 0 0 0 184549376 3942645760 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 100663296 4009754624 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 201326592 4043309056 4278190080 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 956301312 4177526784 4261412864 4093640704 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 553648128 3372220416 4278190080 2650800128 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4227858432 4143972352 822083584 0 0 0 1862270976 4227858432 4278190080 4127195136 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3724541952 4278190080 2566914048 50331648 0 0 16777216 3707764736 4278190080 4278190080 3573547008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 1023410176 3909091328 4278190080 4278190080 2499805184 100663296 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 3573547008 4261412864 4261412864 4278190080 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 1811939328 4211081216 4278190080 4177526784 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 4278190080 4261412864 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 4278190080 4278190080 4278190080 3523215360 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3271557120 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3489660928 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4278190080 4278190080 838860800 0 0 0 0 2130706432 4278190080 4261412864 4244635648 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 687865856 4278190080 4278190080 2919235584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 805306368 4278190080 4278190080 2835349504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1761607680 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 1644167168 4278190080 4278190080 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 335544320 3774873600 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 2936012800 4278190080 4278190080 0 0 0 0 587202560 3791650816 4261412864 4278190080 2466250752 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 4278190080 1627389952 0 0 0 0 1694498816 4278190080 4261412864 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 1375731712 4160749568 4261412864 4278190080 2499805184 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 234881024 3607101440 4278190080 4278190080 3724541952 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 2231369728 4278190080 4278190080 4177526784 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 536870912 4278190080 4278190080 4278190080 3254779904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 4261412864 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4261412864 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4143972352 4278190080 2919235584 184549376 0 0 0 0 989855744 4278190080 4261412864 4278190080 3103784960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 2533359616 4278190080 4278190080 771751936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 1073741824 318767104 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4278190080 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 4244635648 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4244635648 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 3137339392 4278190080 4278190080 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 50331648 1006632960 150994944 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 822083584 0 0 0 0 0 0 0 0 0 234881024 905969664 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 1325400064 4278190080 4278190080 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4278190080 1342177280 0 0 0 0 0 3539992576 4261412864 4278190080 4278190080 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3590324224 4278190080 3456106496 385875968 0 0 0 0 452984832 4278190080 4261412864 4278190080 3791650816 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 1593835520 4278190080 4261412864 4278190080 1996488704 0 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 318767104 3640655872 4278190080 4278190080 2969567232 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 2281701376 4278190080 4278190080 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 671088640 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 4194304000 4278190080 2164260864 0 0 0 0 0 251658240 3288334336 4278190080 4278190080 3506438144 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 2835349504 1778384896 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1828716544 2164260864 4278190080 3976200192 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 2063597568 4278190080 4244635648 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4244635648 2550136832 1795162112 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1811939328 2365587456 4278190080 2969567232 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 4076863488 2332033024 1828716544 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1811939328 2583691264 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 3271557120 4278190080 3355443200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 301989888 0 0 0 0 0 1543503872 4278190080 4278190080 4278190080 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3808428032 4261412864 2902458368 0 0 0 0 0 0 2868903936 4278190080 4278190080 3959422976 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 1593835520 4160749568 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 318767104 3640655872 4278190080 4278190080 2969567232 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 2298478592 4261412864 4261412864 4244635648 1241513984 0 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 671088640 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2852126720 4278190080 4278190080 4278190080 4278190080 2315255808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3825205248 2399141888 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2466250752 3925868544 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 2533359616 4261412864 3892314112 805306368 0 0 0 0 0 16777216 2449473536 4278190080 4278190080 4177526784 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 1996488704 0 0 0 0 0 0 0 117440512 1778384896 4160749568 4278190080 2550136832 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3841982464 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1895825408 0 0 0 0 0 0 0 150994944 1879048192 4227858432 4278190080 2415919104 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 3019898880 2164260864 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2164260864 3154116608 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1358954496 0 0 0 0 0 0 0 318767104 2382364672 4278190080 4194304000 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2432696320 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3942645760 4278190080 2516582400 0 0 0 0 0 0 184549376 4278190080 4261412864 4278190080 3774873600 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4211081216 4177526784 1207959552 0 0 0 0 0 0 1660944384 4278190080 4261412864 4227858432 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 1509949440 4076863488 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 318767104 3640655872 4278190080 4278190080 2969567232 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 33554432 2298478592 4278190080 4278190080 4026531840 1241513984 0 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 671088640 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2399141888 4278190080 4278190080 4278190080 4278190080 4278190080 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3355443200 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 301989888 3456106496 4278190080 3674210304 0 0 0 0 0 0 0 1124073472 3992977408 4261412864 4278190080 2751463424 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2852126720 1442840576 1526726656 1526726656 1526726656 1526726656 1442840576 2382364672 3875536896 4143972352 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 2332033024 922746880 1023410176 1023410176 1023410176 1023410176 1023410176 1040187392 1962934272 3959422976 4278190080 2348810240 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 2785017856 1442840576 1526726656 1526726656 1526726656 1526726656 1442840576 2432696320 3892314112 4160749568 4278190080 2449473536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1946157056 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 2449473536 1442840576 1526726656 1526726656 1526726656 1526726656 1476395008 2734686208 3942645760 4244635648 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1946157056 956301312 1023410176 1023410176 1023410176 1023410176 1023410176 1124073472 2281701376 4278190080 4160749568 1627389952 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 4009754624 1660944384 989855744 1023410176 1023410176 1023410176 1023410176 1023410176 1207959552 2516582400 4278190080 3976200192 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3087007744 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3942645760 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2030043136 4278190080 4278190080 3439329280 184549376 0 0 0 0 0 0 0 0 0 0 0 1140850688 4278190080 4278190080 1124073472 0 0 0 0 0 0 0 2634022912 4278190080 4261412864 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 2868903936 4278190080 4227858432 33554432 0 0 0 0 0 0 654311424 3741319168 4278190080 4278190080 3271557120 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 1526726656 4244635648 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 318767104 3640655872 4278190080 4278190080 2969567232 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4227858432 1124073472 0 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 671088640 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 1006632960 855638016 754974720 754974720 754974720 754974720 754974720 754974720 922746880 956301312 285212672 0 1879048192 4278190080 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4043309056 4278190080 1509949440 0 16777216 0 0 0 0 0 150994944 3623878656 4278190080 4261412864 4278190080 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4143972352 4194304000 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1711276032 0 0 0 0 0 0 0 0 553648128 4026531840 1493172224 0 0 0 0 0 1610612736 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3019898880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2516582400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1191182336 0 0 0 0 0 0 0 0 939524096 4093640704 989855744 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 822083584 0 0 0 0 0 0 0 0 1291845632 3825205248 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3321888768 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 4261412864 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 3858759680 4278190080 3942645760 989855744 0 0 0 0 0 0 0 0 0 0 0 3019898880 4278190080 3254779904 268435456 0 0 0 0 0 0 0 889192448 4278190080 4278190080 4261412864 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 3892314112 4278190080 1895825408 0 16777216 0 0 0 0 0 83886080 2986344448 4278190080 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1392508928 0 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 318767104 3640655872 4278190080 4278190080 3019898880 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 2332033024 4278190080 4261412864 4278190080 838860800 0 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 671088640 4278190080 4278190080 4278190080 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 2449473536 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 1560281088 117440512 0 0 687865856 3774873600 4278190080 4278190080 4278190080 4261412864 4227858432 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 50331648 2415919104 4278190080 4278190080 2164260864 1828716544 1879048192 1476395008 1493172224 1493172224 1493172224 1493172224 1291845632 3724541952 4278190080 4278190080 4278190080 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 3724541952 3170893824 3204448256 3204448256 3187671040 2952790016 2936012800 2818572288 1342177280 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 1073741824 1174405120 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 3690987520 3154116608 3372220416 3707764736 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 3556769792 3154116608 3456106496 3791650816 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 1258291200 838860800 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 1342177280 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 3825205248 4261412864 4278190080 2264924160 33554432 0 0 0 0 0 0 0 0 0 553648128 4278190080 4278190080 3338665984 1912602624 1862270976 1744830464 1476395008 1493172224 1493172224 1493172224 1493172224 1493172224 4278190080 4278190080 4278190080 4026531840 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1795162112 4278190080 4278190080 2315255808 1811939328 1879048192 1509949440 1493172224 1493172224 1493172224 1493172224 1375731712 3187671040 4278190080 4278190080 4278190080 2717908992 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 2248146944 4227858432 4278190080 4278190080 1476395008 0 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 201326592 3607101440 4278190080 4278190080 4043309056 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 268435456 2885681152 4278190080 4261412864 4026531840 838860800 0 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 486539264 4278190080 4278190080 4278190080 3724541952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2332033024 4244635648 4278190080 4278190080 4278190080 704643072 0 0 0 0 134217728 3506438144 4278190080 4278190080 4278190080 4278190080 4227858432 2214592512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 369098752 4093640704 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4127195136 150994944 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2181038080 83886080 201326592 201326592 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 553648128 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 2080374784 67108864 352321536 637534208 1358954496 2181038080 4076863488 4278190080 4261412864 4278190080 4261412864 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1593835520 67108864 419430400 721420288 1493172224 2365587456 4278190080 4278190080 4261412864 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 50331648 402653184 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 167772160 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 3825205248 4278190080 4278190080 2885681152 134217728 0 0 0 0 0 0 0 0 0 2550136832 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3959422976 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 419430400 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 83886080 2130706432 4244635648 4261412864 4244635648 1577058304 0 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 3489660928 4278190080 4261412864 4278190080 822083584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 335544320 2936012800 4278190080 4278190080 3959422976 654311424 0 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 50331648 4278190080 4278190080 4261412864 4278190080 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 1845493760 4261412864 4278190080 4278190080 4278190080 4278190080 3590324224 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 1325400064 4278190080 4278190080 2684354560 2013265920 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2130706432 4278190080 4261412864 4261412864 4278190080 2030043136 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 16777216 167772160 1946157056 4278190080 4278190080 4261412864 4278190080 3758096384 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 16777216 301989888 2466250752 4278190080 4278190080 4278190080 4278190080 3305111552 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 3825205248 4278190080 4278190080 4278190080 369098752 0 0 0 0 0 0 0 0 218103808 3372220416 4278190080 3976200192 2231369728 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2063597568 2902458368 4278190080 4261412864 4278190080 3607101440 486539264 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4278190080 4278190080 2936012800 2030043136 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2080374784 4160749568 4261412864 4261412864 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2332033024 4278190080 4278190080 4278190080 1157627904 0 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 3456106496 4261412864 4278190080 4278190080 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 150994944 3070230528 4278190080 4278190080 4278190080 452984832 0 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 4278190080 4261412864 4278190080 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 134217728 4060086272 4278190080 4278190080 4278190080 4261412864 4278190080 2650800128 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 0 3154116608 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4278190080 4261412864 3959422976 100663296 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 654311424 3321888768 4278190080 4261412864 4278190080 3137339392 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 1191182336 3657433088 4278190080 4261412864 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 3841982464 4278190080 4278190080 4278190080 687865856 0 0 0 0 0 0 0 0 1056964608 3976200192 4278190080 3388997632 0 0 0 0 0 0 0 0 0 0 436207616 3607101440 4278190080 4261412864 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2801795072 4278190080 4278190080 1023410176 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4278190080 4261412864 4278190080 218103808 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2399141888 4261412864 4278190080 4278190080 838860800 0 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 1140850688 4278190080 4278190080 4278190080 3539992576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 2969567232 4278190080 4261412864 4278190080 419430400 0 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 1996488704 4278190080 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1811939328 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 603979776 4278190080 4278190080 2952790016 0 0 0 0 0 0 0 0 0 0 0 805306368 4278190080 4261412864 4278190080 4143972352 1610612736 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 352321536 2902458368 4278190080 4261412864 4278190080 2147483648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 587202560 3372220416 4278190080 4261412864 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4177526784 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 33554432 2264924160 4278190080 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 67108864 3070230528 4278190080 4278190080 4278190080 3439329280 50331648 0 0 0 0 0 0 0 0 0 0 0 1493172224 4278190080 4261412864 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4278190080 4278190080 3355443200 285212672 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4261412864 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2164260864 4160749568 4278190080 3623878656 889192448 0 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 385875968 4278190080 4261412864 4261412864 4278190080 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 2868903936 4227858432 4244635648 3019898880 402653184 0 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 872415232 4278190080 4261412864 4261412864 4060086272 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 67108864 3204448256 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 0 2231369728 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 67108864 3103784960 4278190080 4278190080 4278190080 2868903936 83886080 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 369098752 3439329280 4278190080 4278190080 4194304000 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 704643072 3774873600 4278190080 4278190080 3825205248 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2197815296 4278190080 4278190080 4278190080 4278190080 369098752 0 0 0 0 0 0 0 117440512 3439329280 4278190080 4278190080 402653184 0 0 0 0 0 0 0 0 0 0 0 1375731712 4143972352 4278190080 4261412864 4278190080 822083584 0 0 0 0 0 0 0 0 0 0 0 905969664 3942645760 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1728053248 4227858432 4278190080 2583691264 50331648 0 0 0 0 0 0 0 0 0 0 0 2734686208 4278190080 4278190080 4261412864 3523215360 150994944 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3087007744 4278190080 4278190080 3607101440 771751936 0 285212672 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 2986344448 4278190080 4278190080 4278190080 3657433088 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4127195136 4261412864 4278190080 3087007744 184549376 0 838860800 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 100663296 3506438144 4278190080 4278190080 4278190080 2650800128 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4009754624 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2281701376 0 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 234881024 3892314112 4278190080 3892314112 754974720 0 0 0 0 0 0 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 3925868544 687865856 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4261412864 3909091328 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4278190080 4278190080 3154116608 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2550136832 4278190080 4278190080 4278190080 4278190080 369098752 0 0 0 0 0 0 0 1124073472 4278190080 4278190080 2986344448 0 0 0 0 0 0 0 0 0 0 0 0 201326592 3959422976 4278190080 4278190080 4278190080 3070230528 0 0 0 0 0 0 0 0 0 0 0 536870912 3607101440 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3305111552 4278190080 4076863488 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 4278190080 4076863488 1258291200 0 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3690987520 4278190080 4278190080 3657433088 553648128 268435456 3221225472 4278190080 4278190080 3623878656 553648128 0 0 0 0 1090519040 4278190080 4278190080 4278190080 4160749568 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 4278190080 4278190080 4278190080 3187671040 150994944 822083584 3925868544 4278190080 4278190080 2852126720 83886080 0 0 0 16777216 1996488704 4278190080 4278190080 4278190080 3909091328 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3825205248 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 4278190080 301989888 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 0 1459617792 4110417920 4278190080 3187671040 201326592 0 0 0 0 0 0 0 0 0 0 0 0 587202560 3724541952 4278190080 4261412864 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4261412864 4278190080 2952790016 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 318767104 3456106496 4278190080 4261412864 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 3724541952 4278190080 4278190080 4278190080 2936012800 134217728 0 0 0 0 0 0 0 2952790016 4278190080 4278190080 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4278190080 4261412864 4278190080 587202560 0 0 0 0 0 0 0 0 0 0 553648128 3607101440 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 3909091328 4278190080 3774873600 352321536 0 0 0 0 0 0 0 0 0 0 0 0 201326592 3405774848 4278190080 4278190080 4278190080 2566914048 67108864 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3439329280 4278190080 4278190080 3657433088 822083584 3170893824 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 3070230528 4278190080 4261412864 4278190080 3925868544 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3875536896 4278190080 4278190080 2986344448 1090519040 3909091328 4278190080 4278190080 2852126720 83886080 0 0 0 0 520093696 3707764736 4278190080 4261412864 4278190080 3489660928 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 50331648 2667577344 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4076863488 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 4177526784 4278190080 872415232 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 50331648 2835349504 4278190080 4227858432 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3087007744 4278190080 4278190080 4278190080 3909091328 134217728 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 687865856 3808428032 4278190080 4278190080 4194304000 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 1258291200 4244635648 4261412864 4278190080 4093640704 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4261412864 4261412864 4278190080 2432696320 67108864 0 0 0 0 0 0 402653184 4278190080 4278190080 4009754624 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 4278190080 4261412864 4278190080 4261412864 2634022912 0 0 0 0 0 0 0 0 0 0 553648128 3607101440 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2080374784 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2332033024 4278190080 4261412864 4278190080 4060086272 536870912 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3087007744 4278190080 4278190080 3539992576 3909091328 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 1090519040 4043309056 4278190080 4261412864 4278190080 3791650816 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 33554432 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 3892314112 4278190080 4194304000 3489660928 4160749568 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 2113929216 4211081216 4278190080 4261412864 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 3288334336 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 1358954496 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 452984832 3573547008 4278190080 4076863488 805306368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1358954496 4143972352 4278190080 4261412864 4278190080 1275068416 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4227858432 4261412864 4278190080 4278190080 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4278190080 4261412864 4278190080 4143972352 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4076863488 1207959552 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 2483027968 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2734686208 4278190080 4278190080 4278190080 3590324224 369098752 0 0 0 0 0 0 0 0 0 553648128 3607101440 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3221225472 4278190080 4278190080 1124073472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3892314112 4278190080 4261412864 4278190080 1694498816 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3439329280 4278190080 4278190080 4278190080 4261412864 4278190080 3623878656 553648128 0 0 0 0 0 0 2936012800 4278190080 4278190080 4261412864 4278190080 4110417920 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 1694498816 167772160 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 33554432 4110417920 4261412864 4278190080 4261412864 4278190080 3439329280 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3875536896 1308622848 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1929379840 4278190080 4261412864 4278190080 4261412864 3724541952 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 1627389952 4278190080 4278190080 3841982464 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4043309056 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 83886080 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 2365587456 4278190080 4261412864 4261412864 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4227858432 4278190080 4278190080 4278190080 4127195136 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 2885681152 4278190080 4261412864 4261412864 3808428032 419430400 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 100663296 0 0 0 218103808 4278190080 4278190080 4278190080 3925868544 838860800 0 0 0 0 0 0 0 0 0 0 0 0 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 0 2113929216 4278190080 4278190080 4278190080 4261412864 3271557120 150994944 0 0 0 0 0 0 167772160 3942645760 4261412864 4278190080 1577058304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4278190080 4261412864 4261412864 4278190080 1946157056 0 0 0 0 0 0 0 0 0 553648128 3607101440 4278190080 4278190080 3238002688 285212672 0 0 0 0 0 0 0 0 0 0 0 0 67108864 0 0 0 0 0 1023410176 4278190080 4278190080 4211081216 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3472883712 4278190080 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 3791650816 4278190080 4261412864 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 0 33554432 3573547008 4278190080 4261412864 4278190080 4261412864 3976200192 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2986344448 3271557120 218103808 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 4211081216 4278190080 4261412864 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 0 268435456 4160749568 4278190080 4261412864 4261412864 4278190080 3238002688 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2063597568 3791650816 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 2919235584 1509949440 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 3087007744 4278190080 4261412864 4278190080 4278190080 4278190080 3657433088 0 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 0 3321888768 4278190080 4278190080 1996488704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2768240640 4278190080 4278190080 4278190080 4261412864 1090519040 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 134217728 704643072 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3154116608 4278190080 4261412864 4278190080 3808428032 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 4227858432 4278190080 4278190080 4278190080 4127195136 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 3623878656 4278190080 4261412864 4278190080 3053453312 117440512 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4227858432 1157627904 0 0 0 0 0 0 0 0 0 0 0 251658240 704643072 0 0 0 218103808 4278190080 4278190080 4278190080 3909091328 788529152 0 0 0 0 0 0 0 0 0 0 0 335544320 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 1610612736 4278190080 4261412864 4278190080 4261412864 4278190080 1107296256 0 0 0 0 0 0 0 1442840576 4127195136 4278190080 3640655872 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3791650816 4278190080 4278190080 4278190080 2902458368 117440512 0 0 0 0 0 0 0 0 553648128 3607101440 4278190080 4278190080 3154116608 218103808 0 0 0 0 0 0 0 0 0 0 0 167772160 956301312 0 0 0 0 0 3003121664 4278190080 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2231369728 4261412864 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 3489660928 4278190080 4261412864 4278190080 3623878656 553648128 0 0 0 0 0 0 0 335544320 3204448256 4278190080 4278190080 4261412864 4278190080 3992977408 2399141888 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 3053453312 4278190080 3892314112 637534208 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 3942645760 4278190080 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 0 0 905969664 3741319168 4278190080 4261412864 4261412864 4278190080 3657433088 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 3036676096 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4127195136 3640655872 1811939328 234881024 0 0 0 0 0 0 0 0 0 0 0 486539264 3355443200 3909091328 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3925868544 318767104 0 0 469762048 3506438144 4278190080 4278190080 3338665984 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3539992576 4278190080 4278190080 3305111552 335544320 0 0 0 0 0 0 0 486539264 4278190080 4261412864 4278190080 587202560 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4278190080 4261412864 4278190080 4261412864 3087007744 16777216 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 2466250752 0 0 0 0 0 0 0 0 0 0 0 2030043136 1325400064 0 0 0 1610612736 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 3388997632 4278190080 4278190080 4227858432 3892314112 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4227858432 4278190080 4278190080 4278190080 4160749568 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 805306368 3959422976 4278190080 4278190080 4194304000 3707764736 201326592 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4244635648 1828716544 0 0 0 0 0 0 0 0 0 0 0 3003121664 603979776 0 0 0 218103808 4278190080 4278190080 4278190080 4060086272 1308622848 0 0 0 0 0 0 0 0 0 0 0 3506438144 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3053453312 4278190080 4278190080 4278190080 4278190080 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 1543503872 4194304000 4278190080 4261412864 4278190080 4278190080 1526726656 0 0 0 0 0 0 0 0 2701131776 4278190080 4278190080 3103784960 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2315255808 4278190080 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 536870912 3590324224 4278190080 4278190080 4227858432 989855744 0 0 0 0 0 0 0 0 0 0 0 2449473536 1174405120 0 0 0 0 218103808 4278190080 4261412864 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4261412864 4278190080 4278190080 3640655872 50331648 0 0 0 0 0 0 0 1124073472 4177526784 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 3456106496 4278190080 4278190080 3623878656 553648128 0 0 0 0 0 0 0 0 301989888 2399141888 4261412864 4278190080 4261412864 4278190080 4278190080 3456106496 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 3355443200 4278190080 4261412864 4278190080 1124073472 0 0 0 1593835520 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4143972352 4261412864 4278190080 2852126720 83886080 0 0 0 0 0 0 0 0 671088640 2969567232 4278190080 4261412864 4261412864 4278190080 4278190080 2969567232 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 4110417920 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1409286144 3976200192 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3321888768 1442840576 771751936 301989888 16777216 16777216 16777216 0 234881024 922746880 2936012800 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1476395008 16777216 0 0 469762048 3506438144 4278190080 4278190080 3355443200 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3556769792 4278190080 4278190080 3321888768 335544320 0 0 0 0 0 0 0 2214592512 4278190080 4278190080 3271557120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2852126720 4278190080 4278190080 4278190080 3925868544 973078528 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4261412864 4227858432 2063597568 33554432 0 0 0 0 0 0 0 0 1325400064 4278190080 922746880 0 0 0 1627389952 4278190080 4278190080 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 3707764736 4278190080 4261412864 4261412864 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1761607680 4244635648 4278190080 4278190080 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 1694498816 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 1660944384 0 0 0 0 0 0 2147483648 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 4211081216 4278190080 4261412864 4261412864 4093640704 503316480 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4026531840 1358954496 16777216 0 0 0 0 0 0 0 50331648 2197815296 4278190080 67108864 0 0 0 218103808 4278190080 4278190080 4278190080 4278190080 3825205248 889192448 0 0 0 0 0 0 0 0 100663296 2936012800 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 3690987520 4278190080 4278190080 4278190080 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 134217728 2097152000 4278190080 4261412864 4278190080 4278190080 3774873600 1224736768 0 0 0 0 0 0 0 0 436207616 3506438144 4278190080 4194304000 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 3925868544 4278190080 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 788529152 3825205248 4278190080 4278190080 4261412864 4278190080 855638016 0 0 0 0 0 0 0 0 16777216 1946157056 4093640704 419430400 0 0 0 0 1811939328 4278190080 4278190080 3556769792 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2483027968 4278190080 4278190080 4278190080 4143972352 1476395008 0 0 0 0 0 0 0 1140850688 4177526784 4278190080 4278190080 2499805184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 3791650816 4278190080 3623878656 553648128 0 0 0 0 0 0 0 0 0 50331648 1342177280 4227858432 4261412864 4278190080 4278190080 4278190080 4278190080 3187671040 1023410176 0 0 0 0 0 0 0 0 0 335544320 2046820352 4278190080 4278190080 4261412864 4278190080 4278190080 1392508928 0 0 0 1610612736 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 0 1811939328 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4278190080 4278190080 2852126720 83886080 0 0 0 0 0 0 0 0 0 134217728 1879048192 4278190080 4261412864 4278190080 4261412864 4278190080 4278190080 2617245696 671088640 0 0 0 0 0 0 0 0 0 0 184549376 3154116608 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1358954496 3472883712 3758096384 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2667577344 2650800128 3087007744 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3992977408 3539992576 2130706432 385875968 0 0 0 0 1442840576 4278190080 4261412864 4261412864 4278190080 1140850688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4261412864 4261412864 4278190080 1073741824 0 0 0 0 0 0 486539264 4278190080 4261412864 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4278190080 4278190080 4261412864 4278190080 2801795072 134217728 0 0 0 0 0 0 3858759680 4261412864 4278190080 4278190080 3154116608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 4278190080 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4194304000 4278190080 4278190080 4278190080 4278190080 4278190080 2919235584 788529152 167772160 0 0 0 0 318767104 1795162112 4278190080 4227858432 788529152 0 0 0 4026531840 4261412864 4278190080 4278190080 3053453312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 3489660928 4278190080 4278190080 4261412864 4278190080 2264924160 603979776 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3690987520 4278190080 4278190080 4278190080 4278190080 4278190080 3741319168 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4278190080 4261412864 4127195136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4278190080 4261412864 4076863488 0 0 0 0 0 0 4278190080 4261412864 4278190080 4278190080 2466250752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 3825205248 4278190080 4278190080 4278190080 3992977408 1946157056 385875968 0 0 0 0 0 0 385875968 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 2264924160 603979776 100663296 0 0 0 0 452984832 2281701376 4278190080 4160749568 67108864 0 0 0 771751936 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 1895825408 486539264 67108864 0 0 0 16777216 603979776 2751463424 4278190080 3992977408 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 2617245696 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 3992977408 1526726656 1073741824 1090519040 1090519040 1090519040 1090519040 1174405120 1845493760 4194304000 4278190080 4278190080 4278190080 3942645760 3087007744 587202560 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4261412864 4060086272 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3472883712 4278190080 4278190080 4261412864 4278190080 1224736768 0 0 0 0 0 0 0 1862270976 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 2164260864 637534208 100663296 0 0 0 50331648 654311424 2701131776 4278190080 3942645760 318767104 0 0 0 285212672 4009754624 4261412864 4278190080 2214592512 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4278190080 4278190080 4278190080 3372220416 318767104 0 0 0 0 0 0 3103784960 4278190080 4278190080 4261412864 4278190080 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 3707764736 3724541952 553648128 0 0 0 0 0 0 0 0 0 0 0 318767104 2214592512 3674210304 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 2231369728 1593835520 1090519040 989855744 469762048 687865856 1409286144 2281701376 4261412864 4278190080 4278190080 4278190080 4278190080 3825205248 2717908992 570425344 0 0 0 4009754624 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 4278190080 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4143972352 2902458368 83886080 0 0 0 0 0 0 0 0 0 0 0 654311424 2734686208 3825205248 4278190080 4278190080 4278190080 4278190080 4278190080 3607101440 2097152000 1459617792 1073741824 855638016 419430400 402653184 738197504 1241513984 1795162112 3674210304 4278190080 4278190080 4278190080 3841982464 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 671088640 1879048192 2415919104 3221225472 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 2248146944 1056964608 251658240 0 0 0 0 0 301989888 3623878656 4278190080 4278190080 4278190080 4278190080 3523215360 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 3640655872 4278190080 4278190080 4278190080 4278190080 3506438144 167772160 0 0 0 0 419430400 3120562176 4261412864 4278190080 4278190080 3388997632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 3003121664 4278190080 4278190080 4278190080 4278190080 4160749568 2164260864 0 0 0 0 0 1694498816 4143972352 4278190080 4278190080 4261412864 4278190080 2432696320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 2835349504 4278190080 4278190080 4278190080 4261412864 4060086272 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2550136832 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3942645760 3036676096 2650800128 2550136832 2566914048 2717908992 3372220416 4278190080 4278190080 3355443200 369098752 0 0 1845493760 4177526784 4278190080 4278190080 4261412864 4278190080 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 2516582400 4160749568 4278190080 4278190080 4278190080 3724541952 3019898880 2801795072 2046820352 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 2734686208 4227858432 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3539992576 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2281701376 4261412864 4278190080 4278190080 4278190080 4194304000 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2332033024 4278190080 4278190080 4278190080 4278190080 4177526784 1895825408 0 0 0 0 2583691264 4278190080 4278190080 4278190080 4261412864 4177526784 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 2835349504 4278190080 4278190080 4278190080 4278190080 3489660928 2936012800 2885681152 1627389952 0 0 201326592 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3791650816 2952790016 2600468480 2550136832 2583691264 2768240640 3573547008 4278190080 4278190080 2734686208 33554432 0 0 385875968 3456106496 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3657433088 2885681152 2566914048 2550136832 2600468480 2801795072 3707764736 4278190080 4278190080 2281701376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2936012800 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 2248146944 1006632960 50331648 0 0 0 0 0 0 0 0 0 1358954496 3976200192 4278190080 4278190080 4194304000 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 1711276032 3959422976 4278190080 4278190080 4278190080 4278190080 3674210304 1056964608 0 0 0 0 0 603979776 3774873600 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3774873600 2936012800 2684354560 2550136832 2533359616 2852126720 3741319168 4278190080 4278190080 3909091328 33554432 0 0 201326592 2701131776 4227858432 4278190080 4278190080 3640655872 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 2717908992 4278190080 4278190080 4278190080 4278190080 4211081216 2533359616 150994944 0 0 0 0 1140850688 3992977408 4278190080 4278190080 4278190080 4278190080 2952790016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 2818572288 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 1778384896 2634022912 3741319168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3523215360 3858759680 4278190080 4278190080 4278190080 4278190080 4244635648 2952790016 2130706432 754974720 0 0 0 0 1811939328 4177526784 4278190080 4278190080 4278190080 4278190080 2399141888 0 0 0 0 2097152000 4227858432 4278190080 4278190080 4278190080 4227858432 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 2499805184 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2046820352 2785017856 4211081216 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 3439329280 3422552064 4076863488 4278190080 4278190080 4278190080 4060086272 2919235584 2063597568 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 184549376 553648128 872415232 1476395008 1929379840 2130706432 2902458368 4278190080 4278190080 4278190080 4278190080 4278190080 2617245696 2130706432 1728053248 1308622848 872415232 335544320 134217728 33554432 0 0 0 0 0 16777216 1124073472 4009754624 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3925868544 1023410176 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1140850688 4026531840 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3892314112 1006632960 0 469762048 1627389952 4160749568 4244635648 4278190080 4278190080 4261412864 4278190080 3707764736 788529152 50331648 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2667577344 4060086272 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4194304000 3724541952 1157627904 83886080 201326592 2097152000 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2684354560 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 2969567232 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4194304000 1761607680 201326592 0 0 0 0 0 0 0 0 0 0 553648128 2684354560 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 234881024 234881024 2214592512 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2550136832 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 704643072 1962934272 4278190080 4278190080 3120562176 2181038080 1392508928 419430400 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 1493172224 4076863488 4227858432 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4043309056 1879048192 167772160 0 0 0 0 0 0 0 0 0 0 0 0 352321536 2583691264 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2298478592 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 2634022912 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2264924160 234881024 419430400 2868903936 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 1845493760 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 939524096 2332033024 4278190080 4278190080 2768240640 2063597568 1174405120 285212672 0 805306368 3271557120 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2382364672 16777216 50331648 1006632960 3674210304 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 3405774848 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3170893824 2097152000 1795162112 1191182336 603979776 167772160 33554432 0 0 0 0 0 0 0 0 50331648 788529152 3254779904 4127195136 4278190080 4261412864 4278190080 4278190080 4278190080 2130706432 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 4093640704 4177526784 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4177526784 2415919104 587202560 0 150994944 1426063360 4076863488 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3858759680 0 369098752 1291845632 4127195136 4227858432 4278190080 4278190080 4261412864 4278190080 3976200192 973078528 100663296 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1996488704 4093640704 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4211081216 3959422976 1358954496 184549376 100663296 1694498816 4244635648 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3254779904 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 251658240 704643072 1392508928 1845493760 2030043136 3942645760 4261412864 4278190080 4278190080 4278190080 2516582400 2046820352 1526726656 956301312 486539264 134217728 16777216 0 0 0 218103808 2197815296 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2701131776 369098752 285212672 2432696320 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2449473536 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 318767104 838860800 1493172224 1979711488 2013265920 4278190080 4261412864 4278190080 4278190080 4110417920 2566914048 2181038080 1375731712 1006632960 436207616 150994944 16777216 0 0 0 0 0 0)
	offset: 0@0)! !

!I2SChapter class methodsFor: 'auto-generated' stamp: 'benjamin.siegmund 6/28/2013 11:05:18.741'!
titleTwo
^(Form
	extent: 628@50
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 285212672 738197504 1291845632 1577058304 2181038080 2365587456 4127195136 4278190080 4278190080 4278190080 2181038080 2164260864 1728053248 1392508928 1358954496 838860800 721420288 419430400 352321536 150994944 83886080 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1476395008 754974720 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 452984832 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 989855744 2063597568 2634022912 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3539992576 3388997632 3858759680 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2936012800 2533359616 2432696320 1996488704 1862270976 721420288 301989888 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4278190080 3070230528 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 3003121664 4026531840 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 3103784960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1778384896 3439329280 3959422976 4278190080 4278190080 4278190080 4278190080 3288334336 2130706432 1660944384 1241513984 1090519040 1040187392 486539264 402653184 587202560 1124073472 1308622848 1677721600 2399141888 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3774873600 3170893824 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1593835520 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2197815296 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 3707764736 4278190080 4278190080 4261412864 4278190080 4278190080 1677721600 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 1258291200 4227858432 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 3741319168 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3690987520 4278190080 4261412864 4278190080 3690987520 2097152000 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1929379840 2533359616 4177526784 4278190080 4278190080 4278190080 4278190080 3707764736 1845493760 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1962934272 1996488704 3204448256 4278190080 4278190080 4278190080 4278190080 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3019898880 4278190080 3841982464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2701131776 4278190080 4278190080 4278190080 4278190080 3707764736 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4127195136 4278190080 4261412864 4278190080 4278190080 4261412864 3724541952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 2785017856 4278190080 3925868544 1140850688 0 0 0 0 0 0 0 0 0 0 0 939524096 4093640704 4278190080 4278190080 4278190080 4278190080 3204448256 0 0 0 0 0 0 0 0 0 0 0 570425344 3590324224 4278190080 4261412864 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 3909091328 4278190080 4009754624 570425344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4076863488 4278190080 4261412864 4278190080 3976200192 2214592512 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 3472883712 4278190080 4261412864 4278190080 4278190080 2617245696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2214592512 4194304000 939524096 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 385875968 3489660928 3070230528 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1811939328 4278190080 4261412864 4227858432 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4261412864 4278190080 4261412864 4278190080 3657433088 738197504 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3422552064 4278190080 4278190080 4278190080 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 2885681152 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 3221225472 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1325400064 4278190080 4261412864 4261412864 4278190080 3607101440 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4278190080 4278190080 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4278190080 4278190080 4278190080 4261412864 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4261412864 4261412864 4261412864 4278190080 3741319168 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1442840576 4143972352 4278190080 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3053453312 4278190080 4278190080 4278190080 4278190080 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3556769792 4278190080 4278190080 4278190080 3992977408 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3271557120 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4160749568 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2449473536 4278190080 4278190080 4261412864 4278190080 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1761607680 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4278190080 4261412864 4278190080 4278190080 3036676096 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3607101440 4261412864 4278190080 2650800128 3741319168 4278190080 4278190080 4261412864 4278190080 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3472883712 4278190080 4278190080 4278190080 4127195136 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 0 16777216 687865856 2365587456 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2348810240 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 687865856 2365587456 2113929216 2130706432 2130706432 2130706432 2130706432 2113929216 2348810240 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 1006632960 889192448 805306368 805306368 805306368 805306368 805306368 973078528 2214592512 2130706432 2130706432 2164260864 1577058304 855638016 301989888 0 0 0 0 0 0 0 268435456 385875968 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 452984832 251658240 234881024 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 452984832 134217728 167772160 1006632960 889192448 805306368 805306368 805306368 805306368 805306368 1006632960 2214592512 2130706432 2130706432 2164260864 1543503872 855638016 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 1426063360 2264924160 2130706432 2130706432 2130706432 2130706432 2130706432 2214592512 1660944384 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 1358954496 2298478592 2130706432 2130706432 2130706432 2130706432 2130706432 2231369728 1459617792 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 654311424 1191182336 2197815296 2130706432 2130706432 2181038080 1275068416 687865856 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4043309056 4278190080 4177526784 1358954496 1342177280 4278190080 4278190080 4278190080 4278190080 1509949440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 520093696 1744830464 2298478592 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2181038080 738197504 654311424 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 570425344 1862270976 2264924160 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 721420288 620756992 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 1409286144 2281701376 2130706432 2130706432 2130706432 2130706432 2130706432 2214592512 1610612736 218103808 0 0 0 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1040187392 2382364672 2113929216 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 721420288 939524096 1996488704 2130706432 2181038080 1476395008 822083584 771751936 436207616 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4261412864 4278190080 4261412864 4177526784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 184549376 1577058304 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1526726656 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 1593835520 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1509949440 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 553648128 3053453312 3976200192 3909091328 3909091328 3909091328 3892314112 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 3942645760 3724541952 3724541952 1895825408 436207616 0 0 0 0 369098752 3036676096 3640655872 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3707764736 2214592512 67108864 721420288 2533359616 3808428032 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3623878656 3657433088 2650800128 50331648 50331648 570425344 3103784960 3976200192 3909091328 3909091328 3909091328 3892314112 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 3724541952 3724541952 1845493760 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 620756992 3539992576 4278190080 4278190080 4278190080 4278190080 4278190080 3875536896 754974720 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 402653184 3221225472 4278190080 4278190080 4278190080 4278190080 4278190080 3573547008 637534208 33554432 0 0 0 0 0 0 0 0 0 0 0 167772160 1140850688 2919235584 3741319168 3858759680 4060086272 4278190080 4278190080 4278190080 4278190080 4093640704 3858759680 3707764736 2919235584 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2248146944 4278190080 4278190080 3640655872 452984832 83886080 4278190080 4261412864 4278190080 4278190080 3338665984 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 167772160 704643072 2868903936 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4026531840 3892314112 3724541952 3607101440 2013265920 721420288 0 0 0 0 0 0 0 0 0 0 0 33554432 184549376 788529152 3053453312 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4009754624 3875536896 3724541952 3539992576 1895825408 654311424 0 0 0 0 0 0 0 0 0 0 0 50331648 570425344 3489660928 4278190080 4278190080 4278190080 4278190080 4278190080 3892314112 671088640 67108864 0 0 0 1711276032 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 2332033024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1124073472 83886080 0 0 0 0 0 0 0 0 0 0 0 184549376 1140850688 2667577344 3674210304 3825205248 4060086272 4177526784 4278190080 4278190080 4278190080 4278190080 4160749568 4127195136 3959422976 3774873600 3623878656 3623878656 3657433088 2097152000 1325400064 704643072 251658240 0 0 0 0 0 16777216 3372220416 4278190080 4278190080 4261412864 4278190080 1157627904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1946157056 4278190080 4261412864 4261412864 4278190080 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4261412864 4261412864 4278190080 1828716544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 2885681152 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 3808428032 4261412864 4278190080 4278190080 4278190080 1476395008 285212672 369098752 369098752 419430400 889192448 3841982464 4211081216 4278190080 4278190080 4278190080 2130706432 184549376 0 0 100663296 3221225472 4278190080 4278190080 4227858432 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4143972352 4278190080 4278190080 4278190080 4278190080 4194304000 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4261412864 4278190080 4278190080 2080374784 0 0 16777216 2969567232 4278190080 4278190080 4278190080 4278190080 4211081216 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4160749568 4177526784 4244635648 4278190080 4278190080 2667577344 0 0 0 603979776 3858759680 4261412864 4278190080 4278190080 4278190080 1442840576 285212672 369098752 369098752 436207616 889192448 3892314112 4211081216 4278190080 4278190080 4278190080 2080374784 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4110417920 4278190080 4278190080 4278190080 4244635648 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 3506438144 4278190080 4278190080 4261412864 4278190080 1090519040 0 0 0 0 0 0 0 0 0 0 16777216 218103808 1828716544 4177526784 4278190080 4278190080 4194304000 4160749568 3875536896 1795162112 3909091328 4160749568 1728053248 3657433088 4194304000 4194304000 4278190080 4278190080 3053453312 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3321888768 4278190080 4261412864 3204448256 0 0 2399141888 4278190080 4278190080 4278190080 3909091328 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 4143972352 3724541952 1342177280 989855744 973078528 973078528 956301312 1124073472 1962934272 3489660928 4177526784 4194304000 4278190080 4278190080 3305111552 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 4143972352 3506438144 1308622848 989855744 973078528 973078528 956301312 1157627904 2046820352 3623878656 4160749568 4194304000 4278190080 4278190080 3170893824 905969664 0 0 0 0 0 0 0 0 0 0 0 352321536 4009754624 4261412864 4278190080 4261412864 4278190080 503316480 0 0 0 0 0 1845493760 4009754624 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2902458368 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 16777216 301989888 1946157056 4211081216 4278190080 4227858432 4227858432 2868903936 1358954496 704643072 385875968 352321536 0 117440512 369098752 603979776 1509949440 3774873600 4177526784 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 754974720 0 0 0 0 838860800 3858759680 4278190080 4278190080 4278190080 4194304000 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4177526784 4278190080 4278190080 4160749568 771751936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4177526784 4278190080 4278190080 4160749568 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3221225472 4278190080 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2952790016 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1627389952 3976200192 4278190080 4261412864 4278190080 3305111552 385875968 0 0 3087007744 4278190080 3607101440 2130706432 603979776 520093696 520093696 520093696 520093696 520093696 520093696 268435456 4278190080 4278190080 4278190080 4278190080 1946157056 402653184 520093696 520093696 520093696 520093696 520093696 536870912 838860800 2617245696 4278190080 3925868544 905969664 0 0 0 0 4026531840 4278190080 4278190080 4278190080 2164260864 402653184 520093696 520093696 520093696 520093696 520093696 520093696 788529152 2382364672 4278190080 4110417920 989855744 0 0 0 0 3019898880 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1660944384 4009754624 4278190080 4261412864 4278190080 3254779904 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4110417920 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4110417920 4261412864 4278190080 4278190080 4244635648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2466250752 4278190080 4278190080 4278190080 4110417920 134217728 0 0 0 0 0 0 0 0 0 234881024 1879048192 3623878656 4278190080 4278190080 3942645760 2852126720 1107296256 603979776 3690987520 0 3640655872 4076863488 0 2952790016 1694498816 1241513984 3338665984 4244635648 4278190080 4211081216 2315255808 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4261412864 4244635648 1023410176 0 0 822083584 4278190080 4261412864 4278190080 4278190080 2399141888 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4227858432 4278190080 4278190080 4261412864 4278190080 3472883712 1509949440 201326592 0 0 0 0 0 0 0 0 0 234881024 1191182336 3271557120 4060086272 4278190080 4278190080 3019898880 973078528 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4261412864 4278190080 3439329280 1291845632 150994944 0 0 0 0 0 0 0 0 0 285212672 1342177280 3305111552 4160749568 4278190080 4278190080 2885681152 838860800 0 0 0 0 0 0 0 0 0 0 3221225472 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 1845493760 4278190080 3556769792 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4261412864 4278190080 4278190080 3036676096 16777216 0 0 0 0 0 0 0 0 0 251658240 1912602624 3942645760 4278190080 4060086272 3204448256 1459617792 167772160 0 0 0 0 0 0 0 0 0 0 0 738197504 2583691264 4160749568 4278190080 4278190080 4261412864 4278190080 285212672 0 0 0 0 1996488704 4278190080 4261412864 4278190080 4278190080 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 3405774848 4278190080 4278190080 3338665984 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3439329280 4278190080 4278190080 3321888768 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1191182336 3992977408 4278190080 4261412864 4278190080 3489660928 83886080 0 1879048192 3623878656 520093696 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1577058304 0 0 0 0 0 0 0 0 0 2046820352 3992977408 335544320 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1845493760 0 0 0 0 0 0 0 0 0 1795162112 4261412864 469762048 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1224736768 4026531840 4278190080 4261412864 4278190080 3456106496 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4110417920 4278190080 4278190080 4278190080 4278190080 3305111552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2281701376 4278190080 4278190080 4278190080 4244635648 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2684354560 4278190080 4261412864 4278190080 2214592512 33554432 0 0 0 0 0 0 0 0 637534208 3103784960 4278190080 4278190080 4278190080 2785017856 872415232 50331648 0 369098752 3741319168 0 3674210304 4093640704 0 3053453312 1291845632 0 50331648 1342177280 2936012800 4278190080 4278190080 3472883712 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2717908992 4278190080 4261412864 4278190080 0 0 0 184549376 3489660928 4278190080 4278190080 4278190080 3992977408 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4227858432 4278190080 4278190080 4278190080 2281701376 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 2902458368 4278190080 4278190080 3959422976 1962934272 0 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 2097152000 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1291845632 3019898880 4278190080 4278190080 3875536896 1778384896 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 1845493760 4278190080 4278190080 3506438144 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 3976200192 4278190080 4278190080 2785017856 67108864 0 0 0 0 0 0 0 0 738197504 3137339392 4278190080 4278190080 3674210304 1375731712 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1509949440 4278190080 4261412864 4278190080 3925868544 0 0 0 0 100663296 2634022912 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2130706432 4278190080 4278190080 4278190080 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 1895825408 4244635648 4278190080 4261412864 4278190080 1526726656 0 788529152 1275068416 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 2516582400 134217728 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 2667577344 184549376 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 1962934272 4261412864 4278190080 4261412864 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 4093640704 4278190080 4278190080 4278190080 4261412864 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4278190080 4261412864 4278190080 4261412864 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 4278190080 4278190080 3774873600 754974720 0 0 0 0 0 0 0 0 973078528 4278190080 4261412864 4261412864 4127195136 1879048192 134217728 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 134217728 2281701376 4278190080 4278190080 3925868544 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 1660944384 0 0 0 50331648 2281701376 4278190080 4261412864 4261412864 4278190080 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2063597568 4278190080 4278190080 4194304000 3238002688 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2332033024 4278190080 4278190080 4194304000 2885681152 0 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4261412864 4278190080 3858759680 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 0 536870912 3556769792 4278190080 4278190080 3690987520 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4278190080 4278190080 2634022912 0 0 0 0 218103808 3388997632 4278190080 4278190080 4261412864 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4278190080 4261412864 4278190080 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 167772160 4009754624 4278190080 4278190080 4261412864 4177526784 0 385875968 184549376 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 620756992 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 838860800 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 167772160 4043309056 4278190080 4278190080 4261412864 4127195136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4026531840 4278190080 4278190080 4278190080 4261412864 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1828716544 4278190080 4261412864 4278190080 3472883712 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1979711488 4278190080 4278190080 4261412864 3003121664 50331648 0 0 0 0 0 0 0 587202560 4278190080 4261412864 4278190080 4143972352 1912602624 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 2516582400 4278190080 4278190080 4110417920 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 469762048 0 0 0 0 956301312 3942645760 4278190080 4278190080 4278190080 3221225472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4127195136 1795162112 16777216 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4278190080 4060086272 1526726656 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 4278190080 3489660928 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 486539264 3590324224 4278190080 4278190080 3808428032 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 2130706432 0 0 0 0 620756992 4278190080 4261412864 4278190080 4278190080 4093640704 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4278190080 4278190080 4278190080 4261412864 3992977408 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 4110417920 771751936 16777216 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 4076863488 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 3925868544 4278190080 4278190080 3976200192 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4026531840 4278190080 4261412864 4244635648 989855744 0 0 0 0 0 0 0 436207616 3472883712 4278190080 4261412864 4278190080 1895825408 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 2516582400 4278190080 4278190080 3707764736 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4160749568 4261412864 4278190080 2801795072 0 0 0 0 0 234881024 3523215360 4278190080 4278190080 4261412864 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2432696320 4278190080 4278190080 4043309056 989855744 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2701131776 4278190080 4278190080 3959422976 771751936 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 4261412864 4278190080 3271557120 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 167772160 3221225472 4278190080 4278190080 3573547008 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3154116608 1711276032 0 0 0 0 939524096 4278190080 4278190080 4278190080 4278190080 3154116608 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3355443200 4278190080 4278190080 4278190080 4261412864 4093640704 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 419430400 4278190080 4278190080 4278190080 4143972352 1140850688 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 452984832 4278190080 4278190080 4278190080 4110417920 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2583691264 4278190080 4261412864 4278190080 2298478592 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4261412864 4278190080 3238002688 0 0 0 0 0 0 0 83886080 2634022912 4278190080 4261412864 4278190080 2751463424 83886080 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 2868903936 4278190080 4278190080 3825205248 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4110417920 4261412864 4278190080 1442840576 0 0 0 0 0 0 2130706432 4261412864 4278190080 4278190080 4278190080 3506438144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3003121664 4278190080 4278190080 4043309056 67108864 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3170893824 4278190080 4278190080 3909091328 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 2533359616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 2449473536 4278190080 4278190080 3875536896 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 1056964608 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 3103784960 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 3825205248 4244635648 2147483648 2919235584 4278190080 4278190080 2818572288 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 2701131776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 3942645760 4261412864 4278190080 3741319168 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3103784960 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4160749568 4261412864 4261412864 4278190080 939524096 0 0 0 0 0 0 0 754974720 3925868544 4278190080 4278190080 3875536896 687865856 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 520093696 3690987520 4278190080 4261412864 3456106496 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2885681152 4278190080 4278190080 3456106496 419430400 0 0 0 0 0 0 704643072 4227858432 4261412864 4278190080 4278190080 4076863488 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4278190080 4278190080 2315255808 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 2969567232 4278190080 4278190080 4278190080 2533359616 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 0 687865856 3774873600 4278190080 4278190080 2751463424 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 201326592 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2550136832 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4244635648 402653184 2164260864 4244635648 4278190080 3791650816 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 1996488704 0 0 0 0 0 0 0 0 0 0 0 2583691264 4278190080 4278190080 4261412864 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4278190080 4261412864 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3204448256 4278190080 4261412864 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 3657433088 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1577058304 4211081216 4278190080 4278190080 3925868544 16777216 0 0 0 0 0 0 0 2466250752 4278190080 4261412864 4278190080 2650800128 67108864 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 16777216 2080374784 4278190080 4278190080 4026531840 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 3439329280 4278190080 4278190080 2768240640 50331648 0 0 0 0 0 0 0 3808428032 4278190080 4278190080 4278190080 4227858432 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2399141888 4278190080 4261412864 4177526784 419430400 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4261412864 3925868544 335544320 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1694498816 1560281088 4227858432 4278190080 4278190080 2315255808 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 16777216 2181038080 4278190080 4261412864 4043309056 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2600468480 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3103784960 4278190080 3204448256 0 419430400 4127195136 4261412864 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 2533359616 4278190080 4278190080 4143972352 1124073472 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 2583691264 4278190080 4278190080 4110417920 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4278190080 4278190080 4278190080 3909091328 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4278190080 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 3338665984 4278190080 4261412864 4278190080 1291845632 0 0 0 0 0 0 0 369098752 4227858432 4278190080 4278190080 4060086272 1040187392 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 704643072 3791650816 4278190080 4278190080 3003121664 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4278190080 4110417920 1493172224 0 0 0 0 0 0 0 0 1476395008 4278190080 4278190080 4278190080 4278190080 3355443200 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4160749568 4278190080 4227858432 2130706432 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 4194304000 4278190080 4194304000 1778384896 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1728053248 0 1862270976 4278190080 4278190080 4244635648 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 251658240 3976200192 4278190080 4278190080 3120562176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2600468480 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 4278190080 1342177280 0 0 2902458368 4278190080 4278190080 3321888768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 2550136832 4278190080 4278190080 4076863488 436207616 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 4278190080 4026531840 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4261412864 4278190080 1157627904 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 3053453312 4278190080 4261412864 3892314112 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3925868544 4278190080 4278190080 3372220416 335544320 0 0 0 0 0 0 0 1375731712 4278190080 4261412864 4278190080 3909091328 184549376 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 100663296 3489660928 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2399141888 4278190080 4261412864 3925868544 251658240 0 0 0 0 0 0 0 0 251658240 4278190080 4261412864 4278190080 4278190080 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3204448256 4278190080 4278190080 3070230528 100663296 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3472883712 4278190080 4278190080 2684354560 67108864 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 1644167168 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 1258291200 4278190080 4261412864 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 4278190080 4278190080 2634022912 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4278190080 83886080 0 0 1073741824 4278190080 4261412864 4278190080 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 2617245696 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4278190080 3758096384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4278190080 4261412864 4261412864 4043309056 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 4261412864 4278190080 4177526784 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2248146944 4278190080 4261412864 4278190080 2231369728 0 0 0 0 0 0 0 0 3238002688 4278190080 4278190080 4278190080 3623878656 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 1996488704 4261412864 4278190080 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4278190080 4261412864 4278190080 2332033024 0 0 0 0 0 0 0 0 0 0 2566914048 4278190080 4278190080 4278190080 4278190080 2583691264 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2734686208 4278190080 4278190080 3724541952 637534208 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3120562176 4278190080 4278190080 3556769792 419430400 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 1694498816 4278190080 4278190080 4278190080 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 2868903936 4278190080 4278190080 4278190080 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 4278190080 4278190080 4278190080 4278190080 3003121664 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3925868544 4278190080 2147483648 0 0 0 134217728 3909091328 4278190080 4278190080 3321888768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 16777216 3959422976 4278190080 4278190080 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 50331648 3976200192 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3690987520 4278190080 4278190080 4076863488 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 2785017856 4278190080 4278190080 4278190080 4278190080 3070230528 167772160 0 0 0 0 0 0 0 0 0 0 0 385875968 3909091328 4278190080 4261412864 3892314112 553648128 0 0 0 0 0 0 0 100663296 4278190080 4261412864 4278190080 4278190080 1207959552 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 838860800 4261412864 4278190080 4261412864 4278190080 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1644167168 4278190080 4261412864 4278190080 587202560 0 0 0 0 0 0 0 0 0 0 1207959552 4278190080 4261412864 4278190080 4278190080 4060086272 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2550136832 4278190080 4261412864 4278190080 1442840576 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3003121664 4278190080 4261412864 4278190080 1023410176 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 1879048192 4227858432 4278190080 4160749568 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 4278190080 4261412864 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 4278190080 4278190080 4278190080 3539992576 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3321888768 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3422552064 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 4278190080 973078528 0 0 0 0 2030043136 4278190080 4261412864 4278190080 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 587202560 4278190080 4278190080 3019898880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 2986344448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1694498816 4278190080 4261412864 4278190080 2600468480 0 0 0 0 0 0 0 0 0 0 0 503316480 4278190080 4261412864 4278190080 4278190080 4278190080 4244635648 1056964608 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4261412864 4278190080 2499805184 0 0 0 0 0 0 0 0 503316480 4278190080 4278190080 4278190080 4278190080 754974720 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 218103808 4261412864 4278190080 4278190080 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3959422976 4278190080 4278190080 3422552064 0 83886080 83886080 83886080 83886080 83886080 83886080 83886080 83886080 83886080 83886080 536870912 3640655872 4278190080 4278190080 4261412864 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 4110417920 4278190080 4278190080 1711276032 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1711276032 4194304000 4278190080 4278190080 1342177280 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 2298478592 4278190080 4278190080 4177526784 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 553648128 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 4278190080 4278190080 4278190080 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 4261412864 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4261412864 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 4278190080 3036676096 218103808 0 0 0 0 855638016 4278190080 4261412864 4261412864 3271557120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 2432696320 4278190080 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 1073741824 369098752 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 2483027968 4278190080 4278190080 872415232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 3422552064 4278190080 4278190080 3690987520 587202560 0 0 0 0 0 0 0 0 0 0 2332033024 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2147483648 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4261412864 4278190080 570425344 0 0 0 0 0 0 0 0 1140850688 4278190080 4278190080 4278190080 4278190080 251658240 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4261412864 4278190080 4261412864 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3992977408 4278190080 4278190080 2113929216 16777216 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4160749568 4278190080 4278190080 1795162112 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 2332033024 4278190080 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 687865856 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4127195136 4278190080 2315255808 0 0 0 0 0 201326592 3187671040 4278190080 4278190080 3623878656 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 1358954496 4278190080 4278190080 2097152000 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 2902458368 1778384896 1862270976 1862270976 1862270976 1862270976 1862270976 1862270976 1845493760 2113929216 4278190080 4211081216 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 2030043136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2499805184 4261412864 4261412864 4278190080 1895825408 0 0 0 0 0 0 0 0 0 369098752 3825205248 4261412864 4278190080 3925868544 4278190080 4261412864 4261412864 4278190080 402653184 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2634022912 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 2650800128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2717908992 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3992977408 4278190080 4278190080 2113929216 16777216 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4160749568 4278190080 4278190080 1795162112 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 2348810240 4278190080 4261412864 4211081216 1191182336 0 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 687865856 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2852126720 4278190080 4278190080 4278190080 4278190080 2315255808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3841982464 2415919104 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2231369728 2449473536 3892314112 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 2415919104 4244635648 3959422976 889192448 0 0 0 0 0 16777216 2281701376 4278190080 4278190080 4194304000 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 83886080 1677721600 4110417920 4278190080 2684354560 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 100663296 1711276032 4127195136 4278190080 2634022912 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 4076863488 4261412864 4278190080 3791650816 100663296 0 0 0 0 0 0 0 0 1845493760 4211081216 4261412864 4278190080 2113929216 2617245696 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 0 0 50331648 3321888768 4278190080 4261412864 4278190080 687865856 0 0 0 0 0 0 0 0 0 1358954496 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4261412864 4043309056 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 3791650816 4261412864 4278190080 3942645760 3154116608 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3103784960 3238002688 4160749568 4278190080 4278190080 4278190080 4261412864 3808428032 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3992977408 4278190080 4278190080 2113929216 16777216 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4160749568 4278190080 4278190080 1795162112 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 50331648 2348810240 4278190080 4278190080 3992977408 1191182336 0 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 687865856 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2399141888 4278190080 4278190080 4278190080 4278190080 4278190080 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3355443200 4278190080 3808428032 0 0 0 0 0 0 0 1006632960 3942645760 4261412864 4278190080 2868903936 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2919235584 1442840576 1526726656 1526726656 1526726656 1526726656 1459617792 2332033024 3858759680 4127195136 4278190080 2650800128 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 2432696320 922746880 1023410176 1023410176 1023410176 1023410176 1023410176 1023410176 1879048192 3858759680 4278190080 2533359616 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2885681152 1442840576 1526726656 1526726656 1526726656 1526726656 1459617792 2365587456 3858759680 4127195136 4278190080 2617245696 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2885681152 4278190080 4261412864 4278190080 1275068416 0 0 0 0 0 0 0 150994944 2919235584 4278190080 4278190080 3841982464 822083584 184549376 4278190080 4261412864 4278190080 4076863488 167772160 0 0 0 0 0 0 0 1073741824 4043309056 4261412864 4278190080 2768240640 67108864 0 0 0 0 0 0 0 0 0 1358954496 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 3942645760 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3707764736 3925868544 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1996488704 4278190080 4278190080 4278190080 2399141888 268435456 218103808 218103808 218103808 218103808 218103808 218103808 218103808 218103808 218103808 218103808 218103808 201326592 352321536 3909091328 4261412864 4278190080 4278190080 4278190080 4043309056 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3992977408 4278190080 4278190080 2130706432 16777216 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4160749568 4278190080 4278190080 1811939328 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 2348810240 4278190080 4278190080 4211081216 1090519040 0 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 687865856 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 1006632960 855638016 754974720 754974720 754974720 754974720 754974720 754974720 922746880 956301312 285212672 0 1879048192 4278190080 4278190080 4278190080 4278190080 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4026531840 4278190080 1577058304 0 16777216 0 0 0 0 0 134217728 3506438144 4278190080 4261412864 4278190080 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 4177526784 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 452984832 3925868544 1644167168 0 0 0 0 0 1459617792 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3170893824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 4278190080 4278190080 4278190080 3170893824 0 0 0 0 0 0 0 1023410176 4278190080 4261412864 4278190080 3137339392 83886080 0 1761607680 4278190080 4261412864 4261412864 1895825408 0 0 0 0 0 0 100663296 2835349504 4278190080 4278190080 4278190080 1375731712 0 0 0 0 0 0 0 0 0 0 1358954496 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 3942645760 0 0 0 0 0 0 0 0 0 0 0 0 3221225472 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 3992977408 4244635648 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 2684354560 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4278190080 4278190080 4278190080 4278190080 2667577344 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4026531840 4278190080 4278190080 1845493760 16777216 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 4160749568 4278190080 4278190080 1493172224 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 2365587456 4278190080 4261412864 4278190080 805306368 0 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 687865856 4278190080 4278190080 4278190080 2231369728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 2466250752 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 1560281088 117440512 0 0 687865856 3774873600 4278190080 4278190080 4278190080 4261412864 4227858432 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 33554432 2298478592 4278190080 4278190080 2197815296 1828716544 1879048192 1493172224 1493172224 1493172224 1493172224 1493172224 1308622848 3623878656 4278190080 4278190080 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 3741319168 3170893824 3204448256 3204448256 3204448256 2952790016 2936012800 2852126720 1375731712 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 989855744 1258291200 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 3741319168 3170893824 3338665984 3674210304 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 2080374784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2701131776 4278190080 4261412864 4278190080 956301312 0 0 0 0 0 0 2550136832 4278190080 4261412864 4244635648 1056964608 0 0 687865856 4060086272 4278190080 4278190080 3523215360 134217728 0 0 0 0 0 637534208 3774873600 4278190080 4278190080 3338665984 251658240 0 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4278190080 4278190080 4278190080 218103808 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4261412864 4043309056 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 3959422976 4278190080 4278190080 3556769792 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4278190080 4261412864 4278190080 4278190080 4278190080 3724541952 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2533359616 4278190080 4278190080 4278190080 1593835520 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3003121664 4278190080 4278190080 4278190080 1224736768 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 301989888 2936012800 4278190080 4278190080 3976200192 805306368 0 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 503316480 4278190080 4278190080 4278190080 3707764736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2348810240 4244635648 4278190080 4278190080 4278190080 704643072 0 0 0 0 134217728 3506438144 4278190080 4278190080 4278190080 4278190080 4227858432 2231369728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 285212672 4076863488 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4160749568 201326592 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2281701376 100663296 201326592 201326592 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 587202560 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2231369728 83886080 318767104 620756992 1308622848 2130706432 3925868544 4278190080 4261412864 4278190080 4261412864 4278190080 1593835520 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4278190080 4261412864 4278190080 3087007744 16777216 0 0 0 0 419430400 4211081216 4278190080 4278190080 3372220416 0 0 0 50331648 2533359616 4278190080 4278190080 4194304000 1426063360 0 0 0 0 0 1744830464 4278190080 4261412864 4194304000 1828716544 0 0 0 0 0 0 0 0 0 0 0 1107296256 4278190080 4278190080 4278190080 4278190080 503316480 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 2583691264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1644167168 4278190080 4261412864 4278190080 3271557120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2919235584 4278190080 4278190080 4278190080 4261412864 4278190080 1694498816 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2667577344 4278190080 4261412864 4278190080 1375731712 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3070230528 4278190080 4261412864 4278190080 956301312 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 369098752 2986344448 4278190080 4278190080 3942645760 603979776 0 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 67108864 4278190080 4278190080 4261412864 4278190080 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 1845493760 4261412864 4278190080 4278190080 4278190080 4278190080 3590324224 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 1241513984 4278190080 4278190080 2734686208 2013265920 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2046820352 2113929216 4278190080 4261412864 4261412864 4278190080 2113929216 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 16777216 150994944 1795162112 4278190080 4278190080 4261412864 4278190080 3875536896 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 2751463424 4278190080 4261412864 3808428032 671088640 0 0 0 0 2281701376 4278190080 4261412864 4278190080 1073741824 0 0 0 0 922746880 3909091328 4261412864 4278190080 2634022912 100663296 0 0 0 0 4278190080 4278190080 4261412864 4093640704 285212672 0 0 0 0 0 0 0 0 0 0 0 671088640 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3305111552 4278190080 4278190080 4211081216 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4278190080 4261412864 4278190080 4278190080 4278190080 3338665984 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3170893824 4278190080 4278190080 3657433088 587202560 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 3439329280 4278190080 4278190080 3472883712 385875968 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3103784960 4278190080 4278190080 4278190080 436207616 0 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 4278190080 4261412864 4278190080 4278190080 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 134217728 4043309056 4278190080 4278190080 4278190080 4261412864 4278190080 2650800128 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 0 3087007744 4278190080 4278190080 587202560 0 0 0 0 0 0 0 0 0 0 2231369728 4278190080 4278190080 4261412864 4076863488 117440512 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 520093696 3204448256 4261412864 4278190080 4278190080 3321888768 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1744830464 4278190080 4278190080 4278190080 2348810240 16777216 0 0 318767104 4261412864 4261412864 4278190080 3120562176 0 0 0 0 0 50331648 3254779904 4278190080 4278190080 3909091328 436207616 0 0 0 1426063360 4278190080 4261412864 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 16777216 4278190080 4261412864 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 285212672 4261412864 4278190080 4261412864 4278190080 570425344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 4278190080 4261412864 4261412864 4211081216 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 3405774848 4278190080 4278190080 4278190080 4261412864 4278190080 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 4261412864 4278190080 3254779904 268435456 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4261412864 4278190080 2952790016 184549376 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3019898880 4278190080 4261412864 4227858432 402653184 0 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 2030043136 4278190080 4278190080 4278190080 2835349504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 1811939328 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1828716544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 553648128 4278190080 4278190080 3036676096 50331648 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4261412864 4278190080 4177526784 1728053248 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 285212672 2717908992 4278190080 4261412864 4278190080 2348810240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 3573547008 4278190080 4278190080 3741319168 318767104 0 0 2147483648 4227858432 4261412864 4278190080 1476395008 0 0 0 0 0 0 1040187392 4278190080 4261412864 4278190080 2030043136 0 0 0 3707764736 4278190080 4278190080 4009754624 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 3087007744 4278190080 4278190080 4261412864 4009754624 0 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 838860800 4261412864 4278190080 4278190080 3774873600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3003121664 4278190080 4278190080 4278190080 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2147483648 4278190080 4261412864 4278190080 4278190080 4278190080 3372220416 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2684354560 4278190080 4278190080 4278190080 2986344448 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2902458368 4278190080 4278190080 4278190080 2533359616 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 2919235584 4227858432 4244635648 2986344448 385875968 0 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 905969664 4278190080 4261412864 4261412864 4026531840 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 67108864 3204448256 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 0 2147483648 4278190080 4278190080 2013265920 16777216 0 0 0 0 0 0 0 0 0 0 16777216 3036676096 4278190080 4278190080 4278190080 3019898880 100663296 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 285212672 3321888768 4278190080 4278190080 4261412864 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2097152000 4244635648 4261412864 4278190080 1342177280 0 234881024 3372220416 4278190080 4278190080 3288334336 318767104 0 0 0 0 0 0 0 3372220416 4278190080 4278190080 4211081216 201326592 0 1157627904 4261412864 4261412864 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4261412864 4278190080 3976200192 520093696 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 0 2885681152 4261412864 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4177526784 4261412864 4278190080 4278190080 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 3875536896 4278190080 4278190080 4278190080 4261412864 4211081216 872415232 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 4278190080 4278190080 4278190080 4143972352 1258291200 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4278190080 4278190080 3992977408 1023410176 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4177526784 4261412864 4278190080 3053453312 167772160 0 872415232 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 117440512 3523215360 4278190080 4278190080 4278190080 2617245696 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 1140850688 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4026531840 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2264924160 0 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 218103808 3808428032 4278190080 3942645760 855638016 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 3959422976 805306368 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4278190080 4261412864 4110417920 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4177526784 4278190080 4278190080 3003121664 0 1526726656 4278190080 4261412864 4278190080 2281701376 0 0 0 0 0 0 0 0 1056964608 4278190080 4278190080 4278190080 1728053248 0 3372220416 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3456106496 4278190080 4261412864 4177526784 1744830464 0 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 167772160 3456106496 4278190080 4278190080 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1677721600 4211081216 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3204448256 4278190080 4278190080 4278190080 4278190080 4278190080 3120562176 0 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4278190080 4261412864 4278190080 4278190080 3925868544 16777216 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4278190080 4261412864 4278190080 4278190080 3623878656 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4278190080 4278190080 4278190080 3154116608 134217728 855638016 3959422976 4278190080 4278190080 2801795072 67108864 0 0 0 16777216 2046820352 4278190080 4278190080 4278190080 3892314112 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3825205248 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 318767104 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 0 1358954496 4076863488 4278190080 3305111552 234881024 0 0 0 0 0 0 0 0 0 0 0 0 486539264 3657433088 4278190080 4261412864 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 2533359616 4278190080 4261412864 4278190080 3271557120 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4261412864 4278190080 1073741824 2516582400 4278190080 4261412864 3875536896 469762048 0 0 0 0 0 0 0 0 0 3120562176 4278190080 4261412864 4076863488 1006632960 3841982464 4278190080 4278190080 2516582400 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 4278190080 4278190080 4278190080 3372220416 301989888 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 0 1107296256 3976200192 4278190080 4278190080 2130706432 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 3288334336 4278190080 4278190080 4278190080 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4244635648 4278190080 4278190080 4278190080 4278190080 3607101440 503316480 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2466250752 4261412864 4278190080 4261412864 4278190080 1107296256 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2734686208 4278190080 4278190080 4261412864 4278190080 939524096 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 3909091328 4278190080 4278190080 2936012800 1124073472 3942645760 4278190080 4278190080 2801795072 67108864 0 0 0 0 553648128 3741319168 4278190080 4261412864 4278190080 3472883712 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 50331648 2667577344 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4076863488 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4160749568 4278190080 889192448 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 50331648 2684354560 4278190080 4244635648 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2919235584 4278190080 4278190080 4278190080 3959422976 218103808 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 536870912 3640655872 4278190080 4278190080 4211081216 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 3925868544 4278190080 4278190080 3573547008 3925868544 4278190080 4278190080 2281701376 0 0 0 0 0 0 0 0 0 0 1660944384 4278190080 4261412864 4194304000 3825205248 4278190080 4261412864 4043309056 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3372220416 4278190080 4278190080 4278190080 1476395008 0 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 50331648 2667577344 4278190080 4261412864 3841982464 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 3774873600 4278190080 4261412864 4278190080 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1895825408 4227858432 4278190080 4261412864 4278190080 3087007744 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2197815296 4278190080 4261412864 4261412864 4278190080 2902458368 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 3942645760 4278190080 4194304000 3489660928 4160749568 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 2147483648 4211081216 4278190080 4261412864 4278190080 3321888768 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 3305111552 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 4278190080 4278190080 4278190080 1392508928 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 385875968 3506438144 4278190080 4143972352 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4093640704 4278190080 4261412864 4278190080 1358954496 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4127195136 4261412864 4278190080 4278190080 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2281701376 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 503316480 0 0 0 0 0 0 0 0 0 0 352321536 3321888768 4278190080 4278190080 4278190080 4261412864 4261412864 3573547008 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 4127195136 4261412864 4278190080 4278190080 385875968 0 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 0 905969664 4278190080 4261412864 4278190080 1124073472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1929379840 4278190080 4278190080 4278190080 3489660928 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2550136832 4278190080 4278190080 4278190080 4261412864 4278190080 3204448256 117440512 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 4278190080 4278190080 4261412864 4278190080 3892314112 469762048 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1879048192 4278190080 4278190080 4261412864 4278190080 3774873600 251658240 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 33554432 4143972352 4261412864 4278190080 4261412864 4278190080 3422552064 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3875536896 1308622848 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1895825408 4278190080 4261412864 4278190080 4261412864 3791650816 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 1509949440 4278190080 4278190080 3925868544 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3925868544 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 67108864 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4261412864 4261412864 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4278190080 4278190080 4278190080 4261412864 4278190080 2332033024 0 0 0 0 0 0 0 0 0 0 0 0 2466250752 4278190080 4278190080 4278190080 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4177526784 4278190080 4278190080 3321888768 369098752 0 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 0 419430400 3539992576 4278190080 4261412864 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3137339392 4278190080 4278190080 4278190080 2617245696 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1073741824 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 1845493760 4278190080 4261412864 4261412864 4278190080 4009754624 1157627904 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2030043136 4278190080 4261412864 4261412864 4278190080 3875536896 905969664 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4227858432 4278190080 4261412864 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 285212672 4177526784 4278190080 4261412864 4261412864 4278190080 3204448256 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2046820352 3791650816 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 2919235584 1526726656 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 3070230528 4278190080 4261412864 4278190080 4278190080 4278190080 3707764736 0 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 0 3271557120 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4278190080 4278190080 4278190080 1174405120 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 100663296 687865856 16777216 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4261412864 4261412864 4026531840 587202560 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4043309056 4278190080 4278190080 4278190080 4261412864 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2852126720 4278190080 4278190080 4278190080 4194304000 452984832 0 0 0 0 0 0 0 0 0 0 0 0 452984832 4110417920 4261412864 4278190080 4278190080 3607101440 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 3942645760 4278190080 4278190080 3238002688 536870912 0 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 0 369098752 3003121664 4278190080 4160749568 1711276032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 805306368 4278190080 4261412864 4278190080 4194304000 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3556769792 4278190080 4278190080 4278190080 4278190080 4278190080 3271557120 0 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 2550136832 4278190080 4261412864 4261412864 4278190080 3841982464 2130706432 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 2717908992 4278190080 4261412864 4261412864 4278190080 3774873600 1879048192 0 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 3959422976 4278190080 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 0 922746880 3758096384 4278190080 4261412864 4261412864 4278190080 3657433088 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4127195136 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4143972352 3640655872 1828716544 234881024 0 0 0 0 0 0 0 0 0 0 0 469762048 3338665984 3892314112 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3976200192 335544320 0 0 436207616 3456106496 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3472883712 4278190080 4278190080 3372220416 385875968 0 0 0 0 0 0 0 436207616 4278190080 4261412864 4278190080 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4278190080 4261412864 4278190080 4278190080 3221225472 16777216 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 2600468480 0 0 0 0 0 0 0 0 0 0 0 1728053248 1610612736 0 0 0 1459617792 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 3187671040 4278190080 4261412864 4244635648 3925868544 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4060086272 4278190080 4278190080 4278190080 4261412864 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 4060086272 4261412864 4278190080 2533359616 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 2181038080 4278190080 4261412864 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 3959422976 4278190080 4261412864 3909091328 1040187392 0 0 0 385875968 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 0 0 771751936 3355443200 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4278190080 4278190080 3791650816 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 704643072 0 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 822083584 0 0 0 0 0 0 0 0 0 0 0 0 0 1610612736 3841982464 4244635648 4278190080 4261412864 4278190080 3909091328 939524096 0 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 1778384896 3892314112 4261412864 4278190080 4261412864 4278190080 3791650816 788529152 0 0 0 0 0 0 0 0 0 1660944384 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1140850688 4177526784 4261412864 4278190080 2801795072 67108864 0 0 0 0 0 0 0 0 687865856 2986344448 4278190080 4261412864 4261412864 4278190080 4278190080 2952790016 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4110417920 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1392508928 3976200192 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3338665984 1459617792 771751936 318767104 16777216 16777216 16777216 0 218103808 922746880 2902458368 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 1493172224 16777216 0 0 452984832 3472883712 4278190080 4278190080 3405774848 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3489660928 4278190080 4278190080 3388997632 385875968 0 0 0 0 0 0 0 2147483648 4278190080 4278190080 3338665984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2768240640 4278190080 4278190080 4278190080 3992977408 1090519040 0 0 0 0 0 0 0 1426063360 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4261412864 4261412864 2248146944 33554432 0 0 0 0 0 0 0 0 1107296256 4278190080 1241513984 0 0 0 1476395008 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 3489660928 4278190080 4261412864 4261412864 4278190080 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1493172224 4160749568 4278190080 4278190080 4278190080 4278190080 3321888768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3758096384 4278190080 3942645760 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4278190080 4278190080 3506438144 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 2466250752 4278190080 4278190080 4278190080 2382364672 402653184 0 402653184 3741319168 0 3674210304 4093640704 0 3053453312 1325400064 0 0 134217728 1795162112 4278190080 4278190080 3154116608 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 4278190080 4261412864 4278190080 4278190080 3623878656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3791650816 4278190080 4278190080 4278190080 4278190080 4261412864 3808428032 33554432 0 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4278190080 2013265920 50331648 0 0 0 0 0 0 0 0 0 100663296 1174405120 3858759680 4278190080 4261412864 4278190080 4278190080 4278190080 3254779904 301989888 0 0 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 1828716544 33554432 0 0 0 0 0 0 0 0 0 134217728 1275068416 4043309056 4278190080 4261412864 4278190080 4278190080 4278190080 2986344448 184549376 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 1862270976 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4278190080 2801795072 67108864 0 0 0 0 0 0 0 0 0 150994944 1895825408 4278190080 4261412864 4278190080 4261412864 4278190080 4278190080 2617245696 671088640 0 0 0 0 0 0 0 0 0 0 184549376 3154116608 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1358954496 3472883712 3758096384 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2684354560 2650800128 3087007744 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4009754624 3539992576 2164260864 402653184 0 0 0 0 1358954496 4278190080 4261412864 4261412864 4278190080 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4261412864 4261412864 4278190080 1207959552 0 0 0 0 0 0 436207616 4278190080 4261412864 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4278190080 4278190080 4278190080 4278190080 2936012800 167772160 0 0 0 0 0 0 3690987520 4261412864 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4278190080 4278190080 4278190080 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4043309056 4278190080 4278190080 4278190080 4278190080 4278190080 3103784960 838860800 184549376 0 0 0 0 285212672 1677721600 4278190080 4227858432 1073741824 0 0 0 3758096384 4261412864 4278190080 4278190080 3204448256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 3355443200 4278190080 4278190080 4261412864 4278190080 2365587456 687865856 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 3405774848 4278190080 4278190080 4278190080 4278190080 4278190080 3892314112 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1543503872 4278190080 3204448256 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 3556769792 3959422976 4278190080 4143972352 2415919104 1778384896 3724541952 67108864 3690987520 4093640704 0 3087007744 1728053248 1140850688 2013265920 4244635648 4278190080 3623878656 2113929216 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 3070230528 4278190080 4278190080 4278190080 4278190080 3607101440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 3187671040 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 2348810240 134217728 0 0 0 0 0 0 83886080 4227858432 4278190080 4278190080 4261412864 4278190080 3808428032 1610612736 1124073472 369098752 419430400 402653184 520093696 1191182336 1459617792 2214592512 3741319168 4278190080 4278190080 4278190080 4278190080 4060086272 3506438144 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4261412864 4278190080 3573547008 1543503872 1073741824 369098752 419430400 419430400 553648128 1207959552 1493172224 2298478592 3858759680 4278190080 4278190080 4278190080 4278190080 4009754624 3439329280 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 4110417920 4261412864 4278190080 4261412864 4278190080 0 0 0 0 0 0 4278190080 4261412864 4278190080 4261412864 4227858432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4160749568 2868903936 67108864 0 0 0 0 0 0 0 0 0 0 0 654311424 2751463424 3841982464 4278190080 4278190080 4278190080 4278190080 4278190080 3590324224 2097152000 1459617792 1073741824 855638016 419430400 402653184 738197504 1241513984 1795162112 3674210304 4278190080 4278190080 4278190080 3841982464 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 671088640 1879048192 2415919104 3221225472 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 2264924160 1056964608 251658240 0 0 0 0 0 268435456 3590324224 4278190080 4278190080 4278190080 4278190080 3556769792 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3607101440 4278190080 4278190080 4278190080 4278190080 3556769792 218103808 0 0 0 0 385875968 3036676096 4261412864 4278190080 4278190080 3439329280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2936012800 4278190080 4278190080 4278190080 4278190080 4177526784 2248146944 33554432 0 0 0 0 1543503872 4110417920 4278190080 4278190080 4261412864 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 2701131776 4278190080 4278190080 4278190080 4261412864 4160749568 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2365587456 4227858432 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3992977408 3070230528 2667577344 2550136832 2550136832 2717908992 3321888768 4278190080 4278190080 3523215360 486539264 0 0 1610612736 4127195136 4278190080 4278190080 4261412864 4278190080 2499805184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 2399141888 4076863488 4278190080 4261412864 4278190080 3825205248 3036676096 2785017856 2181038080 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 2533359616 4211081216 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3707764736 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3724541952 1694498816 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 3623878656 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 973078528 2315255808 3539992576 4278190080 4278190080 4278190080 3321888768 4110417920 4211081216 2919235584 3992977408 4009754624 4278190080 4278190080 2952790016 2013265920 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 3456106496 4278190080 4261412864 4278190080 4278190080 4278190080 4127195136 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 2701131776 3539992576 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2382364672 419430400 0 0 0 0 0 1375731712 4244635648 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 3355443200 3422552064 3422552064 3590324224 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3154116608 2399141888 1241513984 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 1577058304 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 3355443200 3422552064 3422552064 3657433088 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3070230528 2348810240 1124073472 150994944 0 0 0 0 0 0 0 0 0 0 0 0 1912602624 4194304000 4278190080 4278190080 4278190080 4278190080 2315255808 0 0 0 0 2181038080 4244635648 4278190080 4278190080 4278190080 4211081216 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1325400064 2483027968 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 788529152 2063597568 2785017856 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 3439329280 3422552064 4093640704 4278190080 4278190080 4278190080 4060086272 2919235584 2063597568 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 184549376 536870912 872415232 1476395008 1929379840 2130706432 2885681152 4278190080 4278190080 4278190080 4278190080 4278190080 2634022912 2130706432 1728053248 1308622848 889192448 335544320 134217728 33554432 0 0 0 0 0 16777216 1090519040 3976200192 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3942645760 1056964608 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1107296256 3992977408 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 3942645760 1040187392 0 452984832 1560281088 4160749568 4244635648 4278190080 4278190080 4261412864 4278190080 3774873600 822083584 50331648 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2533359616 4060086272 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4194304000 3791650816 1207959552 117440512 167772160 1996488704 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2818572288 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 2818572288 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4194304000 1929379840 234881024 0 0 0 0 0 0 0 0 0 0 503316480 2516582400 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3338665984 318767104 184549376 2046820352 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2768240640 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 637534208 1862270976 4278190080 4278190080 3271557120 2214592512 1459617792 452984832 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 1342177280 3992977408 4211081216 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4127195136 2046820352 218103808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 905969664 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 218103808 687865856 1375731712 1996488704 2600468480 4093640704 4278190080 4278190080 3053453312 2197815296 1308622848 637534208 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 872415232 2650800128 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 2684354560 788529152 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 3456106496 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4211081216 3959422976 1811939328 402653184 184549376 973078528 2818572288 4160749568 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 3288334336 2181038080 1862270976 1207959552 536870912 184549376 67108864 0 0 0 0 0 0 0 0 0 0 0 0 201326592 1056964608 3019898880 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3120562176 2147483648 1811939328 1174405120 486539264 167772160 50331648 0 0 0 0 0 0 0 0 0 0 0 0 251658240 2281701376 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2617245696 335544320 301989888 2516582400 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2382364672 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 318767104 838860800 1509949440 1979711488 2030043136 4278190080 4261412864 4278190080 4278190080 4110417920 2566914048 2181038080 1375731712 1006632960 436207616 150994944 16777216 0 0 0 0 0 0)
	offset: 0@0)! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 17:00:42.613'!
currentTask
	self tasks ifEmpty: [
		^nil
	].
	
	(self tasks size > self currentTaskNumber) ifTrue:
	[
		^self tasks at: self currentTaskNumber.
	].

	^self tasks last. ! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:25:10.61'!
currentTaskNumber
	^ currentTaskNumber! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:24:36.767'!
currentTaskNumber: aNumber
	currentTaskNumber := aNumber.! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 16:59:26.195'!
finished
	^(self currentTaskNumber > self tasks size)! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 16:57:29.353'!
initialize
	self currentTaskNumber: 1.
	self tasks: {}.! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:25:05.881'!
name
	^ name! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:23:48.232'!
name: aName
	name := aName.! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 16:59:51.13'!
nextTask
	self currentTaskNumber: self currentTaskNumber+1.

	^self currentTask.! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:50:12.616'!
tasks
	^tasks! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:23:43.203'!
tasks: aCollection
	tasks := aCollection.! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 11:12:35.943'!
title
	^title! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 11:18:07.301'!
title: anImage
	title := anImage.! !

!I2SChapter methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 11:54:31.802'!
unlockAll
	self currentTaskNumber: self tasks size.! !

Object subclass: #I2SListNode
	instanceVariableNames: 'parent list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SListNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:20:16.637'!
newWithList: aList
	|a|
	a := self new.
	a list: aList.
	^a! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:52:55.249'!
addedChild: a to: b at: c
self emit.! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 15:02:53.009'!
createLeftPart: aValue
	|newList|
	newList := OrderedCollection new.
	list do: [:ea |
		ea = aValue ifTrue: [
			^self class newWithList: (newList asArray)
		].
		newList add: ea.
	].
	^self class newWithList: (newList asArray)! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 15:04:47.969'!
createRightPart: aValue
	|newList flag|
	newList := OrderedCollection new.
	flag := false.
	list do: [:ea |
		flag ifTrue: [
			newList add: ea.
		].		
		ea = aValue ifTrue: [
			flag := true.
		].
	].
	^self class newWithList: (newList asArray)! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:22:24.7'!
isListNode
	^true! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:19:33.852'!
list
	^list! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:19:35.276'!
list: aList
	list := aList! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:18:55.492'!
parent
	^parent! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:18:58.95'!
parent: aNode
	parent := aNode! !

!I2SListNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:53:09.513'!
removedChild: a from: b at: c
self emit.! !

Object subclass: #I2STask
	instanceVariableNames: 'name description hints unveiled completed visualization clickCount userCode userCodeSignature userCodeRunner isCodingTask interface'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2STask subclass: #I2SAddTask
	instanceVariableNames: 'value visualizationClass list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SAddTask class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 10:31:26.714'!
newWithVisualizationClass: aClass andValue: aValue andList: aList
	| a |
	a := self basicNew.
	a visualizationClass: aClass.
	a value: {aValue}.
	a list: aList.
	
	a initialize.
	^a.! !

!I2SAddTask class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:17:21.279'!
newWithVisualizationClass: aClass andValues: anArray andList: aList
	| a |
	a := self basicNew.
	a visualizationClass: aClass.
	a value: anArray.
	a list: aList.
	
	a initialize.
	^a.! !

!I2SAddTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 19:03:04.671'!
animateWrongBlankNode: aVisualBlankNode SelectionThen: aBlock

	|anim|
		aVisualBlankNode fillStyle: Color white.
		anim := I2SColorAnimation new.
		anim duration: 1000.
		anim startValue: Color red.
		anim endValue: (Color red alpha: 0).
		anim target: aVisualBlankNode.
		anim property: #fillStyle.
		anim finishBlock: aBlock.
		anim start: #deleteWhenFinished.
		anim register.! !

!I2SAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:58:30.525'!
chooseLeaf: aVisualBlankNode
	self chooseLeaf: aVisualBlankNode then: [].! !

!I2SAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 17:12:10.812'!
chooseLeaf: aVisualBlankNode then: aBlock
	| p root |
	root := self visualization rootNode.
	root ifNil: [
		root := self visualization node.
		[root parent isNil] whileFalse: [
			root := root parent.
		].
	].
	p := root findPlaceForValue: self value.
	((p first = aVisualBlankNode parent node)
		and: (p last = aVisualBlankNode parentChildNumber)
	) ifTrue: [
		root addValue: self value.
		value := value allButFirst.
		self visualizationClass = I2STreeSectionMorph ifTrue: [
			self visualization draw.
		].
		value ifEmpty: [
			self userCodeRunner stop.
			self completed: true.
		] ifNotEmpty: [
			self showMessage: 'Well done, now try to add the value ', self value, ', please.'.
			
		].
		"window.setTimeout(aBlock, 200);"
		AnimGraphicsAnimation new 
			startValue: 1;
			endValue: 1;
			duration: 200;
			finishBlock: aBlock;
			register;
			start: #deleteWhenFinished.
	] ifFalse: [
		self animateWrongBlankNode: aVisualBlankNode SelectionThen: aBlock.
	].! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/26/2013 12:14:20.191'!
initialize
	super initialize.
	
	self updateDescription.! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/23/2013 13:30:52.431'!
list
	^list.! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/23/2013 13:31:09.102'!
list: aCollection
	list := aCollection.! !

!I2SAddTask methodsFor: 'nil' stamp: 'dustin.glaeser 6/26/2013 15:44:47.331'!
setUpVisualization
	|v|
	v := self visualizationClass newWithList: self list.
	v drawNil: true.
	v updateTree.
	
	^v! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/27/2013 19:30:43.776'!
setupConnections
	super setupConnections.
	
	self
		connect: self visualization
		signal: #choseLeaf:
		toSelector: #chooseLeaf:.! !

!I2SAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 12:08:41.99'!
updateDescription
	self description: 'Insert the value ', self value, ' into the search tree, please!!'.! !

!I2SAddTask methodsFor: 'nil' stamp: 'sebastian.stamm 6/28/2013 12:07:28.895'!
value
	^value first! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/23/2013 14:56:08.008'!
value: aNumber
	value := aNumber.! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/23/2013 14:15:02.041'!
visualizationClass
	visualizationClass ifNil: [
		visualizationClass := I2SVisualization.
	]. 
	^visualizationClass.! !

!I2SAddTask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/23/2013 13:27:54.554'!
visualizationClass: aClass
	visualizationClass := aClass.! !

I2SAddTask subclass: #I2SRandomAddTask
	instanceVariableNames: 'size valueCount'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SRandomAddTask class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:23:32.815'!
newWithVisualizationClass: aClass andSize: aSize
	| task |
	task := self basicNew.
	task visualizationClass: aClass.	
	task size: aSize.
	task valueCount: 1.
	
	^ task initialize	! !

!I2SRandomAddTask class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:23:19.113'!
newWithVisualizationClass: aClass andSize: aSize andValues: aNumber
	| task |
	task := self basicNew.
	task visualizationClass: aClass.	
	task size: aSize.
	task valueCount: aNumber.
	
	^ task initialize	! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 12:31:23.734'!
getRandomList 
	^ (Random new next: self size) collect: [ :element | 
		(element * 1000) asInteger ].! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 12:26:57.827'!
getRandomValue
	^ (Random new next * 1000) asInteger.! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:32:43.871'!
getRandomValues
	^ (Random new next: self valueCount) collect: [ :element | 
		(element * 1000) asInteger ].! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:32:25.784'!
reset
	self list: self getRandomList.
	self value: self getRandomValues.
	
	super reset.! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 12:31:26.405'!
size
	^size! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 12:31:39.925'!
size: aNumber
	size := aNumber.! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:21:35.953'!
valueCount
	^valueCount.! !

!I2SRandomAddTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:21:34.609'!
valueCount: aNumber
	valueCount := aNumber.! !

I2STask subclass: #I2SRotateTask
	instanceVariableNames: 'list visualizationClass maxDepth'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SRotateTask class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 19:01:33.073'!
newWithVisualizationClass: aClass andList: aList
	| a |
	a := self basicNew.
	a visualizationClass: aClass.
	a list: aList.
	a maxDepth: ((aList size + 1) log: 2) ceiling.
	
	a initialize.
	^a.! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:34:16.368'!
checkCompletion
	self completed: (self visualization rootNode depth <= self visualization maxDepth).! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:28:20.281'!
initialize
	super initialize.
	self updateDescription.! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:21:01.776'!
list
	^list! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:21:00.683'!
list: aList
	list := aList.! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:15:24.928'!
maxDepth
	^maxDepth.! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:15:26.925'!
maxDepth: aNumber
	maxDepth := aNumber! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:50:26.992'!
setUpVisualization
	| vis |
	vis := self visualizationClass newWithList: self list.
	vis maxDepth: self maxDepth.
	vis ignoreSelection: false.
	vis updateTree.
	^vis! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:28:34.254'!
setupConnections
	super setupConnections.
	
	self
		connect: self visualization
		signal: #actionPerformed
		toSelector: #checkCompletion.! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:10:36.622'!
updateDescription
	self description: 'Balance this Binary Search Tree, please!!'.! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:13:55.764'!
visualizationClass 
	^visualizationClass! !

!I2SRotateTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:14:10.544'!
visualizationClass: aClass
	visualizationClass := aClass.! !

I2STask subclass: #I2SSearchTask
	instanceVariableNames: 'value visualizationClass list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2SSearchTask subclass: #I2SRandomSearchTask
	instanceVariableNames: 'size isSorted'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SRandomSearchTask class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 16:20:28.056'!
newSortedWithVisualizationClass: aClass andSize: aSize
	
	| task |
	task := self
		newWithVisualizationClass: aClass
		andSize: aSize.
	task isSorted: true.
	
	^ task initialize	! !

!I2SRandomSearchTask class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 16:23:21.82'!
newWithVisualizationClass: aClass andSize: aSize
	| task |
	task := self basicNew.
	task visualizationClass: aClass.	
	task size: aSize.
	task isSorted: false.
	
	^ task initialize	! !

!I2SRandomSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 12:28:59.945'!
getRandomList
	^ (Random new next: self size) collect: [ :element | 
		(element * 1000) asInteger ].! !

!I2SRandomSearchTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 17:23:20.355'!
getRandomTargetValueFrom: aList
	| r targetValue |
	
	r := Random new.
	"The target value must not be at index 1"
	targetValue := (aList at: ((r next) * (self size-1)) + 2) asInteger.
	
	^ targetValue
	! !

!I2SRandomSearchTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 16:21:41.541'!
isSorted 
	^ isSorted
	! !

!I2SRandomSearchTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 16:19:19.845'!
isSorted: aBoolean
	isSorted := aBoolean.! !

!I2SRandomSearchTask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 11:45:07.134'!
reset
	| list |
	
	list := self getRandomList.

	"make sure that if we are a task for a treesectionmorph, we always have a leaf as target value"
	self visualizationClass = I2STreeSectionMorph ifTrue: [
		self value: list last.
	] ifFalse: [
		self value: (self getRandomTargetValueFrom: list).
	].
	self list: list.
	self isSorted ifTrue: [self list sort].
	super reset.! !

!I2SRandomSearchTask methodsFor: 'accessing' stamp: 'dustin.glaeser 6/23/2013 14:43:18.291'!
size
	^ size! !

!I2SRandomSearchTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 14:46:00.182'!
size: aSize
	size := aSize.! !

!I2SSearchTask class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 17:03:41.292'!
newWithVisualizationClass: aClass andValue: aValue andList: aList
	| a |
	a := self basicNew.
	a visualizationClass: aClass.
	a value: aValue.
	a list: aList.
	
	a initialize.
	^a.! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 16:08:06.666'!
checkValue: aValue
	(aValue = self value) ifTrue: [
		self completed: true.
	].! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 15:29:00.531'!
initialize
	super initialize.
	self updateDescription.
	! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:35:39.547'!
list
	^list! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:35:21.437'!
list: aList
	list := aList.! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:47:06.378'!
setUpVisualization
	^self visualizationClass newWithList: self list! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:30:24.406'!
setupConnections
	super setupConnections.
	
	self
		connect: self visualization 
		signal: #valueSelected:
		toSelector: #checkValue:! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 15:29:01.76'!
updateDescription

	self description: (('Find the Number ', self value), ', please!!').! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:35:43.12'!
value
	^value! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:19:14.95'!
value: aValue
	value := aValue.! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:37:37.013'!
visualizationClass
	visualizationClass ifNil:
	[
		visualizationClass := I2SListMorph.
	].
	^visualizationClass! !

!I2SSearchTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:36:04.552'!
visualizationClass: aClass
	visualizationClass := aClass.! !

!I2STask class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/19/2013 16:21:31.425'!
defaultUserCode

	^ 
		'(aValue < self value) ifTrue: [self goLeft] ifFalse: [self goRight].'! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:02:44.736'!
addHint: aString
	self hints add: aString.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:56:40.108'!
clickCount
	^clickCount.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:56:32.094'!
clickCount: aNumber
	clickCount := aNumber.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 12:00:00.581'!
completed
	^completed! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 12:00:09.436'!
completed: aBoolean
	completed := aBoolean.
	self emitAlways.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:01:18.093'!
description
	^ description! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:01:35.016'!
description: aString
	description := aString.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:05:16.263'!
hints
	^hints! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:02:21.444'!
hints: aCollection
	hints := aCollection.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:59:08.453'!
incrementClickCount
	self clickCount: (self clickCount + 1)! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 15:38:32.274'!
initialize
	super initialize.
	
	self description: ''.
	self name: ''.
	self interface: Dictionary new.
	self userCodeSignature: 'findValue: aValue'.
	self userCode: self class defaultUserCode.
	self userCodeRunner: I2SUserCodeRunner new.
	self isCodingTask: false.
	
	self hints: OrderedCollection new.
	
	self reset.! !

!I2STask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/28/2013 15:37:36.517'!
interface
	^interface! !

!I2STask methodsFor: 'nil' stamp: 'benjamin.siegmund 6/28/2013 15:37:34.107'!
interface: aDictionary
	interface := aDictionary.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 11:51:39.989'!
isCodingTask
	^isCodingTask.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 11:55:38.803'!
isCodingTask: aBoolean
	isCodingTask := aBoolean.
	self visualization ifNotNil: [
		self visualization ignoreMouse: aBoolean.
	].! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:44:33.582'!
name
	^name! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:44:31.052'!
name: aString
	name := aString.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:31:55.545'!
nextHint
	(self hints size = 0) ifTrue: [
		^ 'there are no hints'.
	].
	(self unveiled < self hints size) ifFalse: [
		self unveiled: 0.
	].
		self unveiled: self unveiled + 1.
		^self hints at: self unveiled! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:38:51.076'!
reset
	
	self userCodeRunner reset.
	
	self unveiled: 0.
	self completed: false.
	self visualization: self setUpVisualization.
	
	self clickCount: 0.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 11:52:46.666'!
setUpVisualization
	self subclassResponsibility.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:27:57.161'!
setupConnections

	self
		connect: self visualization
		signal: #actionPerformed
		toSelector: #incrementClickCount.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 11:47:30.979'!
showMessage: aString
	self emit.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:05:21.006'!
unveiled
	^unveiled! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:05:51.846'!
unveiled: aNumber
	unveiled := aNumber.! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 16:01:31.282'!
updateDescription! !

!I2STask methodsFor: 'User Code' stamp: 'dg 6/12/2013 15:19:08.942'!
userCode
	^ userCode! !

!I2STask methodsFor: 'User Code' stamp: 'dg 6/12/2013 15:19:09.804'!
userCode: aString
	userCode := aString! !

!I2STask methodsFor: 'User Code' stamp: 'dustin.glaeser 6/19/2013 15:03:02.943'!
userCodeRunner
	^ userCodeRunner! !

!I2STask methodsFor: 'User Code' stamp: 'dustin.glaeser 6/19/2013 15:13:40.434'!
userCodeRunner: aUserCodeRunner

	userCodeRunner := aUserCodeRunner.
	userCodeRunner task: self.! !

!I2STask methodsFor: 'User Code' stamp: 'dg 6/12/2013 16:06:01.48'!
userCodeSignature
	^ userCodeSignature! !

!I2STask methodsFor: 'User Code' stamp: 'dg 6/12/2013 15:19:10.666'!
userCodeSignature: aString
	userCodeSignature := aString! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 11:52:01.239'!
visualization
	^visualization! !

!I2STask methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 11:59:32.394'!
visualization: aVisualization
	visualization ifNotNil:[
		visualization disconnectAllSignals.	
	].
	visualization := aVisualization.
	aVisualization ignoreMouse: self isCodingTask.
	self setupConnections.
	self emitAlways.! !

I2STask subclass: #I2STestTask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching-Tests'!

!I2STestTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 14:55:06.748'!
checkValue: aValue
	self completed: (aValue = 42).! !

!I2STestTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 13:22:34.962'!
checkValueOfNode: aNode
	self completed: (aNode value = 42).! !

!I2STestTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 13:04:43.962'!
initialize 
	super initialize.
	self description: 'Find the answer to life, the universe and everything!!'.
	self addHint: 'The answer is 42.'. 
	self addHint: 'The question is unknown, though.'.! !

!I2STestTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 13:17:18.061'!
setUpVisualization
	| root r |
	r := Random new.
	root := I2SBinarySearchTreeNode newWithValue: (r next * 100) asInteger.
	(r next: 50) do: [ :ea |
		root addValue: (ea * 100) asInteger.
	].
	root addValue: 42.
	(r next: 50) do: [ :ea |
		root addValue: (ea * 100) asInteger.
	].
	^ I2STreeSectionMorph newWithNode: root.! !

!I2STestTask methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 14:54:51.16'!
setupConnections
	self
		connect: self visualization
		signal: #valueSelected:
		toSelector: #checkValue:.
		! !

Object subclass: #I2STreeNode
	instanceVariableNames: 'parent children numChildren values maxChildren maxValues color silent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2STreeNode subclass: #I2SBinaryTreeNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2SBinaryTreeNode subclass: #I2SBinarySearchTreeNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SBinarySearchTreeNode class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:35:29.029'!
newWithList: aList
	|node|
	node := self new.
	aList do: [:ea|
		node addValue: ea.	
	].
	^node.! !

!I2SBinarySearchTreeNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 16:10:51.987'!
randomTree

| a r |
 r := Random new.
 a := self newWithValue: (r next * 100) asInteger. 
0 to: 20 do: [ :i |
	a addValue: (r next * 100) asInteger.
].
 ^a! !

!I2SBinarySearchTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:36:18.155'!
addValue: aValue
	self value ifNil: [
		self value: aValue.
		^self.
	].

	(self value > aValue) ifTrue:[
		self leftChild ifNil: [
				self leftChild: (I2SBinarySearchTreeNode newWithValue: aValue).
			] ifNotNil: [
				self leftChild addValue: aValue.
			].
		]ifFalse:[
			self rightChild ifNil: [
				self rightChild: (I2SBinarySearchTreeNode newWithValue: aValue).
			] ifNotNil: [
				self rightChild addValue: aValue.
			].
		]! !

!I2SBinarySearchTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 15:56:17.112'!
find: aValue

	^(self findNodeForValue: aValue) isNil not! !

!I2SBinarySearchTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:45:06.472'!
findNodeForValue: aValue

	(self value = aValue) ifTrue: [
		^self
	] ifFalse: [
		(self value > aValue) ifTrue:[
			self leftChild ifNil: [
				^nil
			] ifNotNil: [
				^self leftChild findNodeForValue: aValue
			]
		] ifFalse:[
			self rightChild ifNil: [
				^nil
			] ifNotNil: [
				^self rightChild findNodeForValue: aValue
			]
		]
	].! !

!I2SBinarySearchTreeNode methodsFor: 'nil' stamp: 'benjamin.siegmund 6/23/2013 15:19:31.267'!
findPlaceForValue: aValue
	(self value > aValue) ifTrue:[
		self leftChild ifNil: [
			^{self. 1}.
		] ifNotNil: [
			^self leftChild findPlaceForValue: aValue.
		].
	]ifFalse:[
		self rightChild ifNil: [
			^{self. 2}.
		] ifNotNil: [
			^self rightChild findPlaceForValue: aValue.
		].
	]! !

!I2SBinarySearchTreeNode methodsFor: 'initialize-release' stamp: 'benjamin.siegmund 5/15/2013 11:06:37.881'!
initialize

	super initialize.! !

!I2SBinarySearchTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 16:30:16.149'!
leftMostAncestor 
	self leftChild ifNil: [
		^self
	] ifNotNil: [
		^self leftChild leftMostAncestor
	].! !

!I2SBinarySearchTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 16:31:02.453'!
remove: aValue
	| node |
	
	node := self findNodeForValue: aValue.
	node ifNotNil:[
		node rightChild ifNil:[ | child |
			child := node leftChild.
			node leftChild: nil.
			node parent replace: node with: child.
		] ifNotNil: [
			node leftChild ifNil:[ | child |
				child := node rightChild.
				node rightChild: nil.
				node parent replace: node with: child.
			] ifNotNil:[ | leaf child |
				leaf := node rightChild leftMostAncestor.
				node value: leaf value.
				child := leaf rightChild.
				leaf rightChild: nil.
				leaf parent replace: leaf with: child.
			]
		]
	]! !

!I2SBinaryTreeNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 16:24:05.099'!
randomTree

| a r |
 a := self new.
 r := Random new.
 a value: (r next * 100) asInteger.
 0 to: 20 do: [ :i |
	a addValueRandomly: (r next * 100) asInteger.
].
 ^a! !

!I2SBinaryTreeNode methodsFor: 'private' stamp: 'sebastian.stamm 5/30/2013 16:23:09.957'!
addValueRandomly: aValue

 | r |
 r := Random new.
 r next < 0.5 ifTrue: [
	self leftChild ifNil: [
		| a |
		a := self class new.
		a value: aValue.
		self leftChild: a.
	] ifNotNil: [
		self leftChild addValueRandomly: aValue.
	]
 ] ifFalse: [
	self rightChild ifNil: [
		| a |
		a := self class new.
		a value: aValue.
		self rightChild: a.
	] ifNotNil: [
		self rightChild addValueRandomly: aValue.
	]
 ]! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 16:34:28.432'!
initialize

	super initialize.
	self maxChildren: 2.
	self maxValues: 1.
	self children add: nil.
	self children add: nil.! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:45:37.869'!
leftChild

	^self getChildAt: 1! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 15:36:17.767'!
leftChild: aNode

	self leftChild ifNotNil: [
		self removeChildAt: 1.].
	
	aNode ifNotNil:[
		self addChild: aNode at: 1.].! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:45:40.078'!
rightChild

	^self getChildAt: 2! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 15:36:25.394'!
rightChild: aNode
	
	self rightChild ifNotNil:[
		self removeChildAt: 2.].
	aNode ifNotNil:[
		self addChild: aNode at: 2.].! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 17:33:16.117'!
rotateLeft	
	^self rotateLeftThen: [].! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:53:54.24'!
rotateLeftThen: aBlock
	| p rc rlc |
	self rightChild ifNil: [
		self error: 'not allowed for this node'.
	].
	self willRotateTo: self rightChild.
	p := self parent.
	rc := self rightChild.
	rlc := self rightChild leftChild.
	
	p ifNotNil: [
		p beSilent.
	].
	rc beSilent.
	self rightChild: nil.
	rc leftChild: nil.
	p ifNotNil: [
		p replace: self with: rc.
	].
	self rightChild: rlc.
	rc leftChild: self.
	p ifNotNil: [
		p beNotSilent.
	].
	rc beNotSilent.
	
	self rotatedLeft: self then: aBlock.
	
	^self parent ! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 17:33:30.089'!
rotateRight
	^self rotateRightThen: [].! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:54:21.896'!
rotateRightThen: aBlock
	| p lc lrc |
	self leftChild ifNil: [
		self error: 'not allowed for this node'.
	].
	self willRotateTo: self leftChild.
	p := self parent.
	lc := self leftChild.
	lrc := self leftChild rightChild.
	
	p ifNotNil: [
		p beSilent.
	].
	lc beSilent.
	self leftChild: nil.
	lc rightChild: nil.
	p ifNotNil: [
		p replace: self with: lc.
	].
	self leftChild: lrc.
	lc rightChild: self.
	p ifNotNil: [
		p beNotSilent.
	].
	lc beNotSilent.
	
	self rotatedRight: self then: aBlock.
	
	^self parent ! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:50:11.809'!
rotatedLeft: node then: aBlock
	self silent ifFalse: [
		self parent ifNil: [
			self emitAlways.
		] ifNotNil: [
			self parent rotatedLeft: node then: aBlock.
		].
	].! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 17:31:46.606'!
rotatedRight: node then: aBlock
	
	self silent ifFalse: [
		self parent ifNil: [
			self emitAlways.
		] ifNotNil: [
			self parent rotatedRight: node then: aBlock.
		].
	]! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:45:42.497'!
value
	^self getValueAt: 1! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/8/2013 14:38:34.794'!
value: aValue
	self setValue: aValue at: 1.! !

!I2SBinaryTreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:29:54.014'!
willRotateTo: aNode
	self emit.! !

!I2STreeNode class methodsFor: 'constructors' stamp: 'benjamin.siegmund 5/29/2013 16:46:43.51'!
newWithValue: aValue
	| out |
	out := self new.
	out setValue: aValue at: 1.
	^out! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/19/2013 17:47:39.875'!
addChild: newRoot at: position
	(position < 1 or: position > maxChildren) ifTrue: [
		self error: 'position out of bounds'.
	].
	
	newRoot ifNil:[
		^self
	].

	newRoot parent ifNotNil: [
		self error: 'node already has a parent'.
	].

	[children size < position] whileTrue:[
		children add: nil
	].

	(children at: position) ifNil: [
		children at: position put: newRoot.
		newRoot parent: self.
		self addedChild: newRoot to: self at: position.
		numChildren := numChildren+1.
	] ifNotNil: [
		self error: 'child already present.'
	].! !

!I2STreeNode methodsFor: 'signals' stamp: 'sebastian.stamm 6/19/2013 16:08:29.987'!
addedChild: newRoot to: parent at: position
self silent ifFalse:[
	self parent ifNil: [
		self emitAlways.
	] ifNotNil: [
		self parent addedChild: newRoot to: parent at: position
	].
].! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 15:16:17.093'!
beNotSilent
	self silent: false.! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 15:16:00.949'!
beSilent
	self silent: true.! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/2/2013 15:41:07.532'!
children

^children! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 16:06:57.034'!
color

	^color! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 16:06:13.238'!
color: aColor
	
	color := aColor.! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 17:45:46.758'!
copy
	| newObject |
	newObject := self class new.
	1 to: values size do:[ :i|
		newObject setValue: (self getValueAt: i) copy at: i.	
	].
	1 to: self children size do:[ :i|
		newObject addChild: (self getChildAt: i) copy at: i.	
	].
	^newObject.! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:33:01.345'!
depth
	|d|
	d := 1.
	self children do:[ :ea|
		ea ifNotNil: [
			d := d max: (ea depth + 1).
		].
	].
	^ d.! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/8/2013 12:38:13.762'!
getChildAt: position
	(position < 1 or: position > maxChildren) ifTrue: [
		self error: 'position out of bounds'.].

	children size >= position ifTrue: [
		^children at: position] ifFalse: [
		^nil]! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/29/2013 16:47:52.104'!
getValueAt: position
	(position < 1 or: position > maxValues) ifTrue: [
		self error: 'position out of bounds'].

	(values size >= position) ifTrue: [
		^values at: position] ifFalse:[
		^nil]! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/2/2013 15:41:24.062'!
hasChildren

^numChildren > 0! !

!I2STreeNode methodsFor: 'initialize-release' stamp: 'benjamin.siegmund 6/12/2013 15:23:17.712'!
initialize
	silent := false.
	parent := nil.
	children := OrderedCollection new.
	values := OrderedCollection new.
	numChildren := 0.
	maxChildren := 10.
	maxValues := 9.! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:23:25.087'!
isListNode
	^false! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/29/2013 16:46:35.244'!
maxChildren

	^maxChildren! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/8/2013 11:56:18.137'!
maxChildren: aNumber

	maxChildren := aNumber.! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/29/2013 16:46:37.916'!
maxValues

	^maxValues! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/8/2013 11:55:05.223'!
maxValues: aNumber

	maxValues := aNumber.! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/2/2013 15:41:30.94'!
numChildren

^numChildren! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/29/2013 16:46:40.214'!
parent

	^parent! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/8/2013 14:02:41.641'!
parent: aNode

	parent := aNode.! !

!I2STreeNode methodsFor: 'accessing' stamp: 'sebastian.stamm 6/12/2013 12:03:52.143'!
removeChildAt: position
(position < 1 or: position > maxChildren) ifTrue: [
		self error: 'position out of bounds'.].
	
children size >= position ifTrue: [
	(children at: position) ifNotNil:[
		| child |
		child := children at: position.
		children at: position put: nil.
		child parent: nil.
		self removedChild: child from: self at: position.
		numChildren := numChildren-1.]]! !

!I2STreeNode methodsFor: 'signals' stamp: 'benjamin.siegmund 6/12/2013 15:17:13.817'!
removedChild: root from: parent at: position
self silent ifFalse:[
	self parent ifNil: [
		self emitAlways.
	] ifNotNil: [
		self parent removedChild: root from: parent at: position
	].
].! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 16:18:27.497'!
replace: child with: newChild
	1 to: children size do: [ :i |
		((self children	at: i) = child) ifTrue: [
			self removeChildAt: i.
			self addChild: newChild at: i.
		] 
	]! !

!I2STreeNode methodsFor: 'accessing' stamp: 'benjamin.siegmund 5/8/2013 11:53:59.231'!
setValue: aValue at: position
	(position < 1 or: position > maxValues) ifTrue: [
		self error: 'position out of bounds'.].

	[values size < position] whileTrue: [
		values add: nil].

	values at: position put: aValue.! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 15:14:43.224'!
silent
	^silent.! !

!I2STreeNode methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 15:15:11.912'!
silent: aBoolean
	silent := aBoolean.! !

Object subclass: #I2SUserCodeRunner
	instanceVariableNames: 'task executionList isRunning global'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SUserCodeRunner methodsFor: 'userMethods' stamp: 'sebastian.stamm 6/28/2013 18:23:40.429'!
findValue: aValue
(global at: #goingUp ifAbsentPut: [false]) ifTrue: [
	self hasParent ifTrue: [
		self goUp.
	]
	ifFalse: [
		global at: #goingUp put: false.
	]
] ifFalse: [
	(aValue < self value) ifTrue: [
		self hasLeftChild ifTrue: [
			self goLeft
		] ifFalse: [
			self insertAsLeftChild: aValue.
			global at: #goingUp put: true.
		].
	] ifFalse: [	
		self hasRightChild ifTrue: [
			self goRight
		] ifFalse: [
			self insertAsRightChild: aValue.
			global at: #goingUp put: true.
		].
	].
]! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 14:13:23.644'!
goLeft 

	executionList add: {task visualization. #goLeftThen:. {[self replay]}}.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 14:13:30.289'!
goRight

	executionList add: {task visualization. #goRightThen:. {[self replay]}}.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 14:13:37.067'!
goUp 

	executionList add: {task visualization. #goUpThen:. {[self replay]}}.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 16:45:57.612'!
hasLeftChild

	^ self task visualization node leftChild isNil not! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:40:59.768'!
hasParent

	^self task visualization node parent isNil not! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 17:06:45.657'!
hasRightChild

	^ self task visualization node rightChild isNil not! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:23:09.313'!
initialize 

	super initialize.
	executionList := OrderedCollection new.
	self isRunning: false.
	global := Dictionary new.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 14:26:44.965'!
insertAsLeftChild: aValue
"this works only on TreeSectionMorphs"
	executionList add: {
		task. 
		#chooseLeaf:then:. 
		{
			(self task visualization leftMorph). 
			[self replay]
		}
	}.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 14:27:03.489'!
insertAsRightChild: aValue
"this works only on TreeSectionMorphs"
	executionList add: {
		task. 
		#chooseLeaf:then:. 
		{
			(self task visualization rightMorph). 
			[self replay]
		}
	}.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 11:15:58.518'!
isRunning
	^isRunning! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 11:16:15.559'!
isRunning: aBoolean
	isRunning := aBoolean.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 17:10:29.385'!
replay
	| action |
	(executionList size = 0) ifTrue: [
		self isRunning ifTrue: [
			self step
		].
		^self
	].
	
	action := executionList first.
	executionList removeFirst.
	action first perform: action second withArguments: action third.
	
	! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:38:23.747'!
reset
	self stop.
	global := Dictionary new.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 18:03:19.574'!
run
	self isRunning ifTrue: [
		self stop.
	] ifFalse: [
		self isRunning: true.
		self step.
	].! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 17:09:48.375'!
step 
	(self task visualization isInWorld) ifFalse: [
		self isRunning: false.
		^self
	].
	(self isRunning) ifFalse: [
		^self
	].
	
	executionList := OrderedCollection new.
	self findValue: self task value.
	self replay.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:52:07.496'!
stepTime
	"Answer the desired time between steps in milliseconds."

	^ 1000! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:11:41.415'!
stop
	self isRunning: false.! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/19/2013 15:14:04.657'!
task
	^ task! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/19/2013 15:14:22.419'!
task: aTask
	task := aTask! !

!I2SUserCodeRunner methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/19/2013 16:11:22.76'!
value
	^ task visualization node value! !

UserInterface subclass: #I2SInterfaceUi
	instanceVariableNames: 'methodList descriptionEdit'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SInterfaceUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 15:33:23.622'!
descriptionEdit
	"No description given."
	
	^ descriptionEdit! !

!I2SInterfaceUi methodsFor: 'ui - private' stamp: 'benjamin.siegmund 6/28/2013 15:33:23.832'!
initializePanel
	"This code is auto-generated. DO NOT modify it because another generation step will overwrite all changes."
	
	|  |
	
	panel := UiContainer new.
	panel changeTableLayout.
	panel extent: (427@378).
	panel position: (0@0).
	panel hResizing: (#rigid).
	panel vResizing: (#rigid).
	panel minWidth: (2).
	panel minHeight: (2).
	panel cellInset: (4).
	panel cellPositioning: (#center).
	panel cellSpacing: (#none).
	panel layoutInset: (4).
	panel listCentering: (#topLeft).
	panel listDirection: (#leftToRight).
	panel listSpacing: (#none).
	panel maxCellSize: (1073741823).
	panel minCellSize: (0).
	panel wrapCentering: (#topLeft).
	panel wrapDirection: (#none).
	panel frameFractions: (0@0 corner: 1@1).
	panel frameOffsets: (0@0 corner: 0@0).
	panel balloonText: (nil).
	panel balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	panel color: ((Color r: 0.661 g: 0.657 b: 0.657)).
	panel borderWidth: (0).
	panel borderStyle2: (#simple).
	panel borderColor: (Color black).
	panel setProperty: #objectName toValue: 'panel'.
	methodList := UiListWidget new.
	methodList extent: (207@370).
	methodList position: (4@4).
	methodList hResizing: (#spaceFill).
	methodList vResizing: (#spaceFill).
	methodList minWidth: (2).
	methodList minHeight: (2).
	methodList cellInset: (0).
	methodList cellPositioning: (#center).
	methodList cellSpacing: (#none).
	methodList layoutInset: (0).
	methodList listCentering: (#topLeft).
	methodList listDirection: (#topToBottom).
	methodList listSpacing: (#none).
	methodList maxCellSize: (1073741823).
	methodList minCellSize: (0).
	methodList wrapCentering: (#topLeft).
	methodList wrapDirection: (#none).
	methodList frameFractions: (0@0 corner: 1@1).
	methodList frameOffsets: (0@0 corner: 0@0).
	methodList balloonText: (nil).
	methodList balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.949)).
	methodList widgetResizable: (true).
	methodList horizontalScrollBarPolicy: (#alwaysOff).
	methodList verticalScrollBarPolicy: (#asNeeded).
	methodList outerBorderWidth: (0).
	methodList scrollBarThickness: (9).
	methodList modelClass: (UiPropertyItemNode).
	methodList horizontalHeaderVisible: (false).
	methodList verticalHeaderVisible: (false).
	methodList selectionBehavior: (#selectRows).
	methodList selectionMode: (UiViewSingleSelection).
	methodList listOrientation: (#default).
	methodList hAlignment: (#left).
	methodList vAlignment: (#top).
	methodList setProperty: #objectName toValue: 'methodList'.
	panel addChild: methodList.
	descriptionEdit := UiTextEdit new.
	descriptionEdit extent: (208@370).
	descriptionEdit position: (215@4).
	descriptionEdit hResizing: (#spaceFill).
	descriptionEdit vResizing: (#spaceFill).
	descriptionEdit minWidth: (2).
	descriptionEdit minHeight: (2).
	descriptionEdit cellInset: (0).
	descriptionEdit cellPositioning: (#center).
	descriptionEdit cellSpacing: (#none).
	descriptionEdit layoutInset: (0).
	descriptionEdit listCentering: (#topLeft).
	descriptionEdit listDirection: (#topToBottom).
	descriptionEdit listSpacing: (#none).
	descriptionEdit maxCellSize: (1073741823).
	descriptionEdit minCellSize: (0).
	descriptionEdit wrapCentering: (#topLeft).
	descriptionEdit wrapDirection: (#none).
	descriptionEdit frameFractions: (0@0 corner: 1@1).
	descriptionEdit frameOffsets: (0@0 corner: 0@0).
	descriptionEdit balloonText: (nil).
	descriptionEdit balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.929)).
	descriptionEdit widgetResizable: (true).
	descriptionEdit horizontalScrollBarPolicy: (#alwaysOff).
	descriptionEdit verticalScrollBarPolicy: (#alwaysOn).
	descriptionEdit outerBorderWidth: (1).
	descriptionEdit scrollBarThickness: (9).
	descriptionEdit theText: ('click a method to read the description').
	descriptionEdit readOnly: (true).
	descriptionEdit autoConvert: (false).
	descriptionEdit autoAccept: (false).
	descriptionEdit acceptOnFocusLost: (false).
	descriptionEdit scrollingMode: (#none).
	descriptionEdit scrollingLimit: (10).
	descriptionEdit setProperty: #objectName toValue: 'descriptionEdit'.
	panel addChild: descriptionEdit.
	panel setProperty: #uiClassName toValue: 'I2SInterface'.! !

!I2SInterfaceUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 15:33:23.441'!
methodList
	"No description given."
	
	^ methodList! !

UserInterface subclass: #I2STaskUi
	instanceVariableNames: 'stack titleMenu taskDescription scrollArea levelButton hintButton resetButton interfaceButton parameterDisplay codeEdit playButton stepButton levelButtonContainer chapterButton'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2STaskUi subclass: #I2SActiveTaskUi
	instanceVariableNames: 'task taskNumber currentChapter chapters levelButtons unlockedChapters chapterButtons'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SActiveTaskUi class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 11:15:34.952'!
chapterOneTasks
	^(I2SChapter newWithTasks:{
		(I2SRandomSearchTask
			newWithVisualizationClass: I2SListMorph
			andSize: 20)
			addHint: 'This is an unsorted List. Click on the elements to show their value. You can only look at one element at a time, just like the computer.';
			addHint: 'The only thing you can do is check one element after the other.';
			addHint: 'You can begin left and check every element until you find the number.';
			name: 'Unsorted List'.
		(I2SRandomSearchTask
			newSortedWithVisualizationClass: I2SListMorph
			andSize: 20)
			addHint: 'This time, the list is sorted, smaller elements are to the left, larger ones to the right.';
			addHint: 'The fastest way is checking the elements in the middle first.';
			addHint: 'Remember: Elements, with smaller values than your current value are to the left of your current element, larger ones to the right.';
			name: 'Sorted List'.
		(I2SRandomSearchTask
			newSortedWithVisualizationClass: I2SHybridVisualization
			andSize: 16)
			addHint: 'This list is sorted and will split when you click an element.';
			addHint: 'Like before, it is a good idea to start in the middle of the list.';
			addHint: 'Smaller elements are to the left, larger ones to the right.';
			addHint: 'This is called a Search Tree.';
			name: 'Evolving List'.
		(I2SRandomSearchTask
			newWithVisualizationClass: I2STreeSectionMorph
			andSize: 20)
			addHint: 'This is a Search Tree like the one you created before. But like a computer, you can only see a small part of the tree. Click on the node you want to go.';
			addHint: 'Smaller numbers are to the left, larger ones to the right. You can only see one node of search tree at once, just like the computer.';
			name: 'Binary Search Tree'.
		(I2SRandomSearchTask 
			newWithVisualizationClass: I2STreeSectionMorph 
			andSize: 50)
			addHint: 'I disabled the manual navigation. Please write some code to find the value.';
			addHint: 'This tree is way too large to be searched manually, write some code on the right to let the computer do it for you.';
			addHint: 'Remember: Elements, with smaller values than your current value are to the left of your current element, larger ones to the right.';
			name: 'Bigger Tree';
			isCodingTask: true.
	}  andName: 'Chapter One - Searching')
	title: I2SChapter titleOne.
	"maybe we should define a number of hints to show in the beginning, so lvl 1 and 2 are distinguishable"! !

!I2SActiveTaskUi class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 11:16:03.563'!
chapterThreeTasks
	^(I2SChapter newWithTasks: {
		(I2SRotateTask
		newWithVisualizationClass: I2SBinaryTreeVisualization
		andList: (1 to: 20))
		addHint: 'Nothing to do here, yet.';
		name: 'Rotating a Tree'.		
	} andName: 'Chapter Three - Balancing')
	title: I2SChapter titleThree! !

!I2SActiveTaskUi class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 16:28:38.123'!
chapterTwoTasks
	^(I2SChapter newWithTasks: {
		(I2SRandomAddTask
		newWithVisualizationClass: I2SBinaryTreeVisualization
		andSize: 20
		andValues: 3)
		addHint: 'Just click the right position.';
		name: 'The whole tree'.
		(I2SRandomAddTask
		newWithVisualizationClass: I2STreeSectionMorph
		andSize: 30
		andValues: 3)
		addHint: 'Navigate as always and click empty circles to choose a position.';
		addHint: 'New messages: self hasLeftChild, self hasRightChild, 
			self insertAsLeftChild: aValue, self insertAsRightChild: aValue';
		name: 'A computers perspective'.
		(I2SRandomAddTask
		newWithVisualizationClass: I2STreeSectionMorph
		andSize: 70
		andValues: 2)
		addHint: 'Navigate as always and click empty circles to choose a position.';
		addHint: 'New messages: self hasLeftChild, self hasRightChild, 
			self insertAsLeftChild: aValue, self insertAsRightChild: aValue';
		name: 'No clicking allowed';
		isCodingTask: true.
	} andName: 'Chapter Two - Adding')
	title: I2SChapter titleTwo.! !

!I2SActiveTaskUi class methodsFor: 'auto-generated' stamp: 'benjamin.siegmund 6/26/2013 16:49:55.58'!
logo
^(Form
	extent: 600@94
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 3355443200 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2919235584 4278190080 4244635648 3607101440 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 1459617792 2566914048 2147483648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3640655872 4261412864 4261412864 4278190080 4278190080 4009754624 3405774848 3036676096 2617245696 2164260864 1946157056 1761607680 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1828716544 2550136832 3271557120 3942645760 4278190080 4278190080 4278190080 3221225472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 3103784960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 1207959552 1526726656 1795162112 2080374784 2315255808 2382364672 2365587456 2113929216 1895825408 1694498816 1509949440 1056964608 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3019898880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 1694498816 2516582400 3154116608 3674210304 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4060086272 3758096384 3355443200 2936012800 2533359616 1996488704 1392508928 838860800 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2952790016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 503316480 1694498816 3321888768 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3774873600 2986344448 2063597568 1124073472 603979776 402653184 218103808 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2952790016 4009754624 4211081216 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 4143972352 4043309056 3959422976 3640655872 2751463424 1929379840 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 2231369728 3741319168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 3992977408 3422552064 2902458368 2382364672 1946157056 1778384896 1610612736 1476395008 1426063360 1526726656 1627389952 1946157056 2281701376 2768240640 3355443200 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 1392508928 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2617245696 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 2483027968 1291845632 721420288 385875968 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 201326592 251658240 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 771751936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 301989888 704643072 1157627904 1795162112 2835349504 4127195136 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2701131776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 2684354560 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 3959422976 3372220416 1828716544 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 1761607680 3539992576 4026531840 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4261412864 4261412864 4278190080 2969567232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 4009754624 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 2617245696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3238002688 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4211081216 2248146944 570425344 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 956301312 3355443200 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4261412864 4278190080 4261412864 4278190080 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 2483027968 4278190080 4261412864 4278190080 4278190080 4278190080 2516582400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 2248146944 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3187671040 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 905969664 2969567232 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1644167168 4278190080 4278190080 4261412864 4211081216 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1946157056 4278190080 4261412864 4278190080 4278190080 2231369728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 3472883712 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4076863488 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2533359616 4278190080 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2684354560 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3254779904 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 2550136832 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3825205248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2902458368 4278190080 4278190080 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 3909091328 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 3791650816 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4026531840 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1744830464 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3103784960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3204448256 4278190080 3690987520 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2214592512 4278190080 4261412864 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3556769792 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2382364672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3003121664 4278190080 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4227858432 536870912 0 0 0 0 0 0 0 0 0 0 0 0 1744830464 4244635648 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1828716544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2248146944 3305111552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3120562176 4244635648 67108864 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2013265920 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 3070230528 0 0 0 0 0 0 0 0 0 0 0 1694498816 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3674210304 4278190080 4278190080 4278190080 4278190080 4211081216 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 838860800 855638016 855638016 603979776 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4093640704 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4211081216 4261412864 4278190080 4278190080 4160749568 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3623878656 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3690987520 1862270976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3456106496 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 2818572288 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 2097152000 3087007744 3607101440 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 3942645760 3506438144 3003121664 1711276032 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2063597568 4278190080 4261412864 4261412864 4093640704 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023410176 4278190080 2449473536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3909091328 4261412864 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3271557120 4009754624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 671088640 3959422976 3909091328 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3875536896 4127195136 4278190080 3539992576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 2818572288 3238002688 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3187671040 3204448256 3087007744 2801795072 2483027968 1979711488 1308622848 905969664 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1979711488 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2080374784 3992977408 4278190080 385875968 0 0 0 0 0 0 0 0 0 369098752 3858759680 3909091328 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3892314112 3976200192 4278190080 3992977408 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 2248146944 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3774873600 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4278190080 4278190080 4278190080 3976200192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3607101440 4278190080 3875536896 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4127195136 4278190080 4076863488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4261412864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1140850688 3925868544 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 603979776 2969567232 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4211081216 4177526784 2734686208 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 2281701376 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3992977408 218103808 0 0 0 0 0 0 0 0 0 0 637534208 3623878656 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3657433088 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 3942645760 4244635648 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3003121664 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2516582400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2113929216 4278190080 4278190080 3036676096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 4177526784 4261412864 4261412864 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4278190080 4261412864 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4261412864 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 1946157056 3976200192 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 3204448256 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 3539992576 1845493760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 1342177280 2885681152 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3875536896 67108864 0 0 0 0 0 0 0 0 0 0 0 0 536870912 1644167168 3690987520 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3338665984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 3472883712 4278190080 4278190080 4261412864 4278190080 4278190080 4026531840 2248146944 1358954496 872415232 754974720 771751936 1157627904 1879048192 3556769792 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3355443200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4194304000 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 4278190080 2818572288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 4278190080 4278190080 4278190080 4278190080 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2550136832 4261412864 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2432696320 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 3909091328 3925868544 3925868544 3925868544 3925868544 3925868544 3925868544 3925868544 3925868544 3992977408 4060086272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2684354560 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3942645760 3204448256 2113929216 1493172224 1056964608 687865856 939524096 1577058304 2717908992 3674210304 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4026531840 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 3204448256 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 3539992576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4194304000 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3892314112 3925868544 3925868544 3925868544 3925868544 3925868544 3925868544 3925868544 3909091328 3992977408 4043309056 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 2013265920 4278190080 4261412864 4278190080 4261412864 4278190080 3976200192 1828716544 0 0 0 0 0 0 0 0 0 1258291200 3976200192 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3825205248 4278190080 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3640655872 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 4278190080 4278190080 4278190080 4278190080 3254779904 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 4261412864 4278190080 4278190080 1593835520 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3204448256 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3053453312 0 134217728 134217728 134217728 134217728 134217728 134217728 134217728 134217728 150994944 167772160 201326592 989855744 2818572288 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 419430400 0 0 0 0 0 0 0 0 50331648 402653184 3355443200 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 2432696320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3992977408 318767104 553648128 553648128 553648128 553648128 553648128 553648128 553648128 536870912 838860800 805306368 1560281088 2617245696 4211081216 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2332033024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4110417920 0 134217728 134217728 134217728 134217728 134217728 134217728 134217728 134217728 150994944 167772160 201326592 721420288 2499805184 4261412864 4278190080 4261412864 4278190080 4278190080 4278190080 1895825408 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3422552064 4278190080 4278190080 4278190080 4261412864 4278190080 3523215360 134217728 0 0 0 0 0 0 0 0 0 0 0 0 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2432696320 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2701131776 4278190080 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 4278190080 4261412864 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1946157056 4278190080 4278190080 4278190080 4261412864 4261412864 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 3607101440 4278190080 4278190080 4278190080 4278190080 2214592512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 1912602624 4278190080 4261412864 4261412864 4278190080 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 1610612736 4227858432 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2751463424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 2566914048 4278190080 4261412864 4278190080 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 1526726656 4160749568 4261412864 4261412864 4278190080 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 3288334336 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4127195136 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3623878656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1140850688 4261412864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2516582400 4278190080 4278190080 4278190080 4278190080 4261412864 3288334336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1224736768 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4278190080 4278190080 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4261412864 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3288334336 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2952790016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3623878656 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3372220416 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1526726656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3506438144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2868903936 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 570425344 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 3791650816 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2030043136 4278190080 3472883712 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2214592512 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4278190080 3288334336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4211081216 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3573547008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2650800128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4093640704 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2147483648 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4127195136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3841982464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4211081216 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 4278190080 2315255808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4177526784 4261412864 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4278190080 4278190080 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2415919104 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2768240640 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4076863488 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2566914048 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4093640704 1996488704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4278190080 1174405120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2415919104 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2281701376 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 4211081216 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4009754624 184549376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4177526784 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2030043136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4244635648 1526726656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4261412864 4278190080 4278190080 4244635648 3858759680 4278190080 4278190080 4278190080 4278190080 2751463424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4194304000 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1795162112 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 704643072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1207959552 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 4211081216 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4278190080 1107296256 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3321888768 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2617245696 4278190080 4278190080 4278190080 2818572288 2650800128 4278190080 4278190080 4278190080 4261412864 4278190080 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2600468480 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 4076863488 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3321888768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 687865856 1577058304 4278190080 4278190080 4278190080 4261412864 4278190080 1962934272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1325400064 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3556769792 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2130706432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1644167168 4278190080 4261412864 4261412864 3959422976 117440512 268435456 4278190080 4261412864 4278190080 4278190080 4261412864 3355443200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2734686208 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1744830464 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2617245696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 855638016 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2533359616 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3271557120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3355443200 4261412864 4278190080 4278190080 3372220416 0 0 3456106496 4278190080 4278190080 4278190080 4278190080 4278190080 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2147483648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2919235584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 1509949440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3539992576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4211081216 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4093640704 4278190080 4278190080 4278190080 1711276032 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 4278190080 2466250752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4177526784 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 1962934272 2701131776 2868903936 2885681152 2717908992 2298478592 1325400064 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3909091328 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4227858432 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3305111552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 4278190080 4278190080 0 0 0 385875968 4177526784 4278190080 4278190080 4278190080 4261412864 4244635648 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3170893824 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 4227858432 4261412864 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2499805184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 1140850688 2583691264 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3271557120 1442840576 251658240 0 0 0 0 0 0 0 0 0 0 0 201326592 3388997632 4278190080 4278190080 4278190080 4177526784 4143972352 4143972352 4143972352 4143972352 4143972352 4143972352 4143972352 4143972352 3992977408 3707764736 3707764736 3707764736 3690987520 3959422976 4278190080 4227858432 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3204448256 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3355443200 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4043309056 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3875536896 4278190080 4278190080 4278190080 3070230528 0 0 0 100663296 3892314112 4261412864 4278190080 4278190080 4261412864 4261412864 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3674210304 4278190080 4278190080 4278190080 4278190080 3825205248 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4278190080 4278190080 4278190080 4278190080 3355443200 4043309056 4278190080 4278190080 4278190080 4278190080 4278190080 2986344448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 2969567232 4278190080 4261412864 4278190080 4278190080 4278190080 4009754624 3288334336 4026531840 3741319168 3875536896 4278190080 4278190080 4278190080 4278190080 4261412864 4227858432 1895825408 0 0 0 0 0 0 0 0 0 0 0 0 16777216 1560281088 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3892314112 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637534208 4278190080 4261412864 4278190080 4278190080 1560281088 0 0 0 0 2785017856 4278190080 4278190080 4278190080 4278190080 4278190080 2734686208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 4278190080 1090519040 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 335544320 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 3539992576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3120562176 4278190080 4278190080 4278190080 4076863488 1879048192 671088640 1929379840 2936012800 0 3305111552 2030043136 0 3909091328 1962934272 1811939328 4110417920 4278190080 4278190080 4278190080 3674210304 855638016 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4261412864 4278190080 4278190080 4278190080 3623878656 3103784960 2583691264 1862270976 1291845632 1023410176 889192448 889192448 1174405120 2634022912 4278190080 4261412864 3674210304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2499805184 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3405774848 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2197815296 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 822083584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 4278190080 4278190080 4261412864 4278190080 603979776 0 0 0 0 788529152 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 369098752 2264924160 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4093640704 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2113929216 4278190080 4261412864 4278190080 4278190080 4278190080 2399141888 117440512 3909091328 4278190080 4278190080 4278190080 4278190080 4278190080 4110417920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 1795162112 4278190080 4278190080 4278190080 4127195136 2181038080 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 2399141888 4211081216 4278190080 4261412864 4278190080 1694498816 0 0 0 0 0 0 0 0 0 0 0 721420288 4227858432 4278190080 4278190080 4278190080 1795162112 0 0 0 0 0 0 0 0 0 1342177280 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2432696320 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3808428032 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2801795072 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3506438144 4261412864 4278190080 4278190080 4026531840 0 0 0 0 0 0 3959422976 4278190080 4278190080 4278190080 4261412864 4278190080 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 553648128 4278190080 4278190080 4278190080 4278190080 4278190080 167772160 486539264 4177526784 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3690987520 4278190080 4278190080 4278190080 4261412864 4278190080 402653184 100663296 3825205248 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3254779904 4278190080 4278190080 4278190080 4093640704 385875968 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 385875968 4043309056 4261412864 4261412864 4278190080 2617245696 0 0 0 0 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 3321888768 1593835520 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3238002688 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3976200192 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3271557120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 486539264 4278190080 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 2717908992 4261412864 4278190080 4278190080 4278190080 4261412864 3590324224 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1241513984 4278190080 4278190080 4278190080 4278190080 4227858432 0 0 3053453312 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 2147483648 0 33554432 3690987520 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3422552064 4278190080 4261412864 4261412864 3590324224 167772160 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 335544320 3758096384 4278190080 4261412864 4278190080 2264924160 0 0 0 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 2818572288 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2868903936 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2701131776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4227858432 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3422552064 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3640655872 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2701131776 4278190080 4278190080 4278190080 4278190080 100663296 0 0 0 0 0 0 1509949440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4278190080 4278190080 4278190080 3489660928 0 0 167772160 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1996488704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 4278190080 4278190080 4278190080 4261412864 4060086272 167772160 0 0 3472883712 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2499805184 4278190080 4278190080 4278190080 4211081216 369098752 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 369098752 4076863488 4278190080 4261412864 4278190080 1644167168 0 0 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 905969664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3204448256 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3825205248 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3841982464 4261412864 4278190080 4261412864 3556769792 16777216 0 0 0 0 0 0 385875968 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2617245696 4278190080 4278190080 4278190080 4278190080 2600468480 0 0 0 2969567232 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4278190080 4261412864 4278190080 4278190080 4278190080 2533359616 0 0 0 2785017856 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1627389952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 4278190080 4278190080 4278190080 822083584 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 570425344 4278190080 4278190080 4261412864 4278190080 218103808 0 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3841982464 4278190080 4278190080 4278190080 4278190080 4261412864 3405774848 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2667577344 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4110417920 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4110417920 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 4278190080 4278190080 4278190080 4278190080 2499805184 0 0 0 0 0 0 0 0 3657433088 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3288334336 4278190080 4278190080 4278190080 4278190080 1711276032 0 0 0 1124073472 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2466250752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3137339392 4261412864 4278190080 4278190080 4261412864 4160749568 0 0 0 0 2063597568 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3640655872 4261412864 4278190080 4278190080 3355443200 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 2583691264 4278190080 4261412864 4278190080 3607101440 33554432 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 939524096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3456106496 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4160749568 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 452984832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2818572288 4278190080 4278190080 4261412864 4278190080 771751936 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1509949440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3623878656 4261412864 4278190080 4278190080 4278190080 805306368 0 0 0 0 3741319168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3942645760 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 620756992 4278190080 4278190080 4278190080 4261412864 4278190080 1996488704 0 0 0 0 1291845632 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 352321536 2634022912 4278190080 3321888768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 973078528 4278190080 4278190080 4278190080 4278190080 385875968 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 50331648 4278190080 4278190080 4278190080 4278190080 1107296256 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1694498816 4278190080 4278190080 4278190080 4261412864 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 587202560 2785017856 4076863488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 2063597568 4278190080 4244635648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 3892314112 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4177526784 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4278190080 4278190080 4278190080 4278190080 3875536896 0 0 0 0 0 0 0 0 0 268435456 4194304000 4278190080 4278190080 4278190080 4278190080 4261412864 3305111552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3774873600 4278190080 4278190080 4278190080 4278190080 50331648 0 0 0 0 905969664 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 4278190080 4278190080 4278190080 4261412864 4278190080 218103808 0 0 0 0 469762048 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3338665984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3087007744 117440512 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 352321536 1811939328 3774873600 4194304000 4278190080 4278190080 2650800128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3758096384 4278190080 4278190080 4261412864 3103784960 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 1694498816 4278190080 4278190080 4278190080 4060086272 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3640655872 4278190080 4278190080 4278190080 4261412864 4278190080 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3942645760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1711276032 3674210304 4211081216 4278190080 3690987520 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4110417920 33554432 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 268435456 301989888 1459617792 3573547008 4127195136 4278190080 4278190080 3590324224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 4093640704 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2684354560 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1560281088 4278190080 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 83886080 3741319168 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3909091328 4278190080 4278190080 4278190080 4076863488 16777216 0 0 0 0 134217728 3976200192 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4093640704 4261412864 4278190080 4278190080 4278190080 2130706432 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3539992576 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 2063597568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 4278190080 4261412864 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 352321536 4143972352 4261412864 4261412864 4278190080 1409286144 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4177526784 4261412864 4278190080 4261412864 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 3657433088 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3690987520 3707764736 4278190080 4278190080 4278190080 4278190080 4278190080 3288334336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3036676096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3288334336 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3791650816 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536870912 1207959552 1174405120 1174405120 1174405120 1040187392 889192448 889192448 889192448 905969664 637534208 620756992 620756992 620756992 570425344 335544320 318767104 301989888 285212672 268435456 251658240 234881024 201326592 184549376 150994944 134217728 100663296 83886080 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2969567232 4261412864 4278190080 4261412864 4244635648 788529152 0 0 0 0 0 0 0 0 0 0 2852126720 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4060086272 4278190080 4278190080 4278190080 3758096384 0 0 0 0 0 0 2030043136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4278190080 4278190080 4261412864 4009754624 50331648 0 0 0 0 0 0 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 3741319168 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4261412864 4278190080 4261412864 4278190080 587202560 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 3640655872 4278190080 4278190080 4261412864 2952790016 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3087007744 4278190080 4278190080 4261412864 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2449473536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4026531840 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1090519040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4227858432 4177526784 4143972352 4110417920 4043309056 3976200192 3942645760 3875536896 3808428032 3875536896 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4261412864 4194304000 50331648 0 0 0 0 0 0 0 0 0 0 956301312 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3892314112 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 4211081216 4278190080 4278190080 4278190080 3456106496 0 0 0 0 0 0 0 4060086272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4076863488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4278190080 4278190080 4278190080 4278190080 4278190080 2600468480 0 0 0 0 0 0 0 3405774848 4278190080 4278190080 4278190080 4278190080 4278190080 3942645760 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 4143972352 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1929379840 4278190080 4261412864 4278190080 4278190080 3741319168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2315255808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3909091328 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4093640704 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3338665984 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1811939328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 2936012800 3959422976 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4026531840 2952790016 1761607680 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4278190080 4278190080 4278190080 2566914048 0 0 0 0 0 0 0 0 0 0 0 0 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 4278190080 4278190080 4278190080 4261412864 3154116608 0 0 0 0 0 0 0 2214592512 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2046820352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1761607680 4278190080 4278190080 4278190080 4278190080 4278190080 50331648 0 0 0 0 0 0 0 2835349504 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4160749568 3288334336 3321888768 3321888768 3321888768 3321888768 3321888768 3489660928 3590324224 3774873600 3909091328 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4211081216 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2717908992 4278190080 4278190080 4278190080 3456106496 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 16777216 4278190080 4278190080 4278190080 4278190080 838860800 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1677721600 4278190080 4261412864 4278190080 4261412864 4211081216 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 4227858432 4227858432 4227858432 4227858432 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3321888768 3321888768 3321888768 3321888768 3321888768 3321888768 3456106496 3590324224 3741319168 3875536896 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 1056964608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 3858759680 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2768240640 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 3674210304 4244635648 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4160749568 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3909091328 4261412864 4278190080 4278190080 4278190080 218103808 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 3556769792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1207959552 4278190080 4278190080 4278190080 4278190080 2768240640 0 0 0 0 0 0 0 553648128 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3791650816 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3607101440 4278190080 4278190080 4278190080 4278190080 2113929216 0 0 0 0 0 0 0 0 2281701376 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 536870912 1560281088 3087007744 4194304000 4278190080 4261412864 4278190080 4160749568 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3456106496 4278190080 4278190080 4278190080 2650800128 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 3758096384 4278190080 4278190080 4278190080 2533359616 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1962934272 150994944 150994944 150994944 150994944 150994944 150994944 150994944 150994944 117440512 2197815296 3959422976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 352321536 0 0 0 0 0 0 0 0 0 0 0 67108864 637534208 3523215360 4278190080 4261412864 4278190080 4261412864 4278190080 805306368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 335544320 738197504 1526726656 2449473536 3372220416 4076863488 4211081216 4278190080 4261412864 4278190080 4278190080 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 369098752 1375731712 2751463424 4110417920 4278190080 4261412864 4278190080 4244635648 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3690987520 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1778384896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3841982464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 3271557120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2197815296 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 436207616 4194304000 4278190080 4278190080 4261412864 3539992576 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1996488704 4278190080 4278190080 4278190080 4278190080 2080374784 0 0 0 0 0 0 0 0 2768240640 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4278190080 4278190080 4278190080 4261412864 4278190080 402653184 0 0 0 0 0 0 0 0 1778384896 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 3355443200 4278190080 4278190080 4127195136 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3942645760 4278190080 4278190080 4278190080 2315255808 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 3103784960 4278190080 4278190080 4278190080 3640655872 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 4261412864 4244635648 4244635648 4244635648 4244635648 4244635648 4244635648 4244635648 4244635648 4261412864 4278190080 3338665984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3690987520 3372220416 2936012800 2399141888 2080374784 1895825408 1744830464 1577058304 1577058304 1744830464 2399141888 3288334336 3791650816 4278190080 4278190080 4261412864 4278190080 4261412864 4278190080 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 553648128 3690987520 4278190080 4278190080 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 2449473536 4278190080 4278190080 4211081216 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 3556769792 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3070230528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1996488704 4278190080 4278190080 4278190080 4278190080 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 2332033024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4278190080 4278190080 4278190080 1426063360 0 0 0 0 0 0 0 0 285212672 4194304000 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4076863488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3674210304 4278190080 4278190080 4278190080 4278190080 2600468480 0 0 0 0 0 0 0 0 0 1392508928 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 251658240 4177526784 4278190080 4076863488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 2248146944 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4261412864 4076863488 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 4194304000 4127195136 4127195136 4127195136 4127195136 4127195136 4227858432 4278190080 4278190080 4261412864 4261412864 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4194304000 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4143972352 4278190080 4278190080 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3942645760 4261412864 4194304000 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3489660928 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1493172224 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1073741824 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 788529152 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4211081216 4278190080 4278190080 4278190080 4278190080 2583691264 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 2030043136 1929379840 4227858432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4009754624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3539992576 4278190080 4278190080 4278190080 4278190080 771751936 0 0 0 0 0 0 0 0 0 3456106496 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4227858432 4278190080 4278190080 4261412864 4160749568 0 0 0 0 0 0 0 0 0 0 1023410176 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2399141888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3741319168 4278190080 3523215360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4278190080 4278190080 2499805184 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 2365587456 4261412864 4278190080 4278190080 4093640704 134217728 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1862270976 0 0 0 0 0 0 100663296 1895825408 4278190080 4278190080 2415919104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 4278190080 4177526784 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3405774848 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2600468480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1660944384 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4261412864 4278190080 117440512 0 0 0 0 0 0 0 0 0 788529152 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3422552064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2768240640 4278190080 4278190080 4278190080 4278190080 2818572288 0 0 0 0 0 0 0 0 0 0 654311424 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2214592512 4278190080 2684354560 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 3120562176 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 2231369728 4278190080 4278190080 4278190080 4110417920 201326592 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 536870912 4211081216 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3439329280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1577058304 4278190080 4026531840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1140850688 4278190080 3825205248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3238002688 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4076863488 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 4211081216 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3456106496 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4060086272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3825205248 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4278190080 4261412864 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 3221225472 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 402653184 4278190080 4261412864 4278190080 4278190080 4278190080 520093696 0 0 0 0 0 0 0 0 0 0 285212672 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3976200192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 4278190080 1895825408 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 3992977408 0 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 2315255808 4261412864 4278190080 4278190080 4093640704 150994944 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 3372220416 1224736768 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4227858432 4143972352 4160749568 4244635648 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4278190080 3221225472 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 3036676096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3355443200 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3724541952 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3942645760 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4261412864 4211081216 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 520093696 4278190080 4278190080 4278190080 4278190080 3825205248 0 0 0 0 0 0 0 0 0 0 0 1207959552 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3758096384 33554432 0 0 0 0 0 0 0 0 0 0 0 2264924160 4278190080 4261412864 4278190080 4278190080 2684354560 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 167772160 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 2516582400 4278190080 4278190080 4261412864 4076863488 50331648 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 2533359616 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 33554432 67108864 67108864 67108864 67108864 184549376 1224736768 2969567232 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1509949440 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3221225472 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1895825408 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2466250752 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 4278190080 4278190080 4261412864 4043309056 1291845632 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1308622848 1124073472 4093640704 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4278190080 4278190080 4278190080 4278190080 3221225472 0 0 0 0 0 0 0 0 0 0 0 0 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4244635648 671088640 0 0 0 0 0 0 0 0 0 0 0 3925868544 4261412864 4278190080 4261412864 4211081216 637534208 0 0 0 0 0 0 0 0 0 0 0 0 3959422976 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3355443200 4278190080 4278190080 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 2936012800 4278190080 4278190080 4278190080 3707764736 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 352321536 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 134217728 1325400064 3808428032 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4160749568 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 3338665984 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4211081216 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4143972352 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3690987520 4278190080 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2214592512 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 2617245696 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3271557120 0 0 0 0 0 0 0 0 0 0 1526726656 4278190080 4278190080 4278190080 4278190080 3590324224 0 0 0 0 0 0 0 0 0 0 0 0 0 3170893824 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4278190080 4278190080 4278190080 1895825408 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 3556769792 4278190080 4278190080 4278190080 2499805184 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 2264924160 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3254779904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3741319168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4194304000 4261412864 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 788529152 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2466250752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1862270976 4278190080 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 33554432 3724541952 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 50331648 3925868544 4278190080 4278190080 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 2382364672 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1191182336 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4261412864 4261412864 4278190080 4261412864 3388997632 0 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 553648128 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 301989888 3959422976 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2315255808 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4060086272 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3103784960 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1694498816 4278190080 4278190080 4278190080 4261412864 2885681152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4026531840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2365587456 4261412864 4278190080 4278190080 4278190080 1358954496 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2868903936 0 0 0 0 0 0 0 0 771751936 4244635648 4278190080 4278190080 4261412864 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1644167168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3590324224 4278190080 4278190080 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 1325400064 4278190080 4278190080 4261412864 3808428032 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 3271557120 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 822083584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1811939328 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3858759680 4278190080 4278190080 4261412864 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2852126720 4278190080 4278190080 4278190080 4261412864 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 117440512 0 0 0 0 0 0 0 3019898880 4278190080 4278190080 4261412864 4278190080 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 805306368 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2181038080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4278190080 4261412864 4278190080 4278190080 3204448256 0 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 0 3556769792 4278190080 4261412864 4278190080 2365587456 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 3623878656 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4227858432 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2164260864 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3372220416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2919235584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4278190080 4261412864 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4026531840 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3355443200 4278190080 4278190080 4278190080 4244635648 822083584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3120562176 0 0 0 0 0 0 654311424 4278190080 4278190080 4278190080 4278190080 3674210304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2583691264 4278190080 4261412864 4261412864 4211081216 402653184 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 452984832 4177526784 4261412864 4278190080 4278190080 184549376 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3456106496 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3154116608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 3590324224 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4110417920 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2852126720 4278190080 4278190080 4278190080 4278190080 2550136832 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3137339392 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 1157627904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3841982464 4278190080 4278190080 4278190080 4227858432 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4194304000 369098752 0 0 0 0 0 2684354560 4278190080 4278190080 4278190080 4261412864 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 134217728 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 3388997632 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3573547008 4278190080 4278190080 4278190080 3456106496 0 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 0 2533359616 4278190080 4278190080 4278190080 1761607680 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2281701376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 805306368 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2936012800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3925868544 4278190080 4278190080 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1476395008 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 3741319168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4194304000 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 4110417920 4278190080 4278190080 4278190080 3858759680 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4009754624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4093640704 4278190080 4261412864 4278190080 1946157056 0 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 855638016 4278190080 4261412864 4278190080 3758096384 83886080 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 469762048 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4076863488 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 4278190080 4278190080 4278190080 4261412864 3875536896 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4194304000 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 4278190080 4278190080 4278190080 4278190080 4177526784 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3774873600 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 83886080 0 0 0 2315255808 4278190080 4278190080 4278190080 4278190080 1560281088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3875536896 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4278190080 4261412864 4261412864 4278190080 1140850688 0 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 0 0 3825205248 4278190080 4261412864 4177526784 218103808 0 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1879048192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1728053248 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4177526784 402653184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 922746880 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1694498816 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3422552064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3741319168 4278190080 4278190080 4278190080 4278190080 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3372220416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 4278190080 4278190080 4278190080 4278190080 4160749568 234881024 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2113929216 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2147483648 0 0 218103808 4244635648 4261412864 4278190080 4261412864 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3741319168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 620756992 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 4194304000 4278190080 4261412864 4278190080 1056964608 0 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 0 67108864 3506438144 4278190080 4278190080 4278190080 1040187392 0 0 0 0 0 0 0 0 704643072 4227858432 4278190080 4278190080 4278190080 1912602624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2902458368 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 3254779904 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 654311424 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3707764736 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2214592512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4261412864 4278190080 4278190080 4278190080 4278190080 520093696 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 4177526784 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1946157056 4278190080 4278190080 4278190080 4278190080 4143972352 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3741319168 0 0 1610612736 4278190080 4278190080 4261412864 4278190080 1761607680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3590324224 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 3959422976 4278190080 4261412864 4278190080 1577058304 0 0 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 0 117440512 3707764736 4278190080 4278190080 4127195136 637534208 0 0 0 0 0 0 0 0 0 738197504 4227858432 4278190080 4278190080 4261412864 2499805184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3909091328 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2902458368 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1811939328 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4194304000 268435456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4261412864 4278190080 4278190080 4278190080 3640655872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3741319168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3707764736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4278190080 4278190080 4261412864 4127195136 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1258291200 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1526726656 0 4143972352 4278190080 4278190080 4278190080 4278190080 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3456106496 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2818572288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 218103808 2902458368 4278190080 4261412864 4278190080 3321888768 184549376 0 1811939328 3003121664 0 3321888768 2097152000 67108864 3942645760 1426063360 0 0 0 1895825408 4093640704 4278190080 4278190080 3758096384 419430400 0 0 0 0 0 0 0 0 0 0 788529152 4244635648 4278190080 4278190080 4278190080 4043309056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 989855744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4261412864 637534208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3892314112 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4043309056 4278190080 4278190080 4278190080 4278190080 2231369728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 838860800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3640655872 4278190080 4278190080 4278190080 4278190080 4060086272 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3925868544 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 2197815296 4278190080 4261412864 4278190080 4278190080 1744830464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3321888768 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3657433088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1660944384 3892314112 4278190080 4278190080 4278190080 2231369728 2399141888 2936012800 0 3288334336 2030043136 0 3925868544 1426063360 654311424 1728053248 3724541952 4278190080 4278190080 4244635648 2600468480 0 0 0 0 0 0 0 0 0 0 0 0 1627389952 4278190080 4278190080 4278190080 4278190080 4278190080 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 721420288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 671088640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1946157056 4278190080 4278190080 4278190080 4278190080 4278190080 2147483648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 989855744 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 1476395008 4278190080 4261412864 4278190080 4261412864 4278190080 1073741824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3875536896 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3070230528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 3925868544 4261412864 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3976200192 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3254779904 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3875536896 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2147483648 4211081216 4261412864 4278190080 4278190080 4278190080 3959422976 4043309056 3590324224 2969567232 4143972352 4278190080 4278190080 4278190080 4278190080 4211081216 3154116608 184549376 0 0 0 0 0 0 0 0 0 0 16777216 83886080 1744830464 4278190080 4278190080 4278190080 4261412864 4261412864 4261412864 4278190080 3238002688 218103808 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3758096384 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4026531840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 0 0 0 0 0 0 0 0 0 0 0 1459617792 4278190080 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2650800128 4278190080 4278190080 4278190080 4261412864 4211081216 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2264924160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3355443200 4278190080 4278190080 4278190080 4261412864 4278190080 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2399141888 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4026531840 4278190080 4278190080 4278190080 4278190080 3741319168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3053453312 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2516582400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3170893824 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2030043136 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 1325400064 3355443200 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3238002688 1476395008 486539264 0 0 0 0 0 0 0 0 0 0 0 0 872415232 2130706432 2365587456 1979711488 1493172224 1090519040 956301312 939524096 1023410176 1207959552 1862270976 2264924160 1778384896 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3657433088 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3137339392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 3221225472 0 0 0 0 0 0 0 0 0 0 0 2583691264 4278190080 1442840576 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 4278190080 4278190080 4278190080 4278190080 3472883712 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1375731712 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 184549376 4143972352 4278190080 4278190080 4278190080 4278190080 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3489660928 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4143972352 4278190080 4278190080 4278190080 4278190080 3573547008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3019898880 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 469762048 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4060086272 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1090519040 1962934272 2415919104 2499805184 2248146944 1677721600 805306368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 822083584 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2348810240 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3019898880 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2466250752 2919235584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 2197815296 0 0 0 0 0 0 0 0 0 0 0 3707764736 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 771751936 4261412864 4261412864 4278190080 4261412864 4278190080 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1275068416 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 1979711488 4278190080 4278190080 4278190080 4278190080 4278190080 788529152 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 536870912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 4244635648 4278190080 4278190080 4278190080 4278190080 3422552064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2248146944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2885681152 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1375731712 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4261412864 805306368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3405774848 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 3942645760 2080374784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 419430400 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 4244635648 1325400064 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2919235584 4278190080 4278190080 4278190080 4278190080 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3321888768 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 117440512 4194304000 4278190080 4278190080 4278190080 4278190080 4026531840 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1124073472 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3774873600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1040187392 4278190080 4278190080 4278190080 4278190080 4278190080 3238002688 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150994944 4060086272 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 503316480 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2734686208 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3003121664 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3623878656 4261412864 385875968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1358954496 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 335544320 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3154116608 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 687865856 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1577058304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1593835520 4278190080 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2885681152 4278190080 855638016 0 0 0 0 0 0 0 0 0 0 553648128 4278190080 4261412864 4278190080 3523215360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4261412864 4278190080 4278190080 3271557120 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 3925868544 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1543503872 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 1795162112 4278190080 4278190080 4278190080 4278190080 4261412864 3556769792 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234881024 4026531840 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1912602624 4278190080 4278190080 4278190080 4278190080 4278190080 3070230528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342177280 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2818572288 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2583691264 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2097152000 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2919235584 4278190080 4244635648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2315255808 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1946157056 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 872415232 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3087007744 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 939524096 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4160749568 822083584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 4278190080 603979776 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1929379840 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2013265920 4278190080 4278190080 385875968 0 0 0 0 0 0 0 0 0 0 855638016 4278190080 4278190080 4278190080 4278190080 2164260864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1107296256 4261412864 4261412864 4278190080 4278190080 3674210304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 738197504 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 2785017856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3288334336 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3741319168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2969567232 4278190080 4278190080 4278190080 4278190080 4278190080 3170893824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2835349504 4261412864 4278190080 4278190080 4278190080 4278190080 4211081216 134217728 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2634022912 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1207959552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 2801795072 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3154116608 4278190080 4278190080 3607101440 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 973078528 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3808428032 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3523215360 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1711276032 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3690987520 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1409286144 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 1577058304 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4143972352 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3305111552 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2248146944 4278190080 4261412864 4278190080 0 0 0 0 0 0 0 0 0 0 0 721420288 4278190080 4278190080 4278190080 4278190080 4278190080 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4261412864 4278190080 4278190080 4261412864 3741319168 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1375731712 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3137339392 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 3422552064 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1979711488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 838860800 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2734686208 0 0 0 0 0 0 0 0 0 0 0 0 0 4110417920 4278190080 4278190080 4278190080 4278190080 4278190080 3942645760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 385875968 4278190080 4261412864 4278190080 4278190080 4278190080 3103784960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3271557120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3657433088 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3707764736 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3808428032 2113929216 134217728 0 0 0 0 0 0 0 0 0 0 1191182336 3607101440 4278190080 4261412864 4278190080 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2097152000 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 889192448 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2298478592 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4110417920 1426063360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2348810240 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3271557120 1241513984 0 0 0 0 0 0 0 0 0 0 0 0 2030043136 4227858432 4278190080 4278190080 3976200192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3187671040 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4026531840 2466250752 419430400 0 0 0 0 0 0 0 0 0 0 771751936 3288334336 4278190080 4261412864 4278190080 3808428032 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3305111552 687865856 0 0 0 0 0 0 0 0 0 0 0 0 1006632960 3305111552 4278190080 4261412864 4261412864 4278190080 3019898880 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2046820352 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4026531840 687865856 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 67108864 2986344448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1677721600 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3808428032 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2080374784 16777216 0 0 0 0 0 0 0 0 0 0 671088640 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4227858432 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1308622848 4278190080 4261412864 4278190080 4278190080 738197504 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 3858759680 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3271557120 16777216 0 0 0 0 0 0 0 0 0 0 0 0 520093696 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 2986344448 1358954496 620756992 419430400 318767104 352321536 436207616 637534208 1526726656 3724541952 4278190080 4261412864 4278190080 4278190080 4278190080 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1325400064 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603979776 4194304000 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 318767104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2248146944 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2852126720 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3623878656 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3875536896 1627389952 603979776 268435456 33554432 0 0 0 167772160 469762048 1493172224 3976200192 4278190080 4261412864 4278190080 4278190080 3087007744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3338665984 1610612736 671088640 452984832 335544320 335544320 419430400 587202560 1275068416 3321888768 4278190080 4261412864 4278190080 4278190080 4278190080 2852126720 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3087007744 922746880 436207616 100663296 0 0 0 0 100663296 452984832 1090519040 3439329280 4278190080 4278190080 4261412864 4278190080 4177526784 2365587456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2130706432 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4261412864 2667577344 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 536870912 3892314112 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3187671040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 3103784960 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3690987520 671088640 0 0 0 0 0 0 0 0 0 3607101440 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4227858432 2483027968 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3288334336 4278190080 4278190080 2969567232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 587202560 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3825205248 1090519040 0 0 0 0 0 0 0 0 0 0 16777216 4043309056 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4227858432 4143972352 4110417920 4127195136 4160749568 4244635648 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 771751936 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2197815296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 301989888 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3942645760 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1761607680 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4143972352 2298478592 0 0 0 0 0 0 0 0 0 0 0 0 2080374784 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4211081216 4093640704 4009754624 3875536896 3741319168 3976200192 4060086272 4177526784 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 2214592512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3372220416 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4244635648 4160749568 4127195136 4110417920 4143972352 4211081216 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 1895825408 0 0 0 0 0 0 0 0 0 0 0 0 671088640 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4160749568 4026531840 3959422976 3523215360 3489660928 3959422976 4026531840 4160749568 4278190080 4278190080 4261412864 4261412864 4278190080 3875536896 486539264 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1845493760 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3758096384 1476395008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 251658240 1493172224 3036676096 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3036676096 1577058304 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 2717908992 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3472883712 2348810240 1426063360 855638016 67108864 805306368 1677721600 2634022912 4009754624 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4110417920 2583691264 855638016 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4026531840 4261412864 872415232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2936012800 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4060086272 3271557120 2449473536 1912602624 1023410176 0 0 0 0 989855744 3640655872 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 4026531840 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3657433088 0 0 0 0 0 0 0 0 0 0 0 0 0 1191182336 3925868544 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4244635648 2214592512 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1056964608 3992977408 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4177526784 2701131776 1577058304 687865856 301989888 318767104 469762048 0 0 0 0 1929379840 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1342177280 0 0 0 0 0 0 0 0 0 0 0 0 0 654311424 3221225472 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 956301312 0 0 0 0 0 0 0 0 0 0 0 0 0 1426063360 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3607101440 1526726656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1577058304 4261412864 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3506438144 687865856 16777216 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 385875968 4143972352 4261412864 4043309056 3858759680 3774873600 3724541952 3674210304 3456106496 3254779904 3154116608 3238002688 3456106496 3674210304 3707764736 3758096384 3858759680 4026531840 4278190080 3405774848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1207959552 4278190080 4043309056 3959422976 3858759680 3774873600 3674210304 3254779904 2734686208 2365587456 2365587456 2365587456 2365587456 2399141888 2986344448 3640655872 3758096384 3825205248 3892314112 3942645760 4026531840 3690987520 2885681152 3959422976 3791650816 3674210304 3674210304 3707764736 3724541952 3724541952 3741319168 3791650816 3841982464 3892314112 3959422976 4026531840 4093640704 4160749568 4160749568 4278190080 3120562176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1174405120 3623878656 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3925868544 3825205248 3875536896 3925868544 3976200192 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4026531840 4060086272 4278190080 1543503872 0 2751463424 4261412864 4244635648 4076863488 4060086272 4026531840 4009754624 3976200192 3976200192 3976200192 3942645760 3942645760 3942645760 3942645760 3942645760 3976200192 3976200192 3992977408 4026531840 4026531840 4026531840 4026531840 4060086272 4076863488 4076863488 4110417920 4110417920 4127195136 4160749568 4160749568 4160749568 4160749568 4160749568 4093640704 3456106496 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 4060086272 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 369098752 0 0 0 0 0 0 0 0 0 0 0 2751463424 4278190080 4278190080 4194304000 4060086272 3942645760 3858759680 3791650816 3724541952 3724541952 3724541952 3724541952 3724541952 3741319168 3791650816 3841982464 3892314112 3976200192 4093640704 4278190080 4127195136 1308622848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986344448 4177526784 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4043309056 0 973078528 2315255808 3976200192 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4211081216 536870912 0 0 0 0 0 0 0 0 0 0 0 2181038080 4076863488 4278190080 4093640704 4060086272 4026531840 4009754624 3976200192 3976200192 3976200192 3942645760 3942645760 3942645760 3942645760 3942645760 3959422976 3976200192 3992977408 4026531840 4026531840 4026531840 4026531840 4060086272 4076863488 4060086272 4110417920 4110417920 4127195136 4160749568 4160749568 4160749568 4160749568 4160749568 4127195136 3841982464 100663296 0 0 0 0 0 0 0 0 0 0 0 0 0 0 922746880 3925868544 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4127195136 3573547008 1258291200 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 704643072 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4227858432 3707764736 1023410176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3724541952 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 50331648 369098752 268435456 184549376 100663296 33554432 0 0 0 0 0 0 0 0 0 16777216 100663296 184549376 268435456 301989888 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100663296 335544320 251658240 184549376 100663296 16777216 0 0 0 0 0 0 0 0 0 0 16777216 67108864 134217728 167772160 167772160 67108864 67108864 50331648 0 0 0 0 0 0 0 33554432 83886080 134217728 184549376 234881024 301989888 352321536 352321536 352321536 285212672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 83886080 117440512 150994944 184549376 234881024 234881024 234881024 234881024 234881024 234881024 234881024 234881024 234881024 234881024 234881024 234881024 234881024 251658240 67108864 0 268435456 352321536 318767104 285212672 268435456 234881024 234881024 201326592 201326592 201326592 167772160 167772160 167772160 167772160 167772160 201326592 201326592 218103808 234881024 234881024 234881024 234881024 268435456 285212672 285212672 318767104 318767104 335544320 352321536 352321536 352321536 352321536 352321536 301989888 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 268435456 4093640704 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 1845493760 1174405120 520093696 385875968 268435456 167772160 100663296 33554432 0 0 0 0 0 0 33554432 83886080 134217728 201326592 268435456 335544320 419430400 201326592 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 2533359616 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 3657433088 1358954496 218103808 0 671088640 1325400064 1073741824 973078528 771751936 553648128 503316480 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 503316480 503316480 503316480 486539264 687865856 771751936 754974720 1040187392 1040187392 1107296256 1308622848 1308622848 1308622848 1308622848 1308622848 1107296256 352321536 16777216 0 0 0 0 0 0 0 0 0 0 0 218103808 352321536 318767104 301989888 268435456 251658240 234881024 201326592 201326592 201326592 167772160 167772160 167772160 167772160 167772160 184549376 201326592 218103808 234881024 234881024 234881024 234881024 268435456 285212672 268435456 318767104 318767104 318767104 352321536 352321536 352321536 352321536 352321536 318767104 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 989855744 3573547008 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4278190080 4278190080 4278190080 4278190080 3271557120 1409286144 335544320 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 184549376 3053453312 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3674210304 1946157056 553648128 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1526726656 4160749568 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 402653184 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 3909091328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 1157627904 2113929216 2717908992 3036676096 3137339392 3019898880 2785017856 2181038080 1409286144 369098752 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 318767104 1191182336 1811939328 2181038080 2365587456 2298478592 2046820352 1442840576 754974720 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1962934272 4177526784 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 3724541952 1577058304 301989888 117440512 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 855638016 3841982464 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3925868544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754974720 4244635648 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2902458368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 452984832 3271557120 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4194304000 3858759680 3472883712 2382364672 1308622848 419430400 0 0 0 0 0 0 0 0 0 0 201326592 1090519040 2365587456 3523215360 3976200192 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2281701376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2499805184 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1409286144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1275068416 3456106496 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 3791650816 3506438144 3321888768 3254779904 3338665984 3556769792 3959422976 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3825205248 1459617792 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 956301312 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 1610612736 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1157627904 3959422976 4244635648 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4143972352 2281701376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 889192448 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 2617245696 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16777216 754974720 2785017856 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4093640704 1694498816 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2013265920 3590324224 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 3825205248 1728053248 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 1811939328 3137339392 3976200192 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3690987520 2684354560 1040187392 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 2399141888 3674210304 4278190080 4278190080 4278190080 4278190080 4160749568 4060086272 3942645760 3841982464 3791650816 3791650816 3791650816 3791650816 3791650816 3791650816 3791650816 3875536896 4026531840 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4177526784 2466250752 1358954496 419430400 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 503316480 2181038080 3607101440 4227858432 4244635648 4244635648 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4261412864 4244635648 4227858432 4143972352 2936012800 1392508928 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 201326592 2130706432 1644167168 1140850688 654311424 150994944 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 285212672 771751936 1275068416 1761607680 2264924160 2734686208 3238002688 3825205248 2013265920 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117440512 469762048 788529152 1040187392 1258291200 1627389952 1912602624 2164260864 2432696320 2734686208 2986344448 3053453312 3070230528 3254779904 3254779904 3254779904 3254779904 3087007744 3019898880 2852126720 2785017856 2634022912 2533359616 2046820352 1610612736 1191182336 922746880 587202560 251658240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!I2SActiveTaskUi class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 16:25:47.67'!
newWithTask: aTask
	| ui |
	ui := self new.
	ui task: aTask.
	^ui! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:50:01.671'!
chapterButtons
	^chapterButtons! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:50:25.714'!
chapterButtons: aCollection
	chapterButtons := aCollection.	! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:10:49.322'!
chapters
	^chapters! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/19/2013 12:26:04.831'!
compileUserCode

	| userInput newMethod |

	userInput := self codeEdit sourceCode asString.
	self compileUserCode: userInput.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 18:17:20.567'!
compileUserCode: userInput
	| newMethod helper |
	newMethod := self parameterDisplay theText, String cr, userInput.
	
	helper := ViParserHelper new.
	helper text: newMethod.
	helper view: self.
	
	[Parser new
		parse: newMethod asString readStream
		class: I2SUserCodeRunner
		category: #userMethods
		noPattern: false
		context: nil
		notifying: helper
		ifFail: [^false]] on: ParserNotification do: [
			:err | 
			self notify: err class name at: helper selection first in: newMethod.
			^false
		].
	
	I2SUserCodeRunner compile:  newMethod classified: 'userMethods'.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 12:10:45.219'!
currentChapter
	^currentChapter! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 11:11:53.887'!
currentChapter: aChapter
	(currentChapter = aChapter) ifTrue: [^self].

	currentChapter := aChapter.
	
	self levelButtonContainer removeAllMorphs.
	
	currentChapter tasks size to: 1 by: -1 do: [:i|
			| button |
			button := UiPushButton new text: (currentChapter tasks at: i) name.
			self connect: button signal: #clicked: toSelector: #showTask: pattern: {#=. i}.
			(i>currentChapter currentTaskNumber) ifTrue: [
				button enabled: false.
			].
			self levelButtonContainer addMorph: button.
			levelButtons add: button.
	].

	self levelButtonContainer addMorph: currentChapter title asMorph.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:55:48.246'!
initialize
	super initialize.
	self initializePanel.
	self initializeChapters.
	
	levelButtons := OrderedCollection new.
		
	"Workaround to prevent exceptions on mouseup UITextEdits"
	self taskDescription textMorph editor.
	self parameterDisplay textMorph editor.
	
	self chapterButtons: OrderedCollection new.
	self chapters size to: 1 by: -1 do: [:i|
		| button |
		button := UiPushButton new text: (self chapters at: i) name.	
		self chapterButtons add: button.
		self connect: button signal: #clicked: toSelector: #showChapter: pattern: {#=. i}.
		self unlockedChapters: 1.
		self titleMenu addMorph: button.		
	].
	
	self titleMenu addMorph: self class logo asMorph.
	
	self stack currentIndex: 1.
	
	self connect: self hintButton signal: #clicked: toSelector: #showHint.
	self connect: self levelButton signal: #clicked: toSelector: #showLevels.
	self connect: self interfaceButton signal: #clicked: toSelector: #showInterface.
	self connect: self chapterButton signal: #clicked: toSelector: #showChapters.
	self connect: self playButton signal: #clicked: toSelector: #runUserCode.
	self connect: self stepButton signal: #clicked: toSelector: #stepUserCode.
	self connect: self resetButton signal: #clicked: toSelector: #resetTask. 
	self connect: self codeEdit signal: #editingFinished: toSelector: #compileUserCode:! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:20:10.442'!
initializeChapters
	chapters := {
		self class chapterOneTasks.
		self class chapterTwoTasks.
		self class chapterThreeTasks.
	}! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:40:26.706'!
nextTask
	| oldTask |
	oldTask := self task.
	(taskNumber = self currentChapter currentTaskNumber) ifTrue: [
		| nextTask |
		taskNumber := taskNumber + 1.
		nextTask := self currentChapter nextTask.
		self currentChapter finished ifTrue: [
			self showChapterWonDialog.
		] ifFalse: [
			(levelButtonContainer submorphs at: (taskNumber+1)) enabled: true.
			self task: nextTask.
			self showTaskBeginDialog.
		].
	] ifFalse: [
		taskNumber := taskNumber+1.
		(taskNumber > self currentChapter tasks size) ifTrue: [
			self showChapterWonDialog.
		] ifFalse: [
			self task: (self currentChapter tasks at: taskNumber).
			self showTaskBeginDialog.
		]
	].

	oldTask reset.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 18:22:49.227'!
notify: aMessage at: aLocation in: aSource
	| message |		
	self codeEdit textMorph editor selectAt: (aLocation - (self parameterDisplay theText size + 1)).
	
	"Trigger manual focus changes. Should be automatic on selection changed?"
	self codeEdit onFocusChanged: (self codeEdit textMorph editor pointBlock).
	
	message := ((UiMessage information: aMessage)
		topLeft: (self codeEdit textMorph localPointToGlobal: (self codeEdit textMorph editor pointBlock bottomLeft))).
	message openInWorld.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/23/2013 16:34:07.292'!
resetTask

	self task reset. 
	self resetVisuals.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 18:09:30.744'!
resetVisualization: aVisualization
	| pos |
	
	Smalltalk garbageCollect.
	
	self scrollArea transformMorph removeAllMorphs.
	self scrollArea transformMorph addMorph: aVisualization.
	pos := self scrollArea extent - aVisualization extent.
	pos := pos / 2.
	aVisualization position: (pos max: 0@0).! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 14:53:51.592'!
resetVisuals
	
	self task updateDescription.	
	self taskDescription theText: self task description.
	self showHint.
	self taskDescription textMorph editor. "Hack to update editor."
	
	self resetVisualization: task visualization.
	self playButton text: 'Play'.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 12:16:51.466'!
runUserCode
	|ucrunner|
	self compileUserCode.
	ucrunner := self task userCodeRunner.
	ucrunner isRunning ifTrue:[
		"playbutton sollte Play beinhalten"
		self playButton text: 'Play'.
	] ifFalse: [
		self playButton text: 'Stop'.
	].
 	self task userCodeRunner run.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 11:52:46.939'!
showChapter: aNumber
	(aNumber <= self chapters size) ifTrue: [
		self currentChapter: (self chapters at: aNumber).
		self stack currentIndex: 3.
		]! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 17:03:48.523'!
showChapterWonDialog
	UserDialogBoxMorph new
		title: 'You WON!!';
		label: 'This chapter is over, try the next one.';
		addSelectedCancelButton: '   YAY   ' translated
		value: nil;
		runModalIn: ActiveWorld forHand: ActiveHand at: ActiveHand position.
	((self chapters at: self unlockedChapters) = self currentChapter) ifTrue: [
		self unlockedChapters: (self unlockedChapters + 1).
	].
	self showChapters.	! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 16:20:29.542'!
showChapters
	self stack currentIndex:1.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 16:47:13.356'!
showHint
	self taskDescription append: Character cr.
	self taskDescription append: Character lf.
	self taskDescription append: self task nextHint.
	self taskDescription textMorph editor.
	
	self taskDescription scrollToShow: (50000@50000 corner: 50001@50001).! !

!I2SActiveTaskUi methodsFor: 'nil' stamp: 'benjamin.siegmund 6/28/2013 16:15:14.431'!
showInterface
	I2SActiveInterfaceUi new
	task: self task;
	openInWindow.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 16:50:03.478'!
showLevels
	self stack currentIndex: 3.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 14:28:08.163'!
showMessage: aValue
	self taskDescription append: Character cr.
	self taskDescription append: Character lf.
	self taskDescription append: aValue.
	self taskDescription textMorph editor.
	self taskDescription scrollToShow: (50000@50000 corner: 50001@50001).
	
	self task isCodingTask ifFalse: [
		UserDialogBoxMorph new
		title: 'Notice';
		label: aValue;
		addSelectedCancelButton: '   OKAY   ' translated
		value: nil;
		runModalIn: ActiveWorld forHand: ActiveHand at: ActiveHand position.
	].! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 14:54:40.3'!
showTask: aNumber
	taskNumber := aNumber. 
	self task: (self currentChapter tasks at: aNumber).
	self stack currentIndex: 2.

	self showTaskBeginDialog.	! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 14:54:29.332'!
showTaskBeginDialog
	UserDialogBoxMorph new
		title: self task name;
		label: self taskDescription theText;
		addSelectedButton: '   Got it!!   ' translated
		value: nil;
		runModalIn: ActiveWorld forHand: ActiveHand at: ActiveHand position.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 12:17:45.337'!
stepUserCode
	self compileUserCode.
	self task userCodeRunner isRunning: true.
	self task userCodeRunner step.
	self task userCodeRunner isRunning: false.! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 16:26:27.189'!
task
	^task! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:29:56.142'!
task: aTask
	(aTask = task) ifTrue: [
		self resetTask.
	].
	task ifNotNil:[
		task disconnectSignal: #visualization: from: self.
		task disconnectSignal: #completed: from: self.
		task disconnectSignal: #showMessage: from: self. 
	].

	task := aTask.
	self resetTask.

	self playButton enabled: self task isCodingTask.
	self stepButton enabled: self task isCodingTask.
	self interfaceButton enabled: self task isCodingTask.
	self codeEdit enabled: self task isCodingTask.
	self parameterDisplay enabled: self task isCodingTask.

	self codeEdit readOnly: self task isCodingTask not.
	self parameterDisplay readOnly: true.

	self task isCodingTask ifTrue: [
		self parameterDisplay theText: task userCodeSignature.
		self codeEdit sourceCode: task userCode.
	] ifFalse: [
		self parameterDisplay theText: ''.
		self codeEdit sourceCode: ''.
	].
	
	self
		connect: task
		signal: #visualization:
		toSelector: #resetVisualization:.
		
	self
		connect: task
		signal: #completed:
		toSelector: #taskComplete:.
		
	self
		connect: task
		signal: #showMessage:
		toSelector: #showMessage:! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/12/2013 17:48:43.479'!
taskComplete: aBoolean
	aBoolean ifTrue:[
		UserDialogBoxMorph new
			title: 'You WON!!';
			label: 'You WON!! You needed ',(self task clickCount asString),' clicks.
Proceeding to next level';
			addSelectedCancelButton: '   YAY   ' translated
			value: nil;
			runModalIn: ActiveWorld forHand: ActiveHand at: ActiveHand position.
		self nextTask.
	].! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:49:25.537'!
unlockAll
	self unlockedChapters: self chapters size.
	self chapters do:[ :ea|
		ea unlockAll.
	].! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:47:48.397'!
unlockedChapters
	^unlockedChapters! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:56:31.421'!
unlockedChapters: anInteger
	unlockedChapters := anInteger.
	1 to: self chapterButtons size do: [:i|
		|button|
		button := self chapterButtons at: (self chapterButtons size + 1 - i).
		button enabled: (i <= unlockedChapters).
	].! !

!I2SActiveTaskUi methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/19/2013 14:40:23.86'!
userCode
	^ userCode! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.226'!
chapterButton
	"No description given."
	
	^ chapterButton! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.06'!
codeEdit
	"No description given."
	
	^ codeEdit! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.89'!
hintButton
	"No description given."
	
	^ hintButton! !

!I2STaskUi methodsFor: 'ui - private' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.303'!
initializePanel
	"This code is auto-generated. DO NOT modify it because another generation step will overwrite all changes."
	
	| unnamedMorph1 unnamedMorph2 unnamedMorph3 unnamedMorph4 unnamedMorph5 unnamedMorph6 unnamedMorph7 unnamedMorph8 unnamedMorph9 unnamedMorph10 |
	
	panel := UiContainer new.
	panel changeTableLayout.
	panel extent: (800@600).
	panel position: (0@0).
	panel hResizing: (#rigid).
	panel vResizing: (#rigid).
	panel minWidth: (2).
	panel minHeight: (2).
	panel cellInset: (4).
	panel cellPositioning: (#center).
	panel cellSpacing: (#none).
	panel layoutInset: (4).
	panel listCentering: (#topLeft).
	panel listDirection: (#leftToRight).
	panel listSpacing: (#none).
	panel maxCellSize: (1073741823).
	panel minCellSize: (0).
	panel wrapCentering: (#topLeft).
	panel wrapDirection: (#none).
	panel frameFractions: (0@0 corner: 1@1).
	panel frameOffsets: (0@0 corner: 0@0).
	panel balloonText: (nil).
	panel balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	panel color: ((Color r: 0.884 g: 0.884 b: 0.884)).
	panel borderWidth: (0).
	panel borderStyle2: (#simple).
	panel borderColor: (Color black).
	panel setProperty: #objectName toValue: 'panel'.
	stack := UiStackedWidget new.
	stack changeTableLayout.
	stack extent: (792@592).
	stack position: (4@4).
	stack hResizing: (#spaceFill).
	stack vResizing: (#spaceFill).
	stack minWidth: (2).
	stack minHeight: (2).
	stack cellInset: (4).
	stack cellPositioning: (#center).
	stack cellSpacing: (#none).
	stack layoutInset: (0).
	stack listCentering: (#topLeft).
	stack listDirection: (#topToBottom).
	stack listSpacing: (#none).
	stack maxCellSize: (1073741823).
	stack minCellSize: (0).
	stack wrapCentering: (#topLeft).
	stack wrapDirection: (#none).
	stack frameFractions: (0@0 corner: 1@1).
	stack frameOffsets: (0@0 corner: 0@0).
	stack balloonText: (nil).
	stack balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	stack color: (Color transparent).
	stack borderWidth: (0).
	stack borderStyle2: (#simple).
	stack borderColor: (Color black).
	stack setProperty: #objectName toValue: 'stack'.
	titleMenu := UiWidgetPage new.
	titleMenu changeTableLayout.
	titleMenu extent: (616@505).
	titleMenu position: (4@4).
	titleMenu hResizing: (#spaceFill).
	titleMenu vResizing: (#spaceFill).
	titleMenu minWidth: (2).
	titleMenu minHeight: (2).
	titleMenu cellInset: (30).
	titleMenu cellPositioning: (#center).
	titleMenu cellSpacing: (#none).
	titleMenu layoutInset: (4).
	titleMenu listCentering: (#center).
	titleMenu listDirection: (#topToBottom).
	titleMenu listSpacing: (#none).
	titleMenu maxCellSize: (1073741823).
	titleMenu minCellSize: (0).
	titleMenu wrapCentering: (#center).
	titleMenu wrapDirection: (#topToBottom).
	titleMenu frameFractions: (0@0 corner: 1@1).
	titleMenu frameOffsets: (0@0 corner: 0@0).
	titleMenu balloonText: (nil).
	titleMenu balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	titleMenu color: (Color transparent).
	titleMenu borderWidth: (0).
	titleMenu borderStyle2: (#simple).
	titleMenu borderColor: (Color black).
	titleMenu setProperty: #objectName toValue: 'titleMenu'.
	stack addChild: titleMenu.
	unnamedMorph1 := UiWidgetPage new.
	unnamedMorph1 changeTableLayout.
	unnamedMorph1 extent: (616@505).
	unnamedMorph1 position: (4@4).
	unnamedMorph1 hResizing: (#spaceFill).
	unnamedMorph1 vResizing: (#spaceFill).
	unnamedMorph1 minWidth: (2).
	unnamedMorph1 minHeight: (2).
	unnamedMorph1 cellInset: (4).
	unnamedMorph1 cellPositioning: (#center).
	unnamedMorph1 cellSpacing: (#none).
	unnamedMorph1 layoutInset: (4).
	unnamedMorph1 listCentering: (#topLeft).
	unnamedMorph1 listDirection: (#leftToRight).
	unnamedMorph1 listSpacing: (#none).
	unnamedMorph1 maxCellSize: (1073741823).
	unnamedMorph1 minCellSize: (0).
	unnamedMorph1 wrapCentering: (#topLeft).
	unnamedMorph1 wrapDirection: (#none).
	unnamedMorph1 frameFractions: (0@0 corner: 1@1).
	unnamedMorph1 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph1 balloonText: (nil).
	unnamedMorph1 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	unnamedMorph1 color: (Color transparent).
	unnamedMorph1 borderWidth: (0).
	unnamedMorph1 borderStyle2: (#simple).
	unnamedMorph1 borderColor: (Color black).
	unnamedMorph2 := UiContainer new.
	unnamedMorph2 changeTableLayout.
	unnamedMorph2 extent: (364@497).
	unnamedMorph2 position: (8@8).
	unnamedMorph2 hResizing: (#spaceFill).
	unnamedMorph2 vResizing: (#spaceFill).
	unnamedMorph2 minWidth: (2).
	unnamedMorph2 minHeight: (2).
	unnamedMorph2 cellInset: (4).
	unnamedMorph2 cellPositioning: (#center).
	unnamedMorph2 cellSpacing: (#none).
	unnamedMorph2 layoutInset: (4).
	unnamedMorph2 listCentering: (#topLeft).
	unnamedMorph2 listDirection: (#topToBottom).
	unnamedMorph2 listSpacing: (#none).
	unnamedMorph2 maxCellSize: (1073741823).
	unnamedMorph2 minCellSize: (0).
	unnamedMorph2 wrapCentering: (#topLeft).
	unnamedMorph2 wrapDirection: (#none).
	unnamedMorph2 frameFractions: (0@0 corner: 1@1).
	unnamedMorph2 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph2 balloonText: (nil).
	unnamedMorph2 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph2 color: (Color transparent).
	unnamedMorph2 borderWidth: (0).
	unnamedMorph2 borderStyle2: (#simple).
	unnamedMorph2 borderColor: (Color black).
	taskDescription := UiTextEdit new.
	taskDescription extent: (356@70).
	taskDescription position: (12@13).
	taskDescription hResizing: (#spaceFill).
	taskDescription vResizing: (#rigid).
	taskDescription minWidth: (2).
	taskDescription minHeight: (2).
	taskDescription cellInset: (0).
	taskDescription cellPositioning: (#center).
	taskDescription cellSpacing: (#none).
	taskDescription layoutInset: (0).
	taskDescription listCentering: (#topLeft).
	taskDescription listDirection: (#topToBottom).
	taskDescription listSpacing: (#none).
	taskDescription maxCellSize: (1073741823).
	taskDescription minCellSize: (0).
	taskDescription wrapCentering: (#topLeft).
	taskDescription wrapDirection: (#none).
	taskDescription frameFractions: (0@0 corner: 1@1).
	taskDescription frameOffsets: (0@0 corner: 0@0).
	taskDescription balloonText: (nil).
	taskDescription balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	taskDescription widgetResizable: (true).
	taskDescription horizontalScrollBarPolicy: (#alwaysOff).
	taskDescription verticalScrollBarPolicy: (#alwaysOn).
	taskDescription outerBorderWidth: (1).
	taskDescription scrollBarThickness: (9).
	taskDescription theText: ('').
	taskDescription readOnly: (false).
	taskDescription autoConvert: (false).
	taskDescription autoAccept: (false).
	taskDescription acceptOnFocusLost: (false).
	taskDescription scrollingMode: (#none).
	taskDescription scrollingLimit: (10).
	taskDescription setProperty: #objectName toValue: 'taskDescription'.
	unnamedMorph2 addChild: taskDescription.
	scrollArea := ViScrollArea new.
	scrollArea extent: (356@413).
	scrollArea position: (12@88).
	scrollArea hResizing: (#spaceFill).
	scrollArea vResizing: (#spaceFill).
	scrollArea minWidth: (2).
	scrollArea minHeight: (2).
	scrollArea cellInset: (0).
	scrollArea cellPositioning: (#center).
	scrollArea cellSpacing: (#none).
	scrollArea layoutInset: (0).
	scrollArea listCentering: (#topLeft).
	scrollArea listDirection: (#topToBottom).
	scrollArea listSpacing: (#none).
	scrollArea maxCellSize: (1073741823).
	scrollArea minCellSize: (0).
	scrollArea wrapCentering: (#topLeft).
	scrollArea wrapDirection: (#none).
	scrollArea frameFractions: (0@0 corner: 1@1).
	scrollArea frameOffsets: (0@0 corner: 0@0).
	scrollArea balloonText: (nil).
	scrollArea balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	scrollArea widgetResizable: (false).
	scrollArea horizontalScrollBarPolicy: (#alwaysOn).
	scrollArea verticalScrollBarPolicy: (#alwaysOn).
	scrollArea outerBorderWidth: (0).
	scrollArea scrollBarThickness: (9).
	scrollArea setProperty: #objectName toValue: 'scrollArea'.
	unnamedMorph2 addChild: scrollArea.
	unnamedMorph1 addChild: unnamedMorph2.
	unnamedMorph3 := UiContainer new.
	unnamedMorph3 changeTableLayout.
	unnamedMorph3 extent: (240@497).
	unnamedMorph3 position: (376@8).
	unnamedMorph3 hResizing: (#rigid).
	unnamedMorph3 vResizing: (#spaceFill).
	unnamedMorph3 minWidth: (2).
	unnamedMorph3 minHeight: (2).
	unnamedMorph3 cellInset: (4).
	unnamedMorph3 cellPositioning: (#center).
	unnamedMorph3 cellSpacing: (#none).
	unnamedMorph3 layoutInset: (4).
	unnamedMorph3 listCentering: (#topLeft).
	unnamedMorph3 listDirection: (#topToBottom).
	unnamedMorph3 listSpacing: (#none).
	unnamedMorph3 maxCellSize: (1073741823).
	unnamedMorph3 minCellSize: (0).
	unnamedMorph3 wrapCentering: (#topLeft).
	unnamedMorph3 wrapDirection: (#none).
	unnamedMorph3 frameFractions: (0@0 corner: 1@1).
	unnamedMorph3 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph3 balloonText: (nil).
	unnamedMorph3 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph3 color: (Color transparent).
	unnamedMorph3 borderWidth: (0).
	unnamedMorph3 borderStyle2: (#simple).
	unnamedMorph3 borderColor: (Color black).
	unnamedMorph4 := UiContainer new.
	unnamedMorph4 changeTableLayout.
	unnamedMorph4 extent: (232@71).
	unnamedMorph4 position: (380@12).
	unnamedMorph4 hResizing: (#spaceFill).
	unnamedMorph4 vResizing: (#shrinkWrap).
	unnamedMorph4 minWidth: (2).
	unnamedMorph4 minHeight: (2).
	unnamedMorph4 cellInset: (4).
	unnamedMorph4 cellPositioning: (#center).
	unnamedMorph4 cellSpacing: (#none).
	unnamedMorph4 layoutInset: (4).
	unnamedMorph4 listCentering: (#topLeft).
	unnamedMorph4 listDirection: (#leftToRight).
	unnamedMorph4 listSpacing: (#none).
	unnamedMorph4 maxCellSize: (1073741823).
	unnamedMorph4 minCellSize: (0).
	unnamedMorph4 wrapCentering: (#topLeft).
	unnamedMorph4 wrapDirection: (#none).
	unnamedMorph4 frameFractions: (0@0 corner: 1@1).
	unnamedMorph4 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph4 balloonText: (nil).
	unnamedMorph4 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph4 color: (Color transparent).
	unnamedMorph4 borderWidth: (0).
	unnamedMorph4 borderStyle2: (#simple).
	unnamedMorph4 borderColor: (Color black).
	unnamedMorph5 := UiContainer new.
	unnamedMorph5 changeTableLayout.
	unnamedMorph5 extent: (109@63).
	unnamedMorph5 position: (384@16).
	unnamedMorph5 hResizing: (#rigid).
	unnamedMorph5 vResizing: (#shrinkWrap).
	unnamedMorph5 minWidth: (2).
	unnamedMorph5 minHeight: (2).
	unnamedMorph5 cellInset: (4).
	unnamedMorph5 cellPositioning: (#center).
	unnamedMorph5 cellSpacing: (#none).
	unnamedMorph5 layoutInset: (4).
	unnamedMorph5 listCentering: (#topLeft).
	unnamedMorph5 listDirection: (#topToBottom).
	unnamedMorph5 listSpacing: (#none).
	unnamedMorph5 maxCellSize: (1073741823).
	unnamedMorph5 minCellSize: (0).
	unnamedMorph5 wrapCentering: (#topLeft).
	unnamedMorph5 wrapDirection: (#none).
	unnamedMorph5 frameFractions: (0@0 corner: 1@1).
	unnamedMorph5 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph5 balloonText: (nil).
	unnamedMorph5 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph5 color: (Color transparent).
	unnamedMorph5 borderWidth: (0).
	unnamedMorph5 borderStyle2: (#simple).
	unnamedMorph5 borderColor: (Color black).
	levelButton := UiPushButton new.
	levelButton changeTableLayout.
	levelButton extent: (70@21).
	levelButton position: (388@20).
	levelButton hResizing: (#spaceFill).
	levelButton vResizing: (#shrinkWrap).
	levelButton minWidth: (2).
	levelButton minHeight: (2).
	levelButton cellInset: (4).
	levelButton cellPositioning: (#center).
	levelButton cellSpacing: (#none).
	levelButton layoutInset: (2).
	levelButton listCentering: (#center).
	levelButton listDirection: (#leftToRight).
	levelButton listSpacing: (#none).
	levelButton maxCellSize: (1073741823).
	levelButton minCellSize: (0).
	levelButton wrapCentering: (#topLeft).
	levelButton wrapDirection: (#none).
	levelButton frameFractions: (0@0 corner: 1@1).
	levelButton frameOffsets: (0@0 corner: 0@0).
	levelButton balloonText: (nil).
	levelButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.925)).
	levelButton enabled: (true).
	levelButton setProperty: #iconByDesigner toValue: 'nil'.
	levelButton icon: (nil).
	levelButton text: ('Levels').
	levelButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	levelButton checkable: (false).
	levelButton checked: (false).
	levelButton autoExclusive: (false).
	levelButton setProperty: #objectName toValue: 'levelButton'.
	unnamedMorph5 addChild: levelButton.
	hintButton := UiPushButton new.
	hintButton changeTableLayout.
	hintButton extent: (70@21).
	hintButton position: (388@49).
	hintButton hResizing: (#spaceFill).
	hintButton vResizing: (#shrinkWrap).
	hintButton minWidth: (2).
	hintButton minHeight: (2).
	hintButton cellInset: (4).
	hintButton cellPositioning: (#center).
	hintButton cellSpacing: (#none).
	hintButton layoutInset: (2).
	hintButton listCentering: (#center).
	hintButton listDirection: (#leftToRight).
	hintButton listSpacing: (#none).
	hintButton maxCellSize: (1073741823).
	hintButton minCellSize: (0).
	hintButton wrapCentering: (#topLeft).
	hintButton wrapDirection: (#none).
	hintButton frameFractions: (0@0 corner: 1@1).
	hintButton frameOffsets: (0@0 corner: 0@0).
	hintButton balloonText: (nil).
	hintButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.929)).
	hintButton enabled: (true).
	hintButton setProperty: #iconByDesigner toValue: 'nil'.
	hintButton icon: (nil).
	hintButton text: ('Hint').
	hintButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	hintButton checkable: (false).
	hintButton checked: (false).
	hintButton autoExclusive: (false).
	hintButton setProperty: #objectName toValue: 'hintButton'.
	unnamedMorph5 addChild: hintButton.
	unnamedMorph4 addChild: unnamedMorph5.
	unnamedMorph6 := UiContainer new.
	unnamedMorph6 changeTableLayout.
	unnamedMorph6 extent: (109@63).
	unnamedMorph6 position: (497@16).
	unnamedMorph6 hResizing: (#rigid).
	unnamedMorph6 vResizing: (#shrinkWrap).
	unnamedMorph6 minWidth: (2).
	unnamedMorph6 minHeight: (2).
	unnamedMorph6 cellInset: (4).
	unnamedMorph6 cellPositioning: (#center).
	unnamedMorph6 cellSpacing: (#none).
	unnamedMorph6 layoutInset: (4).
	unnamedMorph6 listCentering: (#topLeft).
	unnamedMorph6 listDirection: (#topToBottom).
	unnamedMorph6 listSpacing: (#none).
	unnamedMorph6 maxCellSize: (1073741823).
	unnamedMorph6 minCellSize: (0).
	unnamedMorph6 wrapCentering: (#topLeft).
	unnamedMorph6 wrapDirection: (#none).
	unnamedMorph6 frameFractions: (0@0 corner: 1@1).
	unnamedMorph6 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph6 balloonText: (nil).
	unnamedMorph6 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph6 color: (Color transparent).
	unnamedMorph6 borderWidth: (0).
	unnamedMorph6 borderStyle2: (#simple).
	unnamedMorph6 borderColor: (Color black).
	resetButton := UiPushButton new.
	resetButton changeTableLayout.
	resetButton extent: (70@21).
	resetButton position: (501@20).
	resetButton hResizing: (#spaceFill).
	resetButton vResizing: (#shrinkWrap).
	resetButton minWidth: (2).
	resetButton minHeight: (2).
	resetButton cellInset: (4).
	resetButton cellPositioning: (#center).
	resetButton cellSpacing: (#none).
	resetButton layoutInset: (2).
	resetButton listCentering: (#center).
	resetButton listDirection: (#leftToRight).
	resetButton listSpacing: (#none).
	resetButton maxCellSize: (1073741823).
	resetButton minCellSize: (0).
	resetButton wrapCentering: (#topLeft).
	resetButton wrapDirection: (#none).
	resetButton frameFractions: (0@0 corner: 1@1).
	resetButton frameOffsets: (0@0 corner: 0@0).
	resetButton balloonText: (nil).
	resetButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.925)).
	resetButton enabled: (true).
	resetButton setProperty: #iconByDesigner toValue: 'nil'.
	resetButton icon: (nil).
	resetButton text: ('Reset').
	resetButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	resetButton checkable: (false).
	resetButton checked: (false).
	resetButton autoExclusive: (false).
	resetButton setProperty: #objectName toValue: 'resetButton'.
	unnamedMorph6 addChild: resetButton.
	interfaceButton := UiPushButton new.
	interfaceButton changeTableLayout.
	interfaceButton extent: (70@21).
	interfaceButton position: (501@49).
	interfaceButton hResizing: (#spaceFill).
	interfaceButton vResizing: (#shrinkWrap).
	interfaceButton minWidth: (2).
	interfaceButton minHeight: (2).
	interfaceButton cellInset: (4).
	interfaceButton cellPositioning: (#center).
	interfaceButton cellSpacing: (#none).
	interfaceButton layoutInset: (2).
	interfaceButton listCentering: (#center).
	interfaceButton listDirection: (#leftToRight).
	interfaceButton listSpacing: (#none).
	interfaceButton maxCellSize: (1073741823).
	interfaceButton minCellSize: (0).
	interfaceButton wrapCentering: (#topLeft).
	interfaceButton wrapDirection: (#none).
	interfaceButton frameFractions: (0@0 corner: 1@1).
	interfaceButton frameOffsets: (0@0 corner: 0@0).
	interfaceButton balloonText: (nil).
	interfaceButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.925)).
	interfaceButton enabled: (true).
	interfaceButton setProperty: #iconByDesigner toValue: 'nil'.
	interfaceButton icon: (nil).
	interfaceButton text: ('Interface').
	interfaceButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	interfaceButton checkable: (false).
	interfaceButton checked: (false).
	interfaceButton autoExclusive: (false).
	interfaceButton setProperty: #objectName toValue: 'interfaceButton'.
	unnamedMorph6 addChild: interfaceButton.
	unnamedMorph4 addChild: unnamedMorph6.
	unnamedMorph3 addChild: unnamedMorph4.
	parameterDisplay := UiTextEdit new.
	parameterDisplay extent: (232@70).
	parameterDisplay position: (380@88).
	parameterDisplay hResizing: (#spaceFill).
	parameterDisplay vResizing: (#rigid).
	parameterDisplay minWidth: (2).
	parameterDisplay minHeight: (2).
	parameterDisplay cellInset: (0).
	parameterDisplay cellPositioning: (#center).
	parameterDisplay cellSpacing: (#none).
	parameterDisplay layoutInset: (0).
	parameterDisplay listCentering: (#topLeft).
	parameterDisplay listDirection: (#topToBottom).
	parameterDisplay listSpacing: (#none).
	parameterDisplay maxCellSize: (1073741823).
	parameterDisplay minCellSize: (0).
	parameterDisplay wrapCentering: (#topLeft).
	parameterDisplay wrapDirection: (#none).
	parameterDisplay frameFractions: (0@0 corner: 1@1).
	parameterDisplay frameOffsets: (0@0 corner: 0@0).
	parameterDisplay balloonText: (nil).
	parameterDisplay balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	parameterDisplay widgetResizable: (true).
	parameterDisplay horizontalScrollBarPolicy: (#alwaysOff).
	parameterDisplay verticalScrollBarPolicy: (#alwaysOn).
	parameterDisplay outerBorderWidth: (1).
	parameterDisplay scrollBarThickness: (9).
	parameterDisplay theText: ('find: aValue').
	parameterDisplay readOnly: (false).
	parameterDisplay autoConvert: (false).
	parameterDisplay autoAccept: (false).
	parameterDisplay acceptOnFocusLost: (false).
	parameterDisplay scrollingMode: (#none).
	parameterDisplay scrollingLimit: (10).
	parameterDisplay setProperty: #objectName toValue: 'parameterDisplay'.
	unnamedMorph3 addChild: parameterDisplay.
	codeEdit := ViSourceCodeEdit new.
	codeEdit extent: (232@292).
	codeEdit position: (380@163).
	codeEdit hResizing: (#spaceFill).
	codeEdit vResizing: (#spaceFill).
	codeEdit minWidth: (2).
	codeEdit minHeight: (2).
	codeEdit cellInset: (0).
	codeEdit cellPositioning: (#center).
	codeEdit cellSpacing: (#none).
	codeEdit layoutInset: (0).
	codeEdit listCentering: (#topLeft).
	codeEdit listDirection: (#topToBottom).
	codeEdit listSpacing: (#none).
	codeEdit maxCellSize: (1073741823).
	codeEdit minCellSize: (0).
	codeEdit wrapCentering: (#topLeft).
	codeEdit wrapDirection: (#none).
	codeEdit frameFractions: (0@0 corner: 1@1).
	codeEdit frameOffsets: (0@0 corner: 0@0).
	codeEdit balloonText: (nil).
	codeEdit balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	codeEdit widgetResizable: (true).
	codeEdit horizontalScrollBarPolicy: (#alwaysOff).
	codeEdit verticalScrollBarPolicy: (#alwaysOn).
	codeEdit outerBorderWidth: (1).
	codeEdit scrollBarThickness: (9).
	codeEdit theText: ('').
	codeEdit readOnly: (false).
	codeEdit autoConvert: (false).
	codeEdit autoAccept: (false).
	codeEdit acceptOnFocusLost: (false).
	codeEdit scrollingMode: (#none).
	codeEdit scrollingLimit: (10).
	codeEdit setProperty: #objectName toValue: 'codeEdit'.
	unnamedMorph3 addChild: codeEdit.
	unnamedMorph7 := UiContainer new.
	unnamedMorph7 changeTableLayout.
	unnamedMorph7 extent: (232@42).
	unnamedMorph7 position: (380@459).
	unnamedMorph7 hResizing: (#spaceFill).
	unnamedMorph7 vResizing: (#shrinkWrap).
	unnamedMorph7 minWidth: (2).
	unnamedMorph7 minHeight: (2).
	unnamedMorph7 cellInset: (4).
	unnamedMorph7 cellPositioning: (#center).
	unnamedMorph7 cellSpacing: (#none).
	unnamedMorph7 layoutInset: (4).
	unnamedMorph7 listCentering: (#topLeft).
	unnamedMorph7 listDirection: (#leftToRight).
	unnamedMorph7 listSpacing: (#none).
	unnamedMorph7 maxCellSize: (1073741823).
	unnamedMorph7 minCellSize: (0).
	unnamedMorph7 wrapCentering: (#topLeft).
	unnamedMorph7 wrapDirection: (#none).
	unnamedMorph7 frameFractions: (0@0 corner: 1@1).
	unnamedMorph7 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph7 balloonText: (nil).
	unnamedMorph7 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph7 color: (Color transparent).
	unnamedMorph7 borderWidth: (0).
	unnamedMorph7 borderStyle2: (#simple).
	unnamedMorph7 borderColor: (Color black).
	unnamedMorph8 := UiContainer new.
	unnamedMorph8 changeTableLayout.
	unnamedMorph8 extent: (109@34).
	unnamedMorph8 position: (384@463).
	unnamedMorph8 hResizing: (#rigid).
	unnamedMorph8 vResizing: (#shrinkWrap).
	unnamedMorph8 minWidth: (2).
	unnamedMorph8 minHeight: (2).
	unnamedMorph8 cellInset: (4).
	unnamedMorph8 cellPositioning: (#center).
	unnamedMorph8 cellSpacing: (#none).
	unnamedMorph8 layoutInset: (4).
	unnamedMorph8 listCentering: (#topLeft).
	unnamedMorph8 listDirection: (#topToBottom).
	unnamedMorph8 listSpacing: (#none).
	unnamedMorph8 maxCellSize: (1073741823).
	unnamedMorph8 minCellSize: (0).
	unnamedMorph8 wrapCentering: (#topLeft).
	unnamedMorph8 wrapDirection: (#none).
	unnamedMorph8 frameFractions: (0@0 corner: 1@1).
	unnamedMorph8 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph8 balloonText: (nil).
	unnamedMorph8 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph8 color: (Color transparent).
	unnamedMorph8 borderWidth: (0).
	unnamedMorph8 borderStyle2: (#simple).
	unnamedMorph8 borderColor: (Color black).
	playButton := UiPushButton new.
	playButton changeTableLayout.
	playButton extent: (70@21).
	playButton position: (388@467).
	playButton hResizing: (#spaceFill).
	playButton vResizing: (#shrinkWrap).
	playButton minWidth: (2).
	playButton minHeight: (2).
	playButton cellInset: (4).
	playButton cellPositioning: (#center).
	playButton cellSpacing: (#none).
	playButton layoutInset: (2).
	playButton listCentering: (#center).
	playButton listDirection: (#leftToRight).
	playButton listSpacing: (#none).
	playButton maxCellSize: (1073741823).
	playButton minCellSize: (0).
	playButton wrapCentering: (#topLeft).
	playButton wrapDirection: (#none).
	playButton frameFractions: (0@0 corner: 1@1).
	playButton frameOffsets: (0@0 corner: 0@0).
	playButton balloonText: (nil).
	playButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.929)).
	playButton enabled: (true).
	playButton setProperty: #iconByDesigner toValue: 'nil'.
	playButton icon: (nil).
	playButton text: ('Play').
	playButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	playButton checkable: (false).
	playButton checked: (false).
	playButton autoExclusive: (false).
	playButton setProperty: #objectName toValue: 'playButton'.
	unnamedMorph8 addChild: playButton.
	unnamedMorph7 addChild: unnamedMorph8.
	unnamedMorph9 := UiContainer new.
	unnamedMorph9 changeTableLayout.
	unnamedMorph9 extent: (109@34).
	unnamedMorph9 position: (497@463).
	unnamedMorph9 hResizing: (#rigid).
	unnamedMorph9 vResizing: (#shrinkWrap).
	unnamedMorph9 minWidth: (2).
	unnamedMorph9 minHeight: (2).
	unnamedMorph9 cellInset: (4).
	unnamedMorph9 cellPositioning: (#center).
	unnamedMorph9 cellSpacing: (#none).
	unnamedMorph9 layoutInset: (4).
	unnamedMorph9 listCentering: (#topLeft).
	unnamedMorph9 listDirection: (#topToBottom).
	unnamedMorph9 listSpacing: (#none).
	unnamedMorph9 maxCellSize: (1073741823).
	unnamedMorph9 minCellSize: (0).
	unnamedMorph9 wrapCentering: (#topLeft).
	unnamedMorph9 wrapDirection: (#none).
	unnamedMorph9 frameFractions: (0@0 corner: 1@1).
	unnamedMorph9 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph9 balloonText: (nil).
	unnamedMorph9 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.933)).
	unnamedMorph9 color: (Color transparent).
	unnamedMorph9 borderWidth: (0).
	unnamedMorph9 borderStyle2: (#simple).
	unnamedMorph9 borderColor: (Color black).
	stepButton := UiPushButton new.
	stepButton changeTableLayout.
	stepButton extent: (70@21).
	stepButton position: (501@467).
	stepButton hResizing: (#spaceFill).
	stepButton vResizing: (#shrinkWrap).
	stepButton minWidth: (2).
	stepButton minHeight: (2).
	stepButton cellInset: (4).
	stepButton cellPositioning: (#center).
	stepButton cellSpacing: (#none).
	stepButton layoutInset: (2).
	stepButton listCentering: (#center).
	stepButton listDirection: (#leftToRight).
	stepButton listSpacing: (#none).
	stepButton maxCellSize: (1073741823).
	stepButton minCellSize: (0).
	stepButton wrapCentering: (#topLeft).
	stepButton wrapDirection: (#none).
	stepButton frameFractions: (0@0 corner: 1@1).
	stepButton frameOffsets: (0@0 corner: 0@0).
	stepButton balloonText: (nil).
	stepButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.925)).
	stepButton enabled: (true).
	stepButton setProperty: #iconByDesigner toValue: 'nil'.
	stepButton icon: (nil).
	stepButton text: ('Step').
	stepButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	stepButton checkable: (false).
	stepButton checked: (false).
	stepButton autoExclusive: (false).
	stepButton setProperty: #objectName toValue: 'stepButton'.
	unnamedMorph9 addChild: stepButton.
	unnamedMorph7 addChild: unnamedMorph9.
	unnamedMorph3 addChild: unnamedMorph7.
	unnamedMorph1 addChild: unnamedMorph3.
	stack addChild: unnamedMorph1.
	unnamedMorph10 := UiWidgetPage new.
	unnamedMorph10 changeTableLayout.
	unnamedMorph10 extent: (792@592).
	unnamedMorph10 position: (4@4).
	unnamedMorph10 hResizing: (#spaceFill).
	unnamedMorph10 vResizing: (#spaceFill).
	unnamedMorph10 minWidth: (2).
	unnamedMorph10 minHeight: (2).
	unnamedMorph10 cellInset: (4).
	unnamedMorph10 cellPositioning: (#center).
	unnamedMorph10 cellSpacing: (#none).
	unnamedMorph10 layoutInset: (4).
	unnamedMorph10 listCentering: (#topLeft).
	unnamedMorph10 listDirection: (#topToBottom).
	unnamedMorph10 listSpacing: (#none).
	unnamedMorph10 maxCellSize: (1073741823).
	unnamedMorph10 minCellSize: (0).
	unnamedMorph10 wrapCentering: (#topLeft).
	unnamedMorph10 wrapDirection: (#none).
	unnamedMorph10 frameFractions: (0@0 corner: 1@1).
	unnamedMorph10 frameOffsets: (0@0 corner: 0@0).
	unnamedMorph10 balloonText: (nil).
	unnamedMorph10 balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	unnamedMorph10 color: (Color transparent).
	unnamedMorph10 borderWidth: (0).
	unnamedMorph10 borderStyle2: (#simple).
	unnamedMorph10 borderColor: (Color black).
	levelButtonContainer := UiContainer new.
	levelButtonContainer changeTableLayout.
	levelButtonContainer extent: (784@557).
	levelButtonContainer position: (8@8).
	levelButtonContainer hResizing: (#spaceFill).
	levelButtonContainer vResizing: (#spaceFill).
	levelButtonContainer minWidth: (2).
	levelButtonContainer minHeight: (2).
	levelButtonContainer cellInset: (20).
	levelButtonContainer cellPositioning: (#center).
	levelButtonContainer cellSpacing: (#none).
	levelButtonContainer layoutInset: (4).
	levelButtonContainer listCentering: (#center).
	levelButtonContainer listDirection: (#topToBottom).
	levelButtonContainer listSpacing: (#none).
	levelButtonContainer maxCellSize: (1073741823).
	levelButtonContainer minCellSize: (0).
	levelButtonContainer wrapCentering: (#center).
	levelButtonContainer wrapDirection: (#topToBottom).
	levelButtonContainer frameFractions: (0@0 corner: 1@1).
	levelButtonContainer frameOffsets: (0@0 corner: 0@0).
	levelButtonContainer balloonText: (nil).
	levelButtonContainer balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.922)).
	levelButtonContainer color: (Color transparent).
	levelButtonContainer borderWidth: (0).
	levelButtonContainer borderStyle2: (#simple).
	levelButtonContainer borderColor: (Color black).
	levelButtonContainer setProperty: #objectName toValue: 'levelButtonContainer'.
	unnamedMorph10 addChild: levelButtonContainer.
	chapterButton := UiPushButton new.
	chapterButton changeTableLayout.
	chapterButton extent: (58@21).
	chapterButton position: (371@570).
	chapterButton hResizing: (#shrinkWrap).
	chapterButton vResizing: (#shrinkWrap).
	chapterButton minWidth: (2).
	chapterButton minHeight: (2).
	chapterButton cellInset: (4).
	chapterButton cellPositioning: (#center).
	chapterButton cellSpacing: (#none).
	chapterButton layoutInset: (2@0 corner: 2@0).
	chapterButton listCentering: (#topLeft).
	chapterButton listDirection: (#leftToRight).
	chapterButton listSpacing: (#none).
	chapterButton maxCellSize: (1073741823).
	chapterButton minCellSize: (0).
	chapterButton wrapCentering: (#topLeft).
	chapterButton wrapDirection: (#none).
	chapterButton frameFractions: (0@0 corner: 1@1).
	chapterButton frameOffsets: (0@0 corner: 0@0).
	chapterButton balloonText: (nil).
	chapterButton balloonColor: ((TranslucentColor r: 0.91 g: 0.94 b: 1 alpha: 0.929)).
	chapterButton enabled: (true).
	chapterButton setProperty: #iconByDesigner toValue: 'nil'.
	chapterButton icon: (nil).
	chapterButton text: ('Chapters').
	chapterButton color: ((Color r: 0.8 g: 0.8 b: 0.8)).
	chapterButton checkable: (false).
	chapterButton checked: (false).
	chapterButton autoExclusive: (false).
	chapterButton setProperty: #objectName toValue: 'chapterButton'.
	unnamedMorph10 addChild: chapterButton.
	stack addChild: unnamedMorph10.
	panel addChild: stack.
	panel setProperty: #uiClassName toValue: 'I2STask'.! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.974'!
interfaceButton
	"No description given."
	
	^ interfaceButton! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.848'!
levelButton
	"No description given."
	
	^ levelButton! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.185'!
levelButtonContainer
	"No description given."
	
	^ levelButtonContainer! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.019'!
parameterDisplay
	"No description given."
	
	^ parameterDisplay! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.101'!
playButton
	"No description given."
	
	^ playButton! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.932'!
resetButton
	"No description given."
	
	^ resetButton! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.807'!
scrollArea
	"No description given."
	
	^ scrollArea! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.675'!
stack
	"No description given."
	
	^ stack! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:05.143'!
stepButton
	"No description given."
	
	^ stepButton! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.765'!
taskDescription
	"No description given."
	
	^ taskDescription! !

!I2STaskUi methodsFor: 'accessing' stamp: 'benjamin.siegmund 6/28/2013 12:22:04.725'!
titleMenu
	"No description given."
	
	^ titleMenu! !

Morph subclass: #I2SActiveInterfaceUi
	instanceVariableNames: 'task ui'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SActiveInterfaceUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:12:12.815'!
initialize
	super initialize.
	self ui: I2SInterfaceUi new.
	self ui setupUi: self.
	
	self
		connect: self ui methodList
		signal: #currentTextChanged:
		toSelector: #selectionChanged:.! !

!I2SActiveInterfaceUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:12:25.025'!
selectionChanged: selection
	self ui descriptionEdit theText: (self task interface at: selection asString).! !

!I2SActiveInterfaceUi methodsFor: 'nil' stamp: 'benjamin.siegmund 6/28/2013 15:58:12.852'!
task
	^task! !

!I2SActiveInterfaceUi methodsFor: 'nil' stamp: 'benjamin.siegmund 6/28/2013 15:25:04.435'!
task: aTask
	(task = aTask) ifTrue: [^self].
	
	task := aTask.
	self updateList.! !

!I2SActiveInterfaceUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:11:27.792'!
ui
	^ui! !

!I2SActiveInterfaceUi methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 16:11:38.078'!
ui: aUi
	ui := aUi.! !

!I2SActiveInterfaceUi methodsFor: 'nil' stamp: 'benjamin.siegmund 6/28/2013 16:12:20.815'!
updateList
	self task interface keys sorted do: [:key|
		self ui methodList addText: key.
	].! !

Morph subclass: #I2SGameOfTrees
	instanceVariableNames: 'ui'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SGameOfTrees methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:03:26.335'!
initialize 
	super initialize.
	
	self ui: I2SActiveTaskUi new.
	self ui setupUi: self.! !

!I2SGameOfTrees methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:04:17.226'!
openInWindow
	self openInWindowLabeled: 'Game of Trees'.! !

!I2SGameOfTrees methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:03:08.268'!
ui
	^ui.! !

!I2SGameOfTrees methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:03:06.633'!
ui: anUi
	ui := anUi.! !

!I2SGameOfTrees methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:03:41.595'!
unlockAll
	self ui unlockAll.! !

Morph subclass: #I2SListElementMorph
	instanceVariableNames: 'active value text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 16:17:34.599'!
activate
	active := true.
	text color: Color black.! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 14:47:39.195'!
alignText
	text position: ((self extent - text extent) / 2).! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 14:56:25.359'!
buildText
	text := TextMorph new.
	text contents: (value asString).
	text lock: true.
	text color: Color transparent.
	self addMorph: text.
	self alignText.! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:56:58.197'!
clickedOn: aListElementMorph
	self emit.! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 15:15:23.053'!
deactivate
	active := false.
	text color: Color transparent.! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:45:53.6'!
defaultBounds
	^0@0 corner: 50@50! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 15:11:09.039'!
initialize
	super initialize.
	
	self borderWidth: 1.
	self borderColor: Color black.
	self color: Color white.
	
	active := false.
	value := 0.
	self buildText.
	
	self on: #click send: #onClick to: self.
	self on: #mouseEnter send: #onMouseEnter to: self.
	self on: #mouseLeave send: #onMouseLeave to: self.! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:25:11.222'!
onClick
	self owner ignoreMouse ifFalse: [
		active ifFalse: [
			self owner activeElement: self.
		] ifTrue: [
			self owner activeElement: nil.
		].
		self clickedOn: self.
	].! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:27:40.885'!
onMouseEnter
	self owner ignoreMouse ifFalse: [	
		self color: Color yellow muchLighter.
	].! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:28:01.491'!
onMouseLeave
	self owner ignoreMouse ifFalse: [
		self color: Color white.
	].! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 14:28:11.813'!
value
	^value! !

!I2SListElementMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:36:28.677'!
value: aValue.
	value := aValue.
	text contents: aValue asString.
	self alignText.! !

Morph subclass: #I2SListMorph
	instanceVariableNames: 'activeElement list ignoreMouse'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SListMorph class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 13:10:36.836'!
newWithList: aList
	|out|
	
	out := self new.
	out list: aList.
	out draw.
	^out! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 16:04:04.271'!
actionPerformed
	self emit.! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:46:00.362'!
activeElement
	^activeElement! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 16:07:30.941'!
activeElement: anElement.
	self actionPerformed.

	activeElement ifNotNil:[
		activeElement deactivate.	
	].	
	activeElement := anElement.
	anElement ifNotNil:[
		anElement activate.
		self valueSelected: anElement value.
	].! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:50:50.297'!
draw
	| offset |
	
	offset := 0.
	
	self list do: [:ea| |morph|
		morph := I2SListElementMorph new.
		morph value: ea.
		morph left: offset.
		self addMorph: morph.
		offset := offset + morph width.].
	
	self extent: self fullBounds extent.! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:23:53.834'!
ignoreMouse
	^ignoreMouse! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:24:05.144'!
ignoreMouse: aBoolean
	ignoreMouse := aBoolean.! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:33:35.703'!
initialize
	super initialize.
	self color: Color transparent.
	self borderWidth: 1.
	self borderColor: Color black.
	self ignoreMouse: false.
	
	activeElement := nil.! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 15:51:10.933'!
list
	list ifNil:[
		list := {}.	
	].
	^list! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 12:01:35.303'!
list: aList.
	list := aList.! !

!I2SListMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 14:57:09.673'!
valueSelected: aValue
	self emit.! !

I2SListMorph subclass: #I2SVisualizationListMorph
	instanceVariableNames: 'visualization parentEdge node'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SVisualizationListMorph class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 17:08:18.385'!
defaultAnimationDuration

	^ 400! !

!I2SVisualizationListMorph class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:45:14.725'!
newWithList: aListNode on: aVisualization
	| s |
	s := self basicNew.
	s list: aListNode list.
	s node: aListNode.
	s visualization: aVisualization.
	s visualization setVisualNode: s for: aListNode.
	s initialize.
	s draw.
	^s.! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:21:17.554'!
draw
	super draw.
	self submorphs do: [ :ea |
		(ea isKindOf: I2SListElementMorph) ifTrue: [
			ea deactivate.
			self visualization connect: ea signal: #clickedOn: toSelector: #clickedOn:.
		].		
	].! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:37:56.295'!
ignoreMouse
	^self visualization ignoreMouse.! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 11:37:58.106'!
ignoreMouse: aBoolean
	self visualization ignoreMouse: aBoolean.! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 14:42:39.199'!
node
	^node! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 14:42:40.564'!
node: aNode
	node := aNode! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:25:43.747'!
parentEdge
	^parentEdge! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:25:44.946'!
parentEdge: anEdge
	parentEdge := anEdge! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:07:53.416'!
visualization
	^visualization! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 12:07:27.521'!
visualization: aVisualization
	visualization := aVisualization! !

!I2SVisualizationListMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 17:07:23.593'!
walkToPosition: aPoint then: aBlock

		(AnimPropertyAnimation
		on: self
		property: #position
		start: self position
		end: aPoint
		duration: self class defaultAnimationDuration)
		finishBlock: aBlock;
		register;
		start: #deleteWhenFinished.! !

Morph subclass: #I2SVisualListNode
	instanceVariableNames: 'morph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SVisualListNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 14:43:27.948'!
newWithNode: aNode on: aVisualization

aNode isListNode ifTrue: [
	^ I2SVisualizationListMorph newWithList: aNode on: aVisualization.
] ifFalse:[
	^ I2SVisualNode newWithNode: aNode on: aVisualization
]! !

!I2SVisualListNode class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 14:48:35.382'!
newWithNode: aNode renderDepth: aNumber on: aVisualization

aNode isListNode ifTrue: [
	^ I2SVisualizationListMorph newWithList: aNode on: aVisualization
] ifFalse:[
	^ I2SVisualNode newWithNode: aNode renderDepth: aNumber on: aVisualization
]! !

Morph subclass: #I2SVisualization
	instanceVariableNames: 'rootNode visualNodeMap ignoreMouse drawNil maxDepth activeNode ignoreSelection rotationHandle'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

I2SVisualization subclass: #I2SBinaryTreeVisualization
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SBinaryTreeVisualization class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 15:45:17.284'!
newWithList: aList
	| root treeVis |
	
	root := I2SBinarySearchTreeNode newWithList: aList.
	treeVis := super newWithNode: root.
	
	^ treeVis	! !

I2SVisualization subclass: #I2SHybridVisualization
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SHybridVisualization class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:29:48.448'!
newWithList: aList
	^self newWithListNode: (I2SListNode newWithList: aList)! !

!I2SHybridVisualization class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:29:24.199'!
newWithListNode: aListNode
	^self newWithNode: aListNode! !

!I2SHybridVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 12:27:08.883'!
animatedRedrawFor: aNode replaceWith: newNode originalMorph: aListElementMorph
	| newVis callbackCounter nodePosition newTempVisNode |
	
	"hide parent Edge"
	self hideParentEdgeFor: aNode then: [
		
		"remove the old list"
		nodePosition := aListElementMorph position.
		(self visualNodeMap at: aNode) fadeOutThen: [
		
		"add add the three new morphs"
		newTempVisNode := I2SVisualNode newWithNode: newNode on: self.
		newTempVisNode position: nodePosition.
		newTempVisNode submorphs do: [
			:ea |
			(ea isKindOf: I2SVisualizationListMorph) ifTrue: [
				ea position: nodePosition.			
			].
		].
		newTempVisNode edges do: [
			:ea |
			ea ifNotNil: [
				ea delete.
			].
		].
		self addMorph: newTempVisNode.

		newVis := self class newWithNode: self rootNode.
		"iterate over own visnodes"
		visualNodeMap do: [:ea ||dataNode newVisNode|
			"get the data node for the visual node"
			dataNode := ea node.
			"find the corresponding visual node in the new tree"
			newVisNode := newVis getVisualNodeFor: dataNode.
		
			"animate the position of the current node to the new position"
			newVisNode ifNotNil: [
				ea walkToPosition: ((newVisNode position) + (self position)) then: [
					self redraw.
				].
			].
		].
	].
].! !

!I2SHybridVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 10:36:39.602'!
clickedOn: aListElementMorph
	| node newNode parentVis leftList rightList |
	node := aListElementMorph owner node.
	"make new binary search tree node BSTN with the new value"
	newNode := I2SBinarySearchTreeNode newWithValue: aListElementMorph value.
	
	"split the list in left and right"
	leftList := node createLeftPart: aListElementMorph value.
	rightList := node createRightPart: aListElementMorph value.
		
	"set the new lists as left and right child of the BSTN"
	leftList list size > 0 ifTrue: [
		newNode leftChild: leftList.
	].
	rightList list size > 0 ifTrue: [
		newNode rightChild: rightList.
	].	
	
	node parent ifNil: [
		"in this case we are the root element"
		self rootNode: newNode.
	] ifNotNil: [
		"replace the list with the BSTN"
		parentVis := self visualNodeMap at: node parent.
		node parent replace: node with: newNode.
		
	].
	self animatedRedrawFor: node replaceWith: newNode originalMorph: aListElementMorph.
	
	self actionPerformed.
	self valueSelected: aListElementMorph value.
	! !

!I2SHybridVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 16:45:36.95'!
hideParentEdgeFor: aNode
! !

!I2SHybridVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 16:49:15.166'!
hideParentEdgeFor: aNode then: aBlock
	|visNode|
	visNode := self getVisualNodeFor: aNode.
	visNode parentEdge ifNotNil: [
		visNode parentEdge fadeOutThen: aBlock.
	] ifNil: [
		aBlock value.
	].
	! !

!I2SHybridVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/19/2013 16:14:33.772'!
redraw
	self updateTree.	! !

!I2SHybridVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 12:20:24.452'!
setRootNode: aRoot

	| visNode |
	self rootNode: aRoot.

  	visNode := (I2SVisualListNode newWithNode: aRoot on: self).
  	self addMorph: visNode.
	visNode visualization: self.
  	self extent: visNode fullBounds extent.
	visNode position: visNode position - self fullBounds topLeft + self position.
	
	visualNodeMap at: aRoot put: visNode .
  	^self! !

I2SVisualization subclass: #I2STreeSectionMorph
	instanceVariableNames: 'node leftMorph rightMorph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:24:55.794'!
childrenConnectorStart

	^50@100! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:25:22.139'!
currentNodePosition

	^ 30@60! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:25:18.908'!
leftChildPosition

	^ 0@120! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:25:25.964'!
leftConnectorEnd
	
	^20@120! !

!I2STreeSectionMorph class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/11/2013 15:36:50.937'!
newWithList: aList
 | a |
	a := self new.
	a node: (I2SBinarySearchTreeNode newWithList: aList).
	^a! !

!I2STreeSectionMorph class methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 17:07:14.685'!
newWithNode: aNode
 | a |
	a := self new.
	a node: aNode.
	^a! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:37:51.574'!
parentConnectorEnd

 	^50@40! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:38:06.112'!
parentConnectorStart

	^50@60! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:38:01.496'!
parentNodePosition

	^ 30@0! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:37:59.251'!
rightChildPosition

	^ 60@120! !

!I2STreeSectionMorph class methodsFor: 'positioningConstants' stamp: 'dustin.glaeser 5/30/2013 17:37:55.185'!
rightConnectorEnd

	^80@120! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/30/2013 17:17:09.317'!
addNode: aNode atPosition: aPosition
	| node |
	node := (I2SVisualNode newWithNode: aNode renderDepth: 1 on: self).
	self addMorph: node.
	node position: (self position + aPosition).
	
	^ node! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'sebastian.stamm 6/5/2013 17:41:21.206'!
animateGoLeftThen: aBlock

	(self getVisualNodeFor: self node) 
		walkToPosition: self position + self class parentNodePosition.
		
	(self getVisualNodeFor: self node leftChild ) 
		walkToPosition: self position + self class currentNodePosition
			then: [self finishGoLeftThen: aBlock].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'sebastian.stamm 6/12/2013 12:43:26.672'!
animateGoRightThen: aBlock

	(self getVisualNodeFor: self node) 
		walkToPosition: self position + self class parentNodePosition.
		
	(self getVisualNodeFor: self node rightChild) 
		walkToPosition: self position + self class currentNodePosition
			then: [self finishGoRightThen: aBlock].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'sebastian.stamm 6/12/2013 13:54:54.132'!
animateGoUpThen: aBlock

	| newPosition |
	(self node = (self node parent) leftChild)
		ifTrue: [newPosition := self class leftChildPosition]
		ifFalse: [newPosition := self class rightChildPosition].
		
	(self getVisualNodeFor: self node) 
		walkToPosition: self position + newPosition.
		
	(self getVisualNodeFor: self node parent) 
		walkToPosition: self position + self class currentNodePosition
			then: [self finishGoUpThen: aBlock].! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 12:28:55.198'!
clickLeft
	self ignoreMouse ifFalse:[
		self goLeft.
	].	! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:53:40.637'!
clickRight
	self ignoreMouse ifFalse:[
		self goRight.
	].	! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:54:03.4'!
clickUp
	self ignoreMouse ifFalse:[
		self goUp.
	].	! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 12:39:36.534'!
draw
	self drawThen: [].! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 14:48:36.131'!
drawConnectorFrom: aStart to: anEnd

	^ (LineMorph 
		from: (self position + aStart) 
		to: (self position + anEnd)
		color: Color black
		width: 5).! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/5/2013 16:26:37.86'!
drawCurrentNode
	| activeNodeMorph |
	activeNodeMorph := (I2SVisualNode newWithNode: self node renderDepth: 1 on: self).
	self addMorph: activeNodeMorph.
	activeNodeMorph position: (self position + self class currentNodePosition).! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/5/2013 14:59:42.226'!
drawEdgeFrom: aStart to: anEnd

	^ (LineMorph 
		from: (self position + aStart) 
		to: (self position + anEnd)
		color: Color black
		width: 5).! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 16:26:16.992'!
drawLeftChild

	| edge|
	leftMorph := self addNode: self node leftChild atPosition: self class leftChildPosition.
	
	leftMorph isBlank ifTrue: [
		leftMorph parent: (self getVisualNodeFor: self node).
		leftMorph parentChildNumber: 1.	
	] ifFalse: [
		leftMorph hideContent.
		leftMorph on: #click send: #clickLeft to: self.
	]. 
	
	edge := self drawEdgeFrom: self class childrenConnectorStart 
		to: self class leftConnectorEnd.
		
	leftMorph parentEdge: edge.
	self addMorph: edge.
	
	(self getVisualNodeFor: self node) childEdges add: edge.! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/23/2013 10:21:42.26'!
drawParentNode
	| parentVis edge|
	parentVis := self addNode: self node parent atPosition: self class parentNodePosition.
	parentVis hideContent.
	
	edge := self drawEdgeFrom: self class parentConnectorStart 
		to: self class parentConnectorEnd.
		
	(self getVisualNodeFor: self node) parentEdge: edge.
	self addMorph: edge.
	parentVis childEdges add: edge.
	parentVis on: #click send: #clickUp to: self.! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/23/2013 12:16:50.62'!
drawRightChild
	| edge|
	rightMorph := self addNode: self node rightChild 
		atPosition: self class rightChildPosition.
	
	rightMorph isBlank ifTrue: [
		rightMorph parent: (self getVisualNodeFor: self node).
		rightMorph parentChildNumber: 2.	
	] ifFalse: [
		rightMorph hideContent.
		rightMorph on: #click send: #clickRight to: self.
	].
	
	edge := self drawEdgeFrom: self class childrenConnectorStart 
		to: self class rightConnectorEnd.
		
	rightMorph parentEdge: edge.
	self addMorph: edge.
	
	(self getVisualNodeFor: self node) childEdges add: edge.! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/28/2013 15:17:54.944'!
drawThen: aBlock
	"self submorphs do: [:ea |  
		ea fadeOut ]."
	| oldMorphs done |
	oldMorphs := self submorphs copy.
	
	leftMorph := nil.
	rightMorph := nil.
	
	self drawCurrentNode.
	
	(self node leftChild isNil not or: self drawNil) ifTrue: [
		self drawLeftChild.
	].
	
	(self node rightChild isNil not or: self drawNil) ifTrue: [
		self drawRightChild.
	].
	
	self node parent ifNotNil: [
		self drawParentNode.
	].

"	self submorphs do: [:ea | (oldMorphs indexOf: ea) = 0 ifFalse: [ ea fadeIn ]]."
	done := false.
	(self submorphs difference: oldMorphs) do: [:ea | ea fadeInThen: [
			done ifFalse: [
				oldMorphs do: [:oldMorph | oldMorph delete.].
				aBlock value.
			].
			done := true.
		].
	].

	self extent: 100@160.! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'benjamin.siegmund 6/22/2013 12:47:59.284'!
fadeOutNode: aNode then: aBlock ifNot: callbackSet

	aNode ifNotNil: [
		callbackSet
			ifTrue: [aNode fadeOut]
			ifFalse:[aNode fadeOutThen: aBlock].
		(aNode edges) do: [ :edge | edge fadeOut].
		^ true].
	
	^ callbackSet! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'sebastian.stamm 6/5/2013 17:41:43.66'!
finishGoLeftThen: aBlock

	self node: self node leftChild.
	self drawThen: aBlock.! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'sebastian.stamm 6/12/2013 12:48:30.578'!
finishGoRightThen: aBlock

	self node: self node rightChild.
	self drawThen: aBlock.! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'sebastian.stamm 6/12/2013 13:55:11.985'!
finishGoUpThen: aBlock

	self node: self node parent.
	self drawThen: aBlock.! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'dustin.glaeser 6/22/2013 12:33:07.462'!
goLeft
	
	self goLeftThen: [].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'benjamin.siegmund 6/22/2013 12:52:19.067'!
goLeftThen: aBlock
	| callbackSet |
	
	self node leftChild ifNil: [^ self].
	
	self actionPerformed.
	callbackSet := false.
	callbackSet := self fadeOutNode: (self getVisualNodeFor: self node parent) 
		then: [self animateGoLeftThen: aBlock.] ifNot: callbackSet.
	callbackSet := self fadeOutNode: rightMorph 
		then: [self animateGoLeftThen: aBlock.] ifNot: callbackSet.
		
	callbackSet ifFalse: [self animateGoLeftThen: aBlock.].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'dustin.glaeser 6/22/2013 12:34:05.301'!
goRight
	
	self goRightThen: [].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'benjamin.siegmund 6/22/2013 12:52:32.675'!
goRightThen: aBlock
	| callbackSet | 
	
	self node rightChild ifNil: [^ self].
	
	self actionPerformed.
	callbackSet := false.
	callbackSet := self fadeOutNode: (self getVisualNodeFor: self node parent) 
		then: [self animateGoRightThen: aBlock] ifNot: callbackSet.
	callbackSet := self fadeOutNode: leftMorph  
		then: [self animateGoRightThen: aBlock] ifNot: callbackSet.
		
	callbackSet ifFalse: [self animateGoRightThen: aBlock].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'dustin.glaeser 6/22/2013 12:34:15.797'!
goUp
	
	self goUpThen: [].! !

!I2STreeSectionMorph methodsFor: 'visualTransition' stamp: 'benjamin.siegmund 6/22/2013 12:52:42.825'!
goUpThen: aBlock
	| callbackSet | 
	
	self node parent ifNil: [^ self].
	
	self actionPerformed.
	callbackSet := false.
	callbackSet := self fadeOutNode: leftMorph  
		then: [self animateGoUpThen: aBlock] ifNot: callbackSet.
	callbackSet := self fadeOutNode: rightMorph
		then: [self animateGoUpThen: aBlock] ifNot: callbackSet.
		
	callbackSet ifFalse: [self animateGoUpThen: aBlock].! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/5/2013 16:14:56.008'!
initialize
	super initialize.
	self color: Color transparent.! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 17:47:21.871'!
leftMorph
	^ leftMorph! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/29/2013 11:32:06.562'!
node
	^node! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/5/2013 14:54:01.091'!
node: aNode
	node := aNode.
	self draw.
	self valueSelected: aNode value.! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 17:47:30.521'!
rightMorph
	^ rightMorph	! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:18:17.805'!
setRootNode: aNode
	self node: aNode.! !

!I2STreeSectionMorph methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 15:55:12.726'!
updateTree
"not relevant for this visualization class"
	^ self! !

!I2SVisualization class methodsFor: 'auto-generated' stamp: 'benjamin.siegmund 6/27/2013 12:06:50.001'!
leftArrow
^(Form
	extent: 40@40
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 0 67043328 167706624 234815488 268369920 268369920 234815488 167706624 67043328 0 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 520028160 1291780096 2197749760 3003056128 3523149824 3791585280 3774808064 3523149824 2986278912 2197749760 1275002880 536805376 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 16711680 0 402587648 2415853568 3556704256 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 3556704256 2415853568 402587648 0 16711680 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 1727987712 4043243520 4261347328 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 4261347328 4043243520 1744764928 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 150929408 2583625728 4294901760 4278124544 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4278124544 4294901760 2600402944 150929408 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 150929408 2667511808 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 1342111744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 2566848512 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 2147418112 117374976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 1744764928 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 2147418112 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 402587648 4043243520 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4278124544 4278124544 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 2147418112 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2415853568 4261347328 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 3690921984 2969501696 2533294080 2533294080 2969501696 3690921984 4294901760 4294901760 4244570112 2147418112 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 536805376 3556704256 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 2063532032 637468672 0 0 0 0 637468672 2063532032 4278124544 2164195328 67043328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1291780096 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 1174339584 33488896 0 0 0 0 0 0 50266112 587137024 83820544 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67043328 2197749760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 2063532032 33488896 16711680 0 0 0 0 0 0 16711680 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167706624 2986278912 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 3690921984 637468672 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 234815488 3523149824 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 2986278912 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67043328 3741253632 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 2449408000 0 0 0 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2097086464 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 3741253632 754909184 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1727987712 4110352384 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4278124544 4294901760 3271491584 570359808 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1425997824 4194238464 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4278124544 4294901760 2801729536 352256000 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 905904128 4244570112 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 2550071296 218038272 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 687800320 3925803008 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4244570112 2633957376 83820544 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 788463616 3573481472 4294901760 4278124544 4278124544 4294901760 4278124544 2382299136 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 603914240 3456040960 4294901760 4294901760 4278124544 1744764928 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 184483840 3271491584 4294901760 1493106688 33488896 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 16711680 33488896 1023344640 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 16711680 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!I2SVisualization class methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 14:39:48.544'!
newWithNode: aNode

  	|a visNode |
  	a := self new.
	a setRootNode: aNode.
	
	^a
  ! !

!I2SVisualization class methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 17:39:31.436'!
padding
	^50.! !

!I2SVisualization class methodsFor: 'auto-generated' stamp: 'benjamin.siegmund 6/27/2013 11:57:59.383'!
rightArrow
^(Form
	extent: 40@40
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 0 67043328 167706624 234815488 268369920 268369920 234815488 167706624 67043328 0 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 536805376 1275002880 2197749760 2986278912 3523149824 3774808064 3791585280 3523149824 3003056128 2197749760 1291780096 520028160 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 16711680 0 402587648 2415853568 3556704256 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 3556704256 2415853568 402587648 0 16711680 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 1744764928 4043243520 4261347328 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 4261347328 4043243520 1727987712 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 150929408 2600402944 4294901760 4278124544 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4278124544 4294901760 2583625728 150929408 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1342111744 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 2667511808 150929408 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 117374976 2147418112 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 2566848512 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 2147418112 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 1744764928 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 2147418112 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4278124544 4278124544 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4043243520 402587648 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 2147418112 4244570112 4294901760 4294901760 3690921984 2969501696 2533294080 2533294080 2969501696 3690921984 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4261347328 2415853568 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67043328 2164195328 4278124544 2063532032 637468672 0 0 0 0 637468672 2063532032 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 3556704256 536805376 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 83820544 587137024 50266112 0 0 0 0 0 0 33488896 1174339584 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 1291780096 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 16711680 0 0 0 0 0 0 16711680 33488896 2063532032 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 2197749760 67043328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 637468672 3690921984 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 2986278912 167706624 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2986278912 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 3523149824 234815488 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 0 0 0 2449408000 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 3741253632 67043328 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 754909184 3741253632 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 2097086464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 570359808 3271491584 4294901760 4278124544 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4110352384 1727987712 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 352256000 2801729536 4294901760 4278124544 4278124544 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4194238464 1425997824 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 218038272 2550071296 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278124544 4294901760 4244570112 905904128 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83820544 2633957376 4244570112 4294901760 4278124544 4294901760 4294901760 4294901760 4294901760 3925803008 687800320 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 2382299136 4278124544 4294901760 4278124544 4278124544 4294901760 3573481472 788463616 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 0 1744764928 4278124544 4294901760 4294901760 3456040960 603914240 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 0 33488896 1493106688 4294901760 3271491584 184483840 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1023344640 33488896 16711680 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16711680 16711680 0 0 16711680 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 14:18:05.838'!
actionPerformed
	self emit.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 15:47:54.719'!
activeNode
	^activeNode.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 18:49:53.282'!
activeNode: aNode
	activeNode := aNode.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/8/2013 12:22:10.297'!
addedChild: aNode to: aParent at: aPosition

	self updateTree.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 17:59:05.81'!
animateToNewNodePositions: aNode left: aBoolean then: aBlock
	| newVis callbackCounter |
	callbackCounter := 0.
	self hideEdgesForNodeRotation: aNode left: aBoolean then: [
		newVis := self class newWithNode: self rootNode.
		"iterate over own visnodes"
		visualNodeMap do: [:ea ||dataNode newVisNode|
			"get the data node for the visual node"
			dataNode := ea node.
			"find the corresponding visual node in the new tree"
			newVisNode := newVis getVisualNodeFor: dataNode.
		
			"animate the position of the current node to the new position"
			ea walkToPosition: (newVisNode position + self position) then: [
				callbackCounter := callbackCounter + 1.
				callbackCounter = visualNodeMap size ifTrue: [
					self updateTree.
					newVis teardownConnections.
					aBlock value.
				].
			].
		].
	].
	
	! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 14:14:02.217'!
choseLeaf: aVIsualBlankNode
	self actionPerformed.
	self emitAlways.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 18:49:48.841'!
clickedOn: aNode
	((self ignoreSelection not) and: (self ignoreMouse not)) ifTrue: [ | oldNode |
		oldNode := (self getVisualNodeFor: self activeNode). 
		self activeNode: aNode node.
		oldNode ifNotNil: [
			oldNode updateColor.
		].
		aNode updateColor.
		self showRotationHandles.
	]! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 17:41:20.953'!
drawDepthLineAt: aNumber
	| y aNode line |
	self rootNode ifNil: [^self].
	aNode := self getVisualNodeFor: rootNode.
	y := (aNumber * (aNode extent y)) + ((aNumber - 0.5) * aNode class levelHeight) + self class padding.
	line := (LineMorph 
		from: (0@y + self position) 
		to: (self extent x@y + self position)
		color: Color blue 
		width: 2).
	self addMorph: line.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 11:57:49.321'!
drawNil
	^drawNil! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/22/2013 11:58:03.526'!
drawNil: aBoolean
	drawNil := aBoolean.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:46:52.204'!
getVisualNodeFor: aTreeNode

	^visualNodeMap at: aTreeNode ifAbsent: nil! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:57:37.041'!
hideEdgesForNodeRotation: aNode left: aBoolean then: aBlock
	|visNode|
	visNode := self getVisualNodeFor: aNode.
	visNode parentEdge ifNotNil: [
		visNode parentEdge fadeOut.
	].
	
	aBoolean ifTrue: [
		|rightChild|
		(visNode childEdges at: 2) fadeOutThen: aBlock.
		aNode rightChild ifNotNil: [
			rightChild := aNode rightChild.
			((self getVisualNodeFor: rightChild) parentEdge) fadeOut.
		].
		
	] ifFalse: [
		|leftChild|
		(visNode childEdges at: 1) fadeOutThen: aBlock.
		aNode leftChild ifNotNil: [
			leftChild := aNode leftChild.
			((self getVisualNodeFor: leftChild) parentEdge) fadeOut.
		].
	]
	! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:52:20.539'!
ignoreMouse
	^ignoreMouse! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/22/2013 10:52:01.367'!
ignoreMouse: aBoolean
	ignoreMouse := aBoolean.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:34:59.783'!
ignoreSelection
	^ignoreSelection! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:34:58.552'!
ignoreSelection: aBoolean
	ignoreSelection := aBoolean.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 16:49:39.306'!
initialize 
	super initialize.
	visualNodeMap := Dictionary new.
	self ignoreMouse: false.
	self ignoreSelection: true.
	self drawNil: false.
	color := Color transparent.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 12:01:40.052'!
initializeRotationHandle
	| handle l r |
	handle := Morph new.
	handle fillStyle: Color transparent.
	
	l := self class leftArrow asMorph.
	handle addMorph: l.
	l on: #click send: #rotateLeft to: self.
	
	r := self class rightArrow asMorph.
	r left: 80.
	handle addMorph: r.
	r on: #click send: #rotateRight to: self.

	handle extent: (120@40).
	
	self addMorph: handle.
	self rotationHandle: handle.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 14:51:25.32'!
maxDepth
	^maxDepth.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 14:51:26.378'!
maxDepth: aNumber
	maxDepth := aNumber.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/8/2013 12:33:12.866'!
removedChild: aNode from: aParent at: aPosition

	self updateTree.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:46:55.22'!
rootNode
	^rootNode! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/8/2013 12:11:04.226'!
rootNode: aNode
	rootNode := aNode.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:46:02.371'!
rootNodeChangeTo: aNode
	self teardownConnections.
	self rootNode: aNode.
	self setupConnections.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:23:01.157'!
rotateLeft
	self activeNode: (self activeNode rotateLeftThen:[
		self showRotationHandles.
		self actionPerformed.
	])! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:40:05.44'!
rotateLeft: aNode then: aBlock
	self animateToNewNodePositions: aNode left: true then: aBlock.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 19:22:59.599'!
rotateRight
	self activeNode: (self activeNode rotateRightThen:[
		self showRotationHandles.
		self actionPerformed.
	]).! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 17:35:31.12'!
rotateRight: aNode then: aBlock
	self animateToNewNodePositions: aNode left: false then: aBlock.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 18:10:03.231'!
rotationHandle
	rotationHandle ifNil: [self initializeRotationHandle.].
	^rotationHandle! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/26/2013 17:58:44.976'!
rotationHandle: aMorph
	rotationHandle := aMorph.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 17:38:05.415'!
setRootNode: aRoot
	| visNode |
	"this is here to improve performance and to prevent image crashing"
	self teardownConnections.
	self rootNode: aRoot.

  	visNode := (I2SVisualNode newWithNode: aRoot on: self).
  	self addMorph: visNode.
	visNode visualization: self.
  	self extent: (visNode fullBounds extent + (2 * self class padding)).
	visNode position: visNode position - self fullBounds topLeft + self position + self class padding.
	visualNodeMap at: aRoot put: visNode .

	visNode allMorphs do: [:ea|
		ea class = TextMorph ifFalse:[
			self addMorph: ea.
		].
	].

 	self setupConnections.
  	^self! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/29/2013 14:33:29.818'!
setVisualNode: aVisNode for: aTreeNode

	visualNodeMap at: aTreeNode put: aVisNode.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 17:42:06.269'!
setupConnections

	self connect: self rootNode signal: #addedChild:to:at: toSelector: #addedChild:to:at:.
	self connect: self rootNode signal: #removedChild:from:at: toSelector: #removedChild:from:at:.
	self connect: self rootNode signal: #willRotateTo: toSelector: #rootNodeChangeTo:.
	
	((self rootNode class = I2SBinaryTreeNode) or: (I2SBinaryTreeNode allSubclasses includes: self rootNode class)) ifTrue: [
		self connect: self rootNode signal: #rotatedLeft:then: toSelector: #rotateLeft:then:.
		self connect: self rootNode signal: #rotatedRight:then: toSelector: #rotateRight:then:.
	].! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/27/2013 18:49:19.217'!
showRotationHandles
	|visNode|
	visNode := self getVisualNodeFor: self activeNode.
	self addMorph: self rotationHandle.
	self rotationHandle position:
			((visNode position x + (visNode extent x / 2) - (self rotationHandle extent x /2)) @ visNode position y).! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 18:02:51.923'!
teardownConnections

	self rootNode disconnectSignal: #addedChild:to:at: from: self.
	self rootNode disconnectSignal: #removedChild:from:at: from: self.
	self rootNode disconnectSignal: #rotatedLeft:then: from: self.
	self rootNode disconnectSignal: #rotatedRight:then: from: self.
	self rootNode disconnectSignal: #willRotateTo: from: self.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/26/2013 14:53:04.573'!
updateTree
	| visNode |
	self removeAllMorphs.
	self setRootNode: self rootNode.
	self maxDepth ifNotNil: [
		self drawDepthLineAt: self maxDepth.
	].! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 6/26/2013 14:18:15.278'!
valueSelected: aValue
	self emit.! !

!I2SVisualization methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 18:54:42.404'!
visualNodeMap
	
	^visualNodeMap! !

AnimPropertyAnimation subclass: #I2SColorAnimation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching'!

!I2SColorAnimation methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/28/2013 14:17:47.743'!
currentValue
	| c v o |
	v := self
		interpolatedFrom: 0
		to: 1
		progress: self currentLoopTime asFloat / ((self duration - 1) max: 1).
	o := self offset.
	
	(self startValue = Color transparent) ifTrue: [
		c := Color
			r: self endValue red
			g: self endValue green
			b: self endValue blue
			alpha: ((self startValue alpha * (1-v)) + (self endValue alpha * v)).
	].
	
	(self endValue = Color transparent) ifTrue: [
		c := Color
			r: self startValue red
			g: self startValue green
			b: self startValue blue
			alpha: ((self startValue alpha * (1-v)) + (self endValue alpha * v)).
	].
	
	((self startValue ~= Color transparent) and: (self endValue ~= Color transparent)) ifTrue:[	
		c := Color
			r: ((self startValue red * (1-v)) + (self endValue red * v))
			g: ((self startValue green * (1-v)) + (self endValue green * v))
			b: ((self startValue blue * (1-v)) + (self endValue blue * v))
			alpha: ((self startValue alpha * (1-v)) + (self endValue alpha * v)).
	].
		
	c := Color
		r: (c red + (o ifNil: [0] ifNotNil: [o red]))
		g: (c green + (o ifNil: [0] ifNotNil: [o green]))
		b: (c blue + (o ifNil: [0] ifNotNil: [o blue]))
		alpha: (c alpha + (o ifNil: [0] ifNotNil: [o alpha])).
		
	^ c! !

TestCase subclass: #I2SListMorphTests
	instanceVariableNames: 'list listMorph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching-Tests'!

!I2SListMorphTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 17:14:14.592'!
setUp
	| r |
	super setUp.
	r := Random new.
	list := r next: 20.
	listMorph := I2SListMorph newWithList: list.
	listMorph draw.
	listMorph openInWorld.! !

!I2SListMorphTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 17:14:12.975'!
tearDown
	super tearDown.
	listMorph delete.! !

!I2SListMorphTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 17:14:32.564'!
test01length
	self assert: 20 equals: (listMorph submorphs size).
	self assert: list equals: listMorph list.! !

!I2SListMorphTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 17:20:37.887'!
test02values
	(1 to: 20) do: [:i|
			self assert: (list at: (21 - i)) equals: ((listMorph submorphs at: i) value).
			self assert:
				((20-i) * (I2SListElementMorph new defaultBounds width))
				equals:
				(((listMorph submorphs at: i) position x) - (listMorph position x)).
	].! !

!I2SListMorphTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 17:21:04.968'!
test03highlighting
	| m |
	m := listMorph submorphs at: 5.
	m onMouseEnter.
	self assert: Color yellow muchLighter equals: m color.
	m onMouseLeave.
	self assert: Color white equals: m color.! !

!I2SListMorphTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/30/2013 17:21:50.567'!
test04uncovering
	| m m2|
	m := listMorph submorphs at: 5.
	m2 := listMorph submorphs at: 17.
	self assert: Color transparent equals: m submorphs first color.
	self assert: Color transparent equals: m2 submorphs first color.
	m onClick.
	self assert: Color black equals: m submorphs first color.
	self assert: Color transparent equals: m2 submorphs first color.
	self assert: m equals: listMorph activeElement.
	m2 onClick.
	self assert: Color transparent equals: m submorphs first color.
	self assert: Color black equals: m2 submorphs first color.
	self assert: m2 equals: listMorph activeElement.
	m2 onClick.
	self assert: Color transparent equals: m submorphs first color.
	self assert: Color transparent equals: m2 submorphs first color.! !

TestCase subclass: #I2STaskUiTests
	instanceVariableNames: 'task ui'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching-Tests'!

!I2STaskUiTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 15:12:36.603'!
setUp
	super setUp.
	task := I2STestTask new.
	task description: 'This is a test Task.'.
	task hints: OrderedCollection new.
	task addHint: 'This is Hint number 1.'.
	task addHint: 'This is Hint number 2.'.
	ui := I2SActiveTaskUi newWithTask: task.
	ui panel openInWorld.! !

!I2STaskUiTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 15:12:49.876'!
tearDown
	super tearDown.
	ui panel delete.! !

!I2STaskUiTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 15:12:57.767'!
test01Description
	self assert: task description equals: ui taskDescription theText string.! !

!I2STaskUiTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 6/19/2013 15:13:28.696'!
test02Hints
	ui hintButton doClick.
	self assert: (task hints at: 1) equals:(ui taskDescription theText string lines at: 2).
	ui hintButton doClick.
	self assert: (task hints at: 2) equals:(ui taskDescription theText string lines at: 3).
	ui hintButton doClick.
	self assert: (task hints at: 1) equals:(ui taskDescription theText string lines at: 4).! !

TestCase subclass: #I2STreeNodeTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching-Tests'!

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/2/2013 16:18:11.279'!
setUp
	super setUp.! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/2/2013 16:26:52.118'!
tearDown
	super tearDown.! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/8/2013 12:45:48.174'!
test01Initialisation
	| a |
	a := I2STreeNode newWithValue: #a.
	self assert: #a equals: (a getValueAt: 1).
	self assert: (a hasChildren) not.
	self assert: 0 equals: (a numChildren).! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/8/2013 13:54:01.813'!
test02Limits
	| a |
	a := I2STreeNode new.
	a maxChildren: 2.
	a maxValues: 1.
	
self should: [a getValueAt: 0] raise: Error.
self shouldnt: [a getValueAt: 1] raise: Error.
self should: [a getValueAt: 2] raise: Error.
self should: [a setValue: 0 at: 0] raise: Error.
self shouldnt: [a setValue: 0 at: 1] raise: Error.
self should: [a setValue: 0 at: 2] raise: Error.
self should: [a getChildAt: 0] raise: Error.
self shouldnt: [a getChildAt: 1] raise: Error.
self shouldnt: [a getChildAt: 2] raise: Error.
self should: [a getChildAt: 3] raise: Error.! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/5/2013 17:31:14.94'!
test03Children
	| a b c |
	a := I2STreeNode new.
	b := I2STreeNode new.
	c := I2STreeNode new.
	
	a addChild: b at: 1.
	self assert: b equals: (a getChildAt: 1).
	a addChild: c at: 2.
	self assert: c equals: (a getChildAt: 2).
	self assert: a equals: (b parent).
	self assert: a equals: (c parent).
	
	a removeChildAt: 1.
	self assert: ((a getChildAt: 1) isNil).
	self assert: (b parent isNil).
	self assert: c equals: (a getChildAt: 2).
	self assert: a equals: (c parent).
	a removeChildAt: 2.
	self assert: (a getChildAt: 2) isNil.
	self assert: c parent isNil.
	
	! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/8/2013 13:57:07.369'!
test04ChildrenAndLimits
	| a b |
	a := I2STreeNode new.
	b := I2STreeNode new.
	a maxChildren: 1.
	
	self should: [ a addChild: b at: 0] raise: Error.
	self should: [ a addChild: b at: 2] raise: Error.
	self shouldnt: [ a addChild: b at: 1] raise: Error.
	
	self should: [a removeChildAt: 0] raise: Error.
	self should: [a removeChildAt: 2] raise: Error.
	self shouldnt: [a removeChildAt: 1] raise: Error.
	! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 14:29:06.552'!
test05BinaryTree
	| a b c |
	a := I2SBinaryTreeNode newWithValue: 5.
	self assert: 1 equals: a maxValues.
	self assert: 2 equals: a maxChildren.
	self assert: 5 equals: a value.
	
	b := I2SBinaryTreeNode newWithValue: 3.
	c := I2SBinaryTreeNode newWithValue: 7.
	
	a leftChild: b.
	self assert: b equals: a leftChild.
	a leftChild: c.
	self assert: c equals: a leftChild.
	a rightChild: b.
	self assert: b equals: a rightChild.
	
	c value: 8.
	self assert: 8 equals: c value.! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/15/2013 15:16:59.938'!
test06BinarySearchTree
	| root |
	root := I2SBinarySearchTreeNode newWithValue: 5.
	root addValue: 3.
	root addValue: 7.
	root addValue: 14.
	root addValue: 4.
	
	self assert: 5 equals: root value.
	self assert: 3 equals: root leftChild value.
	self assert: 7 equals: root rightChild value.
	self assert: 14 equals: root rightChild rightChild value.
	self assert: (root leftChild leftChild) isNil.
	self assert: (root rightChild leftChild) isNil.
	self assert: (root find: 5).
	self assert: (root find: 7).
	self assert: (root find: 3).
	self assert: (root find: 14).
	self assert: (root find: 4).
	self assert: (root find: 20) not.
	self assert: (root find: 10) not.
	self assert: (root find: 0) not.! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 17:51:31.112'!
test07RandomBinaryTree
	| tree |
	tree := I2SBinaryTreeNode randomTree.
	self assert: (tree numChildren >= 1).! !

!I2STreeNodeTests methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 17:52:41.675'!
test08RandomBinarySearchTree
	| tree |
	tree := I2SBinarySearchTreeNode randomTree.
	self assert: (tree numChildren >= 1).! !

TestCase subclass: #I2STreeSectionMorphTests
	instanceVariableNames: 'vis'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching-Tests'!

!I2STreeSectionMorphTests methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 17:11:15.53'!
setUp
	super setUp.
	vis := I2STreeSectionMorph new.! !

!I2STreeSectionMorphTests methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 5/30/2013 17:11:12.372'!
tearDown
	vis delete.
	super tearDown.! !

!I2STreeSectionMorphTests methodsFor: 'as yet unclassified' stamp: 'sebastian.stamm 6/12/2013 14:09:34.67'!
testNavigation
	| root left right |
	root := I2SBinaryTreeNode new.
	root value: 3.
	
	left := I2SBinaryTreeNode new.
	left value: 5.
	root leftChild: left.
	
	right := I2SBinaryTreeNode new.
	right value: 4.
	root rightChild: right.
	
	(vis node: root) openInWorld.
	
	self assert: 5 equals: vis submorphs size.
	"we can't use assertions in the callback, because the image will freeze."
	vis goRightThen: [vis goUpThen: [vis goRight.].].
! !

TestCase subclass: #I2SVisualizationTests
	instanceVariableNames: 'visualization'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-Searching-Tests'!

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dg 5/8/2013 14:50:14.849'!
setUp
	
	super setUp.
	visualization := I2SVisualization new. 
	! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/29/2013 11:44:04.316'!
tearDown
	
	visualization delete.
	super tearDown! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dg 5/8/2013 14:28:54.794'!
test01SimpleTree
	| a b c |
	a := I2STreeNode new.
	a setValue: Color red at: 1.

	b := I2STreeNode new.
	b setValue: Color blue at: 1.

	c := I2STreeNode new.
	c setValue: Color blue at: 1.

	a addChild: b at: 1.
	a addChild: c at: 2.

	(visualization setRootNode: a)	openInWorld.! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 16:32:18.954'!
test02UpdateTree

	| root child |
	root := I2STreeNode new.
	
	(visualization setRootNode: root) openInWorld.
	
	child := I2STreeNode new.
	
	root addChild: child at: 1.! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 16:30:58.813'!
test03RemoveChild

	| root child |
	root := I2STreeNode new.
			
	child := I2STreeNode new.
	
	root addChild: child at: 1.
	
	(visualization setRootNode: root) openInWorld.
		
	root removeChildAt: 1.
! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/15/2013 16:29:32.808'!
test04MoarDepth
	| a b c d |
	a := I2STreeNode new.

	b := I2STreeNode new.

	c := I2STreeNode new.
	
	d := I2STreeNode new.

	a addChild: b at: 1.
	a addChild: c at: 2.
	b addChild: d at: 1. 
	
	(visualization setRootNode: a) openInWorld.! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'benjamin.siegmund 5/29/2013 16:40:37.672'!
test05ComplexTree

| a b c d e f |
	a := I2STreeNode new.
	a color: Color red.

	b := I2STreeNode new.
	b color: Color blue.

	c := I2STreeNode new.
	c color: Color blue.

	d := I2STreeNode new.
	e := I2STreeNode new.
	f := I2STreeNode new.

	a addChild: b at: 1.
	a addChild: c at: 2.
	b addChild: d at: 1. 
	b addChild: e at: 2.
	c addChild: f at: 1.

	(visualization setRootNode: a) openInWorld.! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/29/2013 15:41:25.401'!
testBuildBinaryTreeFromRoot

	| root nodeOne nodeTwo |
	root := I2SBinaryTreeNode new.
	nodeOne := I2SBinaryTreeNode new.
	nodeTwo := I2SBinaryTreeNode new.
	
	root color: Color red.
	
	root rightChild: nodeOne.
	nodeOne rightChild: nodeTwo.
	
	(visualization setRootNode: root) openInWorld.! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/29/2013 15:47:17.087'!
testDefaultColor
	
	| node description|
	node := I2STreeNode new.
	visualization setRootNode: node.
	
	description := 'Every node needs a default color for visualization.'.
	self assert: 
		[(visualization getVisualNodeFor: node) color = Color orange]
		description: description.! !

!I2SVisualizationTests methodsFor: 'as yet unclassified' stamp: 'dustin.glaeser 5/29/2013 15:39:33.432'!
testVisualizationAssignment

	| root child child2 child3 aTreeNode|
	
	root := I2STreeNode new.
	child := I2STreeNode new.
	child2 := I2STreeNode new.
	child3 := I2STreeNode new.
	
	root addChild: child at: 1.
	root addChild: child2 at: 2.
	child2 addChild: child3 at: 1.
	
	(visualization setRootNode: root) openInWorld.
	self assert: (visualization submorphs at: 1) 
		equals: (visualization getVisualNodeFor: root).

	"Is there a better, more stable way to test this?"
	self assert: ((visualization getVisualNodeFor: root) 
						submorphs at: 4)
		equals: (visualization getVisualNodeFor: child).
	
	self assert: (((visualization getVisualNodeFor: root)
						submorphs at: 2) submorphs at: 2)
		equals: (visualization getVisualNodeFor: child3).
	
	"less moph-structure dependent approach"
	aTreeNode := (visualization getVisualNodeFor: child3) node.
	self assert: root equals: 
		aTreeNode parent parent.
	
	! !
